export type StreamingLabel = ["Real-time", "Delayed"];
export type SymbolsLabel = ["Full Universe", "Subset"];
export type CommunicationMethodLabel = ["Email", "Phone"];
export type HistoricalPeriodsYear = {
    label: string;
    minYear: number | null;
};
export type Dataset = {
    delivery_methods: string;
    display_name: string;
    text_id: string;
    start_date: string | Date;
};
export type OrderDataset = {
    datasetName: string;
    contact_method: string;
    dataset_text_id: string;
    historical_end_date: string | Date | null | undefined;
    historical_period_years: null | number;
    historical_start_date: string | Date | null | undefined;
    is_full_universe: boolean;
    notes: string;
    purchase_option: string;
    streaming_data: boolean;
    subscription_period_years: number;
    symbols_count: null | number;
    update_type: string;
};
export declare const historicalYearOptions: {
    label: string;
    minYear: number;
}[];
export type OrderDatasetPayload = {
    historical_period_years: number | null;
    dataset_text_id: string;
    historical_start_date: string | null;
    historical_end_date: string | null;
    is_full_universe: boolean;
    purchase_option: string;
    subscription_period_years: number;
    streaming_data: boolean;
    symbols_count: number | null;
    notes?: string;
    contact_method?: string;
    update_type?: string;
};
