import * as i0 from '@angular/core';
import { forwardRef, Component, ViewEncapsulation, ChangeDetectionStrategy, Input, EventEmitter, Output, signal, input, effect, Pipe, inject, ViewChild, Injectable, HostListener, Inject, output } from '@angular/core';
import * as i3$2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule, FormControl, FormGroup, Validators, FormsModule } from '@angular/forms';
import * as i1 from '@angular/material/checkbox';
import { MatCheckboxModule } from '@angular/material/checkbox';
import * as i2$1 from '@angular/common';
import { CommonModule, AsyncPipe, NgTemplateOutlet, DatePipe } from '@angular/common';
import * as i1$1 from '@angular/material/input';
import { MatInputModule } from '@angular/material/input';
import * as i4 from '@angular/material/form-field';
import { MatFormFieldModule } from '@angular/material/form-field';
import * as i3 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i2 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i1$2 from '@angular/material/chips';
import { MatChipsModule } from '@angular/material/chips';
import * as i1$3 from '@angular/material/slide-toggle';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import * as i2$2 from '@angular/material/select';
import { MatSelectModule } from '@angular/material/select';
import { BehaviorSubject, switchMap, startWith, map, take, from } from 'rxjs';
import * as i5 from 'ngx-mat-select-search';
import { NgxMatSelectSearchModule } from 'ngx-mat-select-search';
import * as i3$1 from '@angular/material/core';
import { provideNativeDateAdapter } from '@angular/material/core';
import * as i1$4 from '@angular/router';
import { RouterModule, Router, ActivatedRoute } from '@angular/router';
import * as i1$5 from '@angular/common/http';
import * as i5$1 from '@angular/material/tabs';
import { MatTabsModule } from '@angular/material/tabs';
import * as i1$7 from '@angular/material/dialog';
import { MatDialogRef, MAT_DIALOG_DATA, MatDialog } from '@angular/material/dialog';
import * as i2$3 from '@angular/material/expansion';
import { MatExpansionModule } from '@angular/material/expansion';
import * as i3$3 from '@angular/material/table';
import { MatTableModule } from '@angular/material/table';
import * as Papa from 'papaparse';
import * as i1$6 from '@angular/material/button-toggle';
import { MatButtonToggleModule } from '@angular/material/button-toggle';
import * as i3$4 from '@angular/material/datepicker';
import { MatDatepickerModule } from '@angular/material/datepicker';

class AlgoseekCheckboxComponent {
    constructor() {
        this.disabled = false;
        this.color = 'primary';
        this.size = 'small';
        this._innerValue = false;
        this.onTouchedCallback = () => { };
        this.onChangeCallback = () => { };
    }
    set value(v) {
        if (v !== this._innerValue) {
            this._innerValue = v;
            this.onChangeCallback(v);
        }
    }
    get value() {
        return this._innerValue;
    }
    ngOnInit() {
        /*
         * Not supported warning
         */
        if (this.size === 'large' || this.size === 'medium') {
            console.warn('AlgoseekCheckboxComponent: provided "size" is not supported yet.');
        }
        if (this.color !== 'primary') {
            console.warn('AlgoseekCheckboxComponent: provided "color" is not supported yet.');
        }
    }
    onBlur() {
        this.onTouchedCallback();
    }
    writeValue(value) {
        if (value !== this._innerValue) {
            this._innerValue = value;
        }
    }
    onChangeEvent(event) {
        this.value = event.checked;
    }
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekCheckboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.6", type: AlgoseekCheckboxComponent, isStandalone: true, selector: "algoseek-checkbox", inputs: { label: "label", disabled: "disabled", color: "color", size: "size" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => AlgoseekCheckboxComponent),
                multi: true,
            },
        ], ngImport: i0, template: "<mat-checkbox\r\n  [disabled]=\"disabled\"\r\n  [color]=\"color\"\r\n  [checked]=\"value\"\r\n  (change)=\"onChangeEvent($event)\"\r\n>{{ label }}</mat-checkbox>\r\n", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-checkbox{width:100%}algoseek-checkbox .mat-mdc-checkbox,algoseek-checkbox .mdc-form-field{width:100%}algoseek-checkbox .mdc-checkbox{width:15px;height:15px}algoseek-checkbox .mdc-checkbox__background{width:15px;height:15px}algoseek-checkbox .mdc-checkbox .mdc-checkbox__native-control:enabled~.mdc-checkbox__background .mdc-checkbox__checkmark{color:#fff}algoseek-checkbox .mdc-checkbox .mdc-checkbox__native-control,algoseek-checkbox .mdc-checkbox .mat-mdc-checkbox-ripple,algoseek-checkbox .mdc-checkbox .mdc-checkbox__ripple{width:38px;height:38px}algoseek-checkbox .mdc-checkbox .mat-mdc-checkbox-touch-target{width:45px;height:45px}algoseek-checkbox .mdc-label{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0;color:#292524;white-space:nowrap}\n"], dependencies: [{ kind: "ngmodule", type: MatCheckboxModule }, { kind: "component", type: i1.MatCheckbox, selector: "mat-checkbox", inputs: ["aria-label", "aria-labelledby", "aria-describedby", "aria-expanded", "aria-controls", "aria-owns", "id", "required", "labelPosition", "name", "value", "disableRipple", "tabIndex", "color", "disabledInteractive", "checked", "disabled", "indeterminate"], outputs: ["change", "indeterminateChange"], exportAs: ["matCheckbox"] }, { kind: "ngmodule", type: ReactiveFormsModule }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-checkbox', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => AlgoseekCheckboxComponent),
                            multi: true,
                        },
                    ], imports: [
                        MatCheckboxModule,
                        ReactiveFormsModule
                    ], encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-checkbox\r\n  [disabled]=\"disabled\"\r\n  [color]=\"color\"\r\n  [checked]=\"value\"\r\n  (change)=\"onChangeEvent($event)\"\r\n>{{ label }}</mat-checkbox>\r\n", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-checkbox{width:100%}algoseek-checkbox .mat-mdc-checkbox,algoseek-checkbox .mdc-form-field{width:100%}algoseek-checkbox .mdc-checkbox{width:15px;height:15px}algoseek-checkbox .mdc-checkbox__background{width:15px;height:15px}algoseek-checkbox .mdc-checkbox .mdc-checkbox__native-control:enabled~.mdc-checkbox__background .mdc-checkbox__checkmark{color:#fff}algoseek-checkbox .mdc-checkbox .mdc-checkbox__native-control,algoseek-checkbox .mdc-checkbox .mat-mdc-checkbox-ripple,algoseek-checkbox .mdc-checkbox .mdc-checkbox__ripple{width:38px;height:38px}algoseek-checkbox .mdc-checkbox .mat-mdc-checkbox-touch-target{width:45px;height:45px}algoseek-checkbox .mdc-label{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0;color:#292524;white-space:nowrap}\n"] }]
        }], propDecorators: { label: [{
                type: Input
            }], disabled: [{
                type: Input
            }], color: [{
                type: Input
            }], size: [{
                type: Input
            }] } });

class AlgoseekInputFieldComponent {
    constructor() {
        this.disabled = false;
        this.size = 'medium';
        this.type = 'text';
        this.suffixClicked = new EventEmitter();
        this._innerValue = '';
        this.onTouchedCallback = () => { };
        this.onChangeCallback = () => { };
    }
    set value(v) {
        if (v !== this._innerValue) {
            this._innerValue = v;
            this.onChangeCallback(v);
        }
    }
    get value() {
        return this._innerValue;
    }
    ngOnInit() {
        if (this.size !== 'medium' && this.size !== 'small') {
            console.warn('AlgoseekInputFieldComponent: provided "size" is not supported yet. Value provided: ' + this.size + '. Supported values: "medium", "small"');
        }
    }
    onBlur() {
        this.onTouchedCallback();
    }
    writeValue(value) {
        if (value !== undefined && value !== this._innerValue) {
            this._innerValue = value;
        }
    }
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    onInputChange(event) {
        const input = event.target;
        this.value = input.value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekInputFieldComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: AlgoseekInputFieldComponent, isStandalone: true, selector: "algoseek-input-field", inputs: { label: "label", disabled: "disabled", prefix: "prefix", suffix: "suffix", size: "size", type: "type", helperText: "helperText", min: "min", autocomplete: "autocomplete" }, outputs: { suffixClicked: "suffixClicked" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => AlgoseekInputFieldComponent),
                multi: true,
            },
        ], ngImport: i0, template: "<div class=\"form-field form-field--{{ size }} form-field--{{ type }}\"\r\n  [class.form-field--suffix]=\"suffix\"\r\n>\r\n  <mat-form-field appearance=\"outline\">\r\n    <mat-label>{{ label }}</mat-label>\r\n\r\n    @if (prefix) {\r\n      <span matPrefix><mat-icon>{{prefix}}</mat-icon></span>\r\n    }\r\n\r\n    @if (type === 'textarea') {\r\n      <textarea matInput [value]=\"value\" [disabled]=\"disabled\" (input)=\"onInputChange($event)\"></textarea>\r\n    } @else {\r\n      <input matInput [min]=\"min\" [value]=\"value\" [type]=\"type\" [disabled]=\"disabled\" (input)=\"onInputChange($event)\" [autocomplete]=\"autocomplete\">\r\n    }\r\n\r\n    @if (helperText) {\r\n      <mat-hint align=\"end\">{{ helperText }}</mat-hint>\r\n    }\r\n\r\n    @if (suffix) {\r\n      <button matSuffix mat-icon-button (click)=\"suffixClicked.emit()\">\r\n        <mat-icon>{{suffix}}</mat-icon>\r\n      </button>\r\n    }\r\n  </mat-form-field>\r\n  <div class=\"errors-wrapper\">\r\n    <ng-content></ng-content>\r\n  </div>\r\n</div>\r\n", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-input-field .form-field{width:100%}algoseek-input-field .form-field mat-form-field{width:100%;height:100%}algoseek-input-field .form-field .mat-mdc-form-field-flex,algoseek-input-field .form-field .mat-mdc-form-field-infix{height:100%!important}algoseek-input-field .form-field .mat-mdc-form-field-has-icon-prefix .mdc-notched-outline__leading{width:46px}algoseek-input-field .form-field .mat-mdc-form-field-has-icon-prefix .mat-mdc-form-field-icon-prefix{margin:0 -8px 0 16px;padding:0;color:#11111180}algoseek-input-field .form-field .mat-mdc-form-field-hint-wrapper{padding:0 14px;color:#514d4c80;font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}algoseek-input-field .form-field .mat-mdc-text-field-wrapper,algoseek-input-field .form-field .mat-mdc-form-field-infix{padding:0!important;background-color:#fff;border-radius:8px}algoseek-input-field .form-field .mdc-text-field--outlined .mdc-notched-outline__leading{border-top-left-radius:8px;border-bottom-left-radius:8px}algoseek-input-field .form-field .mdc-text-field--outlined .mdc-notched-outline__trailing{border-top-right-radius:8px;border-bottom-right-radius:8px}algoseek-input-field .form-field .mat-mdc-form-field-icon-suffix{margin-right:6px;color:#11111180}algoseek-input-field .form-field .errors-wrapper{display:flex;flex-direction:column;padding:0 14px;margin:-16px 0 16px}algoseek-input-field .form-field .errors-wrapper mat-error{font-size:12px;line-height:20px;letter-spacing:.4px;text-align:start}algoseek-input-field .form-field--medium .mat-mdc-form-field-infixs{padding:16px 12px 16px 17px!important}algoseek-input-field .form-field--medium .mdc-text-field--no-label:not(.mdc-text-field--textarea) .mat-mdc-form-field-input-control.mdc-text-field__input,algoseek-input-field .form-field--medium .mat-mdc-text-field-wrapper .mat-mdc-form-field-input-control{height:56px;padding:16px 12px 16px 17px}algoseek-input-field .form-field--small .mat-mdc-form-field-infixs{padding:6px 12px 6px 17px!important}algoseek-input-field .form-field--small .mdc-text-field--no-label:not(.mdc-text-field--textarea) .mat-mdc-form-field-input-control.mdc-text-field__input,algoseek-input-field .form-field--small .mat-mdc-text-field-wrapper .mat-mdc-form-field-input-control{height:40px;min-height:40px;padding:6px 12px 6px 17px}algoseek-input-field .form-field--small .mdc-notched-outline,algoseek-input-field .form-field--small .mat-mdc-form-field-flex,algoseek-input-field .form-field--small .mat-mdc-form-field-infix{height:40px!important;min-height:40px!important}algoseek-input-field .form-field--small .mdc-floating-label{top:20px!important}algoseek-input-field .form-field--small .mdc-floating-label--float-above{top:28px!important}algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#e0d4c3}algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#e0d4c3}algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#ff4c51}algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#ff4c51}algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#64b05c}algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#64b05c}algoseek-input-field .mdc-text-field:not(.mdc-text-field--disabled) .mdc-floating-label{color:#514d4c80}algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label{color:#64b05c}algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-floating-label{color:#ff4c51}algoseek-input-field .mdc-text-field--no-label:not(.mdc-text-field--textarea) .mat-mdc-form-field-input-control.mdc-text-field__input,algoseek-input-field .mat-mdc-text-field-wrapper .mat-mdc-form-field-input-control{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i1$1.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly", "disabledInteractive"], exportAs: ["matInput"] }, { kind: "component", type: i4.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i4.MatLabel, selector: "mat-label" }, { kind: "directive", type: i4.MatHint, selector: "mat-hint", inputs: ["align", "id"] }, { kind: "directive", type: i4.MatPrefix, selector: "[matPrefix], [matIconPrefix], [matTextPrefix]", inputs: ["matTextPrefix"] }, { kind: "directive", type: i4.MatSuffix, selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i2.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekInputFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-input-field', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => AlgoseekInputFieldComponent),
                            multi: true,
                        },
                    ], imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        MatInputModule,
                        MatFormFieldModule,
                        MatIconModule,
                        MatButtonModule,
                    ], encapsulation: ViewEncapsulation.None, template: "<div class=\"form-field form-field--{{ size }} form-field--{{ type }}\"\r\n  [class.form-field--suffix]=\"suffix\"\r\n>\r\n  <mat-form-field appearance=\"outline\">\r\n    <mat-label>{{ label }}</mat-label>\r\n\r\n    @if (prefix) {\r\n      <span matPrefix><mat-icon>{{prefix}}</mat-icon></span>\r\n    }\r\n\r\n    @if (type === 'textarea') {\r\n      <textarea matInput [value]=\"value\" [disabled]=\"disabled\" (input)=\"onInputChange($event)\"></textarea>\r\n    } @else {\r\n      <input matInput [min]=\"min\" [value]=\"value\" [type]=\"type\" [disabled]=\"disabled\" (input)=\"onInputChange($event)\" [autocomplete]=\"autocomplete\">\r\n    }\r\n\r\n    @if (helperText) {\r\n      <mat-hint align=\"end\">{{ helperText }}</mat-hint>\r\n    }\r\n\r\n    @if (suffix) {\r\n      <button matSuffix mat-icon-button (click)=\"suffixClicked.emit()\">\r\n        <mat-icon>{{suffix}}</mat-icon>\r\n      </button>\r\n    }\r\n  </mat-form-field>\r\n  <div class=\"errors-wrapper\">\r\n    <ng-content></ng-content>\r\n  </div>\r\n</div>\r\n", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-input-field .form-field{width:100%}algoseek-input-field .form-field mat-form-field{width:100%;height:100%}algoseek-input-field .form-field .mat-mdc-form-field-flex,algoseek-input-field .form-field .mat-mdc-form-field-infix{height:100%!important}algoseek-input-field .form-field .mat-mdc-form-field-has-icon-prefix .mdc-notched-outline__leading{width:46px}algoseek-input-field .form-field .mat-mdc-form-field-has-icon-prefix .mat-mdc-form-field-icon-prefix{margin:0 -8px 0 16px;padding:0;color:#11111180}algoseek-input-field .form-field .mat-mdc-form-field-hint-wrapper{padding:0 14px;color:#514d4c80;font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}algoseek-input-field .form-field .mat-mdc-text-field-wrapper,algoseek-input-field .form-field .mat-mdc-form-field-infix{padding:0!important;background-color:#fff;border-radius:8px}algoseek-input-field .form-field .mdc-text-field--outlined .mdc-notched-outline__leading{border-top-left-radius:8px;border-bottom-left-radius:8px}algoseek-input-field .form-field .mdc-text-field--outlined .mdc-notched-outline__trailing{border-top-right-radius:8px;border-bottom-right-radius:8px}algoseek-input-field .form-field .mat-mdc-form-field-icon-suffix{margin-right:6px;color:#11111180}algoseek-input-field .form-field .errors-wrapper{display:flex;flex-direction:column;padding:0 14px;margin:-16px 0 16px}algoseek-input-field .form-field .errors-wrapper mat-error{font-size:12px;line-height:20px;letter-spacing:.4px;text-align:start}algoseek-input-field .form-field--medium .mat-mdc-form-field-infixs{padding:16px 12px 16px 17px!important}algoseek-input-field .form-field--medium .mdc-text-field--no-label:not(.mdc-text-field--textarea) .mat-mdc-form-field-input-control.mdc-text-field__input,algoseek-input-field .form-field--medium .mat-mdc-text-field-wrapper .mat-mdc-form-field-input-control{height:56px;padding:16px 12px 16px 17px}algoseek-input-field .form-field--small .mat-mdc-form-field-infixs{padding:6px 12px 6px 17px!important}algoseek-input-field .form-field--small .mdc-text-field--no-label:not(.mdc-text-field--textarea) .mat-mdc-form-field-input-control.mdc-text-field__input,algoseek-input-field .form-field--small .mat-mdc-text-field-wrapper .mat-mdc-form-field-input-control{height:40px;min-height:40px;padding:6px 12px 6px 17px}algoseek-input-field .form-field--small .mdc-notched-outline,algoseek-input-field .form-field--small .mat-mdc-form-field-flex,algoseek-input-field .form-field--small .mat-mdc-form-field-infix{height:40px!important;min-height:40px!important}algoseek-input-field .form-field--small .mdc-floating-label{top:20px!important}algoseek-input-field .form-field--small .mdc-floating-label--float-above{top:28px!important}algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#e0d4c3}algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#e0d4c3}algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#ff4c51}algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#ff4c51}algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#64b05c}algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#64b05c}algoseek-input-field .mdc-text-field:not(.mdc-text-field--disabled) .mdc-floating-label{color:#514d4c80}algoseek-input-field .mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label{color:#64b05c}algoseek-input-field .mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-floating-label{color:#ff4c51}algoseek-input-field .mdc-text-field--no-label:not(.mdc-text-field--textarea) .mat-mdc-form-field-input-control.mdc-text-field__input,algoseek-input-field .mat-mdc-text-field-wrapper .mat-mdc-form-field-input-control{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}\n"] }]
        }], propDecorators: { label: [{
                type: Input
            }], disabled: [{
                type: Input
            }], prefix: [{
                type: Input
            }], suffix: [{
                type: Input
            }], size: [{
                type: Input
            }], type: [{
                type: Input
            }], helperText: [{
                type: Input
            }], min: [{
                type: Input
            }], autocomplete: [{
                type: Input
            }], suffixClicked: [{
                type: Output
            }] } });

class AlgoseekButtonComponent {
    constructor() {
        this.disabled = false;
        this.size = 'medium';
        this.color = 'primary';
        this.type = 'basic';
        this.onClick = new EventEmitter();
    }
    ngOnInit() {
        /*
         * Not supported warning
         */
        if (this.type !== 'raised' && this.type !== 'stroked' && this.type !== 'text' && this.type !== 'icon') {
            console.warn('AlgoseekButtonComponent: provided "type" is not supported yet.');
        }
        if (this.size !== 'large' && this.size !== 'medium' && this.size !== 'small') {
            console.warn('AlgoseekButtonComponent: provided "size" is not supported yet.');
        }
        if (this.color !== 'primary' && this.color !== 'secondary' && this.color !== 'error') {
            console.warn('AlgoseekButtonComponent: provided "color" is not supported yet.');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: AlgoseekButtonComponent, isStandalone: true, selector: "algoseek-button", inputs: { disabled: "disabled", size: "size", color: "color", type: "type" }, outputs: { onClick: "onClick" }, ngImport: i0, template: "@if (type === 'basic') {\r\n  <button mat-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'raised') {\r\n  <button mat-raised-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'stroked') {\r\n  <button mat-stroked-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'flat') {\r\n  <button mat-flat-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'icon') {\r\n  <button mat-icon-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'fab') {\r\n  <button mat-fab class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'mini-fab') {\r\n  <button mat-mini-fab class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'text') {\r\n  <button mat-stroked-button class=\"algoseek-button--{{size}} algoseek-button--text\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n\r\n<ng-template #buttonContent>\r\n  <ng-content></ng-content>\r\n</ng-template>", styles: ["algoseek-button{display:block}algoseek-button .mdc-button{width:100%}algoseek-button .mdc-button .mdc-button__label{display:flex;align-items:center;gap:8px}algoseek-button .mdc-button.mdc-button--raised.mat-primary{background-color:#64b05c!important;color:#fff!important}algoseek-button .mdc-button.mdc-button--raised.mat-primary:hover{background:#509c48!important}algoseek-button .mdc-button.mdc-button--raised.mat-secondary{background-color:#4d5056!important}algoseek-button .mdc-button.mdc-button--raised.mat-secondary:hover{background:#404247!important}algoseek-button .mdc-button.mdc-button--raised.mat-error{background-color:#ff4c51!important}algoseek-button .mdc-button.mdc-button--raised.mat-error:hover{background:#e04347!important}algoseek-button .mdc-button.mdc-button--raised .mdc-button__label{color:#fff!important}algoseek-button .mdc-button.mdc-button--raised[disabled=true]{background-color:#3a35411f!important}algoseek-button .mdc-button.mdc-button--raised[disabled=true] .mdc-button__label{color:#514d4c4a!important}algoseek-button .mdc-button.mdc-button--outlined[disabled=true]{border-color:#3a35411f!important}algoseek-button .mdc-button.mdc-button--outlined[disabled=true] .mdc-button__label{color:#3a354142!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary{border:1px solid rgba(100,176,92,.5)!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary:hover{background-color:#64b05c14!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary .mdc-button__label{color:#64b05c!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary .mdc-button__label mat-icon{color:#64b05c!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary{border:1px solid rgba(138,141,147,.5)!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary:hover{background-color:#8a8d9314!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary .mdc-button__label{color:#8a8d93!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary .mdc-button__label mat-icon{color:#8a8d93!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error{border:1px solid rgba(255,76,81,.5)!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error:hover{background-color:#ff4c5114!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error .mdc-button__label{color:#ff4c51!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error .mdc-button__label mat-icon{color:#ff4c51!important}algoseek-button .mdc-button.mdc-button--outlined.algoseek-button--text{border:none!important}algoseek-button .mdc-button.algoseek-button .mdc-button__label{text-decoration:none;font-style:normal;font-weight:500}algoseek-button .mdc-button.algoseek-button--large{height:48px;padding:11px 26px}algoseek-button .mdc-button.algoseek-button--large .mdc-button__label{font-size:15px;line-height:26px;font-weight:500}algoseek-button .mdc-button.algoseek-button--large .mat-mdc-button-touch-target{height:48px}algoseek-button .mdc-button.algoseek-button--medium{height:38px;padding:7px 22px}algoseek-button .mdc-button.algoseek-button--medium .mdc-button__label{font-size:14px;line-height:24px;letter-spacing:.4px}algoseek-button .mdc-button.algoseek-button--medium .mat-mdc-button-touch-target{height:38px}algoseek-button .mdc-button.algoseek-button--small{height:38px;padding:4px 13px}algoseek-button .mdc-button.algoseek-button--small .mdc-button__label{font-size:13px;line-height:22px;letter-spacing:.46px}algoseek-button .mdc-button.algoseek-button--small .mat-mdc-button-touch-target{height:30px}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2$1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i2.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "component", type: i2.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "component", type: i2.MatMiniFabButton, selector: "button[mat-mini-fab]", exportAs: ["matButton"] }, { kind: "component", type: i2.MatFabButton, selector: "button[mat-fab]", inputs: ["extended"], exportAs: ["matButton"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-button', imports: [
                        CommonModule,
                        MatButtonModule
                    ], encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, template: "@if (type === 'basic') {\r\n  <button mat-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'raised') {\r\n  <button mat-raised-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'stroked') {\r\n  <button mat-stroked-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'flat') {\r\n  <button mat-flat-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'icon') {\r\n  <button mat-icon-button class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'fab') {\r\n  <button mat-fab class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'mini-fab') {\r\n  <button mat-mini-fab class=\"algoseek-button--{{size}}\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n@if (type === 'text') {\r\n  <button mat-stroked-button class=\"algoseek-button--{{size}} algoseek-button--text\"\r\n    [color]=\"color\"\r\n    [disabled]=\"disabled\"\r\n    (click)=\"onClick.emit($event)\"\r\n    >\r\n    <ng-container [ngTemplateOutlet]=\"buttonContent\"></ng-container>\r\n  </button>\r\n}\r\n\r\n<ng-template #buttonContent>\r\n  <ng-content></ng-content>\r\n</ng-template>", styles: ["algoseek-button{display:block}algoseek-button .mdc-button{width:100%}algoseek-button .mdc-button .mdc-button__label{display:flex;align-items:center;gap:8px}algoseek-button .mdc-button.mdc-button--raised.mat-primary{background-color:#64b05c!important;color:#fff!important}algoseek-button .mdc-button.mdc-button--raised.mat-primary:hover{background:#509c48!important}algoseek-button .mdc-button.mdc-button--raised.mat-secondary{background-color:#4d5056!important}algoseek-button .mdc-button.mdc-button--raised.mat-secondary:hover{background:#404247!important}algoseek-button .mdc-button.mdc-button--raised.mat-error{background-color:#ff4c51!important}algoseek-button .mdc-button.mdc-button--raised.mat-error:hover{background:#e04347!important}algoseek-button .mdc-button.mdc-button--raised .mdc-button__label{color:#fff!important}algoseek-button .mdc-button.mdc-button--raised[disabled=true]{background-color:#3a35411f!important}algoseek-button .mdc-button.mdc-button--raised[disabled=true] .mdc-button__label{color:#514d4c4a!important}algoseek-button .mdc-button.mdc-button--outlined[disabled=true]{border-color:#3a35411f!important}algoseek-button .mdc-button.mdc-button--outlined[disabled=true] .mdc-button__label{color:#3a354142!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary{border:1px solid rgba(100,176,92,.5)!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary:hover{background-color:#64b05c14!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary .mdc-button__label{color:#64b05c!important}algoseek-button .mdc-button.mdc-button--outlined.mat-primary .mdc-button__label mat-icon{color:#64b05c!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary{border:1px solid rgba(138,141,147,.5)!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary:hover{background-color:#8a8d9314!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary .mdc-button__label{color:#8a8d93!important}algoseek-button .mdc-button.mdc-button--outlined.mat-secondary .mdc-button__label mat-icon{color:#8a8d93!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error{border:1px solid rgba(255,76,81,.5)!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error:hover{background-color:#ff4c5114!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error .mdc-button__label{color:#ff4c51!important}algoseek-button .mdc-button.mdc-button--outlined.mat-error .mdc-button__label mat-icon{color:#ff4c51!important}algoseek-button .mdc-button.mdc-button--outlined.algoseek-button--text{border:none!important}algoseek-button .mdc-button.algoseek-button .mdc-button__label{text-decoration:none;font-style:normal;font-weight:500}algoseek-button .mdc-button.algoseek-button--large{height:48px;padding:11px 26px}algoseek-button .mdc-button.algoseek-button--large .mdc-button__label{font-size:15px;line-height:26px;font-weight:500}algoseek-button .mdc-button.algoseek-button--large .mat-mdc-button-touch-target{height:48px}algoseek-button .mdc-button.algoseek-button--medium{height:38px;padding:7px 22px}algoseek-button .mdc-button.algoseek-button--medium .mdc-button__label{font-size:14px;line-height:24px;letter-spacing:.4px}algoseek-button .mdc-button.algoseek-button--medium .mat-mdc-button-touch-target{height:38px}algoseek-button .mdc-button.algoseek-button--small{height:38px;padding:4px 13px}algoseek-button .mdc-button.algoseek-button--small .mdc-button__label{font-size:13px;line-height:22px;letter-spacing:.46px}algoseek-button .mdc-button.algoseek-button--small .mat-mdc-button-touch-target{height:30px}\n"] }]
        }], propDecorators: { disabled: [{
                type: Input
            }], size: [{
                type: Input
            }], color: [{
                type: Input
            }], type: [{
                type: Input
            }], onClick: [{
                type: Output
            }] } });

class AlgoseekAlertComponent {
    ngOnInit() {
        /*
         * Not supported warning
         */
        if (this.severity !== 'error' && this.severity !== 'success') {
            console.warn('AlgoseekAlertComponent: provided "severity" is not supported yet.');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: AlgoseekAlertComponent, isStandalone: true, selector: "algoseek-alert", inputs: { severity: "severity" }, ngImport: i0, template: "<div class=\"alert alert--{{severity}}\">\r\n  @if(severity === 'error') {\r\n    <mat-icon>info_outline</mat-icon>\r\n  }\r\n  @if(severity === 'success') {\r\n    <mat-icon>check_circle_outline</mat-icon>\r\n  }\r\n  <ng-content></ng-content>\r\n</div>", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}:host{display:block}.alert{height:38px;display:flex;align-items:center;gap:12px;border-radius:5px;padding:0 16px;font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.alert--error{background-color:#fee8e6;color:#ff4c51}.alert--success{background-color:#e7f5e9;color:#56ca00}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-alert', imports: [
                        CommonModule,
                        MatIconModule
                    ], template: "<div class=\"alert alert--{{severity}}\">\r\n  @if(severity === 'error') {\r\n    <mat-icon>info_outline</mat-icon>\r\n  }\r\n  @if(severity === 'success') {\r\n    <mat-icon>check_circle_outline</mat-icon>\r\n  }\r\n  <ng-content></ng-content>\r\n</div>", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}:host{display:block}.alert{height:38px;display:flex;align-items:center;gap:12px;border-radius:5px;padding:0 16px;font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.alert--error{background-color:#fee8e6;color:#ff4c51}.alert--success{background-color:#e7f5e9;color:#56ca00}\n"] }]
        }], propDecorators: { severity: [{
                type: Input
            }] } });

class AlgoseekChipComponent {
    constructor() {
        this.outlined = 'outlined';
        this.size = 'medium';
        this.color = 'info';
    }
    ngOnInit() {
        if (this.color !== 'info' && this.color !== 'secondary' && this.color !== 'success' && this.color !== 'error' && this.color !== 'default') {
            console.warn('AlgoseekChipComponent: provided "color" is not supported yet.');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekChipComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.6", type: AlgoseekChipComponent, isStandalone: true, selector: "algoseek-chip", inputs: { outlined: "outlined", size: "size", color: "color" }, ngImport: i0, template: "<mat-chip [color]=\"color\" class=\"algoseek-chip algoseek-chip--{{size}} algoseek-chip--{{outlined}}\" disableRipple=\"true\">\r\n  <ng-content></ng-content>\r\n</mat-chip>", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-chip{display:block}algoseek-chip .algoseek-chip .mdc-evolution-chip__text-label{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}algoseek-chip .algoseek-chip--small{height:24px}algoseek-chip .algoseek-chip--small .mdc-evolution-chip__action{padding:3px 10px!important;height:auto!important}algoseek-chip .algoseek-chip--medium .mdc-evolution-chip__action{padding:7px 10px!important;height:auto!important}algoseek-chip .algoseek-chip--large.mat-mdc-standard-chip{height:40px!important}algoseek-chip .algoseek-chip--outlined.mat-info{background-color:transparent;border:1px solid rgba(50,186,255,.5019607843)}algoseek-chip .algoseek-chip--outlined.mat-info .mat-mdc-chip-focus-overlay{background:#16b1ff}algoseek-chip .algoseek-chip--outlined.mat-info .mdc-evolution-chip__text-label{color:#16b1ff}algoseek-chip .algoseek-chip--outlined.mat-secondary{background-color:transparent;border:1px solid rgba(58,53,65,.231372549)}algoseek-chip .algoseek-chip--outlined.mat-success{background-color:transparent;border:1px solid #64B05C}algoseek-chip .algoseek-chip--outlined.mat-default{background-color:transparent;border:1px solid rgba(58,53,65,.231372549)}algoseek-chip .algoseek-chip--outlined .mat-mdc-chip-focus-overlay{background:#8a8d93}algoseek-chip .algoseek-chip--outlined .mdc-evolution-chip__text-label{color:#292524}algoseek-chip .algoseek-chip--filed.mat-info{background-color:#a6cdff;border:1px solid #A6CDFF}algoseek-chip .algoseek-chip--filed.mat-info .mat-mdc-chip-focus-overlay{background:#a6cdff}algoseek-chip .algoseek-chip--filed.mat-info .mdc-evolution-chip__text-label{color:#355e92}algoseek-chip .algoseek-chip--filed.mat-secondary{background-color:#b6b9bf;border:1px solid #b6b9bf}algoseek-chip .algoseek-chip--filed.mat-secondary .mdc-evolution-chip__text-label{color:#292524}algoseek-chip .algoseek-chip--filed.mat-success{background-color:#64b05c;border:1px solid #64B05C}algoseek-chip .algoseek-chip--filed.mat-success .mdc-evolution-chip__text-label{color:#fff}algoseek-chip .algoseek-chip--filed.mat-default{background-color:#f5f96b66;border:1px solid rgba(245,249,107,.4)}algoseek-chip .algoseek-chip--custom.mat-success{background-color:#e7f5e9}algoseek-chip .algoseek-chip--custom.mat-success .mdc-evolution-chip__text-label{color:#64b05c}algoseek-chip .algoseek-chip--custom.mat-error{background-color:#fee8e6}algoseek-chip .algoseek-chip--custom.mat-error .mdc-evolution-chip__text-label{color:#ff4c51}.mat-mdc-standard-chip:not(.mdc-evolution-chip--disabled) .mdc-evolution-chip__action:before{border:none!important}\n"], dependencies: [{ kind: "ngmodule", type: MatChipsModule }, { kind: "component", type: i1$2.MatChip, selector: "mat-basic-chip, [mat-basic-chip], mat-chip, [mat-chip]", inputs: ["role", "id", "aria-label", "aria-description", "value", "color", "removable", "highlighted", "disableRipple", "disabled"], outputs: ["removed", "destroyed"], exportAs: ["matChip"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekChipComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-chip', imports: [
                        MatChipsModule,
                    ], encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, template: "<mat-chip [color]=\"color\" class=\"algoseek-chip algoseek-chip--{{size}} algoseek-chip--{{outlined}}\" disableRipple=\"true\">\r\n  <ng-content></ng-content>\r\n</mat-chip>", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-chip{display:block}algoseek-chip .algoseek-chip .mdc-evolution-chip__text-label{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}algoseek-chip .algoseek-chip--small{height:24px}algoseek-chip .algoseek-chip--small .mdc-evolution-chip__action{padding:3px 10px!important;height:auto!important}algoseek-chip .algoseek-chip--medium .mdc-evolution-chip__action{padding:7px 10px!important;height:auto!important}algoseek-chip .algoseek-chip--large.mat-mdc-standard-chip{height:40px!important}algoseek-chip .algoseek-chip--outlined.mat-info{background-color:transparent;border:1px solid rgba(50,186,255,.5019607843)}algoseek-chip .algoseek-chip--outlined.mat-info .mat-mdc-chip-focus-overlay{background:#16b1ff}algoseek-chip .algoseek-chip--outlined.mat-info .mdc-evolution-chip__text-label{color:#16b1ff}algoseek-chip .algoseek-chip--outlined.mat-secondary{background-color:transparent;border:1px solid rgba(58,53,65,.231372549)}algoseek-chip .algoseek-chip--outlined.mat-success{background-color:transparent;border:1px solid #64B05C}algoseek-chip .algoseek-chip--outlined.mat-default{background-color:transparent;border:1px solid rgba(58,53,65,.231372549)}algoseek-chip .algoseek-chip--outlined .mat-mdc-chip-focus-overlay{background:#8a8d93}algoseek-chip .algoseek-chip--outlined .mdc-evolution-chip__text-label{color:#292524}algoseek-chip .algoseek-chip--filed.mat-info{background-color:#a6cdff;border:1px solid #A6CDFF}algoseek-chip .algoseek-chip--filed.mat-info .mat-mdc-chip-focus-overlay{background:#a6cdff}algoseek-chip .algoseek-chip--filed.mat-info .mdc-evolution-chip__text-label{color:#355e92}algoseek-chip .algoseek-chip--filed.mat-secondary{background-color:#b6b9bf;border:1px solid #b6b9bf}algoseek-chip .algoseek-chip--filed.mat-secondary .mdc-evolution-chip__text-label{color:#292524}algoseek-chip .algoseek-chip--filed.mat-success{background-color:#64b05c;border:1px solid #64B05C}algoseek-chip .algoseek-chip--filed.mat-success .mdc-evolution-chip__text-label{color:#fff}algoseek-chip .algoseek-chip--filed.mat-default{background-color:#f5f96b66;border:1px solid rgba(245,249,107,.4)}algoseek-chip .algoseek-chip--custom.mat-success{background-color:#e7f5e9}algoseek-chip .algoseek-chip--custom.mat-success .mdc-evolution-chip__text-label{color:#64b05c}algoseek-chip .algoseek-chip--custom.mat-error{background-color:#fee8e6}algoseek-chip .algoseek-chip--custom.mat-error .mdc-evolution-chip__text-label{color:#ff4c51}.mat-mdc-standard-chip:not(.mdc-evolution-chip--disabled) .mdc-evolution-chip__action:before{border:none!important}\n"] }]
        }], propDecorators: { outlined: [{
                type: Input
            }], size: [{
                type: Input
            }], color: [{
                type: Input
            }] } });

class AlgoseekSwitchComponent {
    constructor() {
        this.size = 'medium';
        this.color = 'primary';
        this.onChange = new EventEmitter();
    }
    ngOnInit() {
        if (this.size !== 'medium') {
            console.warn('AlgoseekSwitchComponent: provided "size" is not supported yet.');
        }
        if (this.color !== 'primary') {
            console.warn('AlgoseekSwitchComponent: provided "color" is not supported yet.');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekSwitchComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.6", type: AlgoseekSwitchComponent, isStandalone: true, selector: "algoseek-switch", inputs: { checked: "checked", disabled: "disabled", size: "size", color: "color" }, outputs: { onChange: "onChange" }, ngImport: i0, template: "<mat-slide-toggle class=\"algoseek-button--{{size}}\"\r\n  [hideIcon]=\"true\"\r\n  [color]=\"color\"\r\n  [checked]=\"checked\"\r\n  [disabled]=\"disabled\"\r\n\r\n  (change)=\"onChange.emit($event.checked)\"\r\n>\r\n  <ng-content></ng-content>\r\n</mat-slide-toggle>\r\n", styles: ["algoseek-switch{display:block}algoseek-switch .mdc-switch--unselected .mdc-switch__handle:before,algoseek-switch .mdc-switch--unselected .mdc-switch__handle:after{background:#fafafa!important}algoseek-switch .mdc-switch--unselected .mdc-switch__track:before{background:#8d8d8d!important;border:none}algoseek-switch .mdc-switch--selected:enabled:focus .mdc-switch__ripple:after{background:#fff!important}algoseek-switch .mdc-switch--selected .mdc-switch__handle:before,algoseek-switch .mdc-switch--selected .mdc-switch__handle:after{background:#fff!important}\n"], dependencies: [{ kind: "ngmodule", type: MatSlideToggleModule }, { kind: "component", type: i1$3.MatSlideToggle, selector: "mat-slide-toggle", inputs: ["name", "id", "labelPosition", "aria-label", "aria-labelledby", "aria-describedby", "required", "color", "disabled", "disableRipple", "tabIndex", "checked", "hideIcon", "disabledInteractive"], outputs: ["change", "toggleChange"], exportAs: ["matSlideToggle"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekSwitchComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-switch', changeDetection: ChangeDetectionStrategy.OnPush, encapsulation: ViewEncapsulation.None, imports: [
                        MatSlideToggleModule
                    ], template: "<mat-slide-toggle class=\"algoseek-button--{{size}}\"\r\n  [hideIcon]=\"true\"\r\n  [color]=\"color\"\r\n  [checked]=\"checked\"\r\n  [disabled]=\"disabled\"\r\n\r\n  (change)=\"onChange.emit($event.checked)\"\r\n>\r\n  <ng-content></ng-content>\r\n</mat-slide-toggle>\r\n", styles: ["algoseek-switch{display:block}algoseek-switch .mdc-switch--unselected .mdc-switch__handle:before,algoseek-switch .mdc-switch--unselected .mdc-switch__handle:after{background:#fafafa!important}algoseek-switch .mdc-switch--unselected .mdc-switch__track:before{background:#8d8d8d!important;border:none}algoseek-switch .mdc-switch--selected:enabled:focus .mdc-switch__ripple:after{background:#fff!important}algoseek-switch .mdc-switch--selected .mdc-switch__handle:before,algoseek-switch .mdc-switch--selected .mdc-switch__handle:after{background:#fff!important}\n"] }]
        }], propDecorators: { checked: [{
                type: Input
            }], disabled: [{
                type: Input
            }], size: [{
                type: Input
            }], color: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class AlgoseekSelectComponent {
    set items(value) {
        this._items.next(value);
    }
    set value(v) {
        if (v !== this._innerValue) {
            this._innerValue = v;
            this.onChangeCallback(v);
        }
    }
    get value() {
        return this._innerValue;
    }
    constructor() {
        this.isDisabled = signal(false);
        this._items = new BehaviorSubject([]);
        this.isMultiple = false;
        this.search = false;
        this.disabled = input(false);
        this.searchCtrl = new FormControl();
        this._innerValue = [];
        this.onTouchedCallback = () => { };
        this.onChangeCallback = () => { };
        this.filterOptions = (value) => {
            const filterValue = value.toLowerCase();
            return this._items.value?.filter(item => (this.displayName ? item[this.displayName] : item).toLowerCase().includes(filterValue)) ?? [];
        };
        effect(() => {
            this.isDisabled.set(this.disabled());
        });
    }
    ngOnInit() {
        if (this.size !== 'small' && this.size !== 'medium') {
            console.warn('AlgoseekInputFieldComponent: provided "size" is not supported yet.');
        }
        this.filteredItems = this._items.asObservable().pipe(switchMap(() => this.searchCtrl.valueChanges.pipe(startWith(''))), map(value => this.filterOptions(value)));
    }
    onBlur() {
        this.onTouchedCallback();
    }
    writeValue(value) {
        if (value !== undefined && value !== this._innerValue) {
            this._innerValue = value;
        }
    }
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    setDisabledState(isDisabled) {
        this.isDisabled.set(isDisabled);
    }
    change(event) {
        this.value = event.value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekSelectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: AlgoseekSelectComponent, isStandalone: true, selector: "algoseek-select", inputs: { items: { classPropertyName: "items", publicName: "items", isSignal: false, isRequired: false, transformFunction: null }, label: { classPropertyName: "label", publicName: "label", isSignal: false, isRequired: false, transformFunction: null }, size: { classPropertyName: "size", publicName: "size", isSignal: false, isRequired: false, transformFunction: null }, isMultiple: { classPropertyName: "isMultiple", publicName: "isMultiple", isSignal: false, isRequired: false, transformFunction: null }, displayName: { classPropertyName: "displayName", publicName: "displayName", isSignal: false, isRequired: false, transformFunction: null }, valueKey: { classPropertyName: "valueKey", publicName: "valueKey", isSignal: false, isRequired: false, transformFunction: null }, search: { classPropertyName: "search", publicName: "search", isSignal: false, isRequired: false, transformFunction: null }, disabled: { classPropertyName: "disabled", publicName: "disabled", isSignal: true, isRequired: false, transformFunction: null } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => AlgoseekSelectComponent),
                multi: true,
            },
        ], ngImport: i0, template: "<mat-form-field appearance=\"outline\" class=\"algoseek-select--{{size}}\">\r\n  <mat-label>{{ label }}</mat-label>\r\n  <mat-select [multiple]=\"isMultiple\" [value]=\"value\" (selectionChange)=\"change($event)\" [disabled]=\"disabled()\">\r\n    @if (search) {\r\n      <mat-option class=\"search-option\">\r\n        <ngx-mat-select-search\r\n          [formControl]=\"searchCtrl\"\r\n          placeholderLabel=\"Search\"\r\n          noEntriesFoundLabel=\"No matching data found\"\r\n        ></ngx-mat-select-search>\r\n      </mat-option>\r\n    }\r\n    @for (item of filteredItems | async; track $index) {\r\n      <mat-option [value]=\"valueKey ? item[valueKey] : item\">{{displayName ? item[displayName] : item}}</mat-option>\r\n    }\r\n  </mat-select>\r\n</mat-form-field>", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-select{display:block}algoseek-select mat-form-field{width:100%}algoseek-select .mdc-text-field{background-color:#fff}algoseek-select .mat-mdc-form-field.mat-focused .mat-mdc-select-arrow{color:#11111180}algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline .mdc-notched-outline__leading,algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline .mdc-notched-outline__notch,algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#64b05c!important;border-width:1px!important}algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-floating-label,algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-floating-label--float-above{color:#64b05c!important}algoseek-select .mat-mdc-select-value{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0;color:#292524}algoseek-select .mdc-notched-outline__leading,algoseek-select .mdc-notched-outline__notch,algoseek-select .mdc-notched-outline__trailing{border-color:#e0d4c3!important}algoseek-select .mdc-notched-outline__leading{border-bottom-left-radius:6px!important;border-top-left-radius:6px!important}algoseek-select .mdc-notched-outline__trailing{border-bottom-right-radius:6px!important;border-top-right-radius:6px!important}algoseek-select .mat-mdc-form-field:not(.mat-form-field-disabled) .mat-mdc-floating-label.mdc-floating-label{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0;color:#514d4c80}algoseek-select .mat-mdc-select-arrow{color:#11111180}algoseek-select .algoseek-select--small .mat-mdc-text-field-wrapper{padding:0 16px}algoseek-select .algoseek-select--small .mat-mdc-form-field-infix{padding:8px 0;min-height:24px}algoseek-select .algoseek-select--small.mat-focused:not(.mat-form-field-hide-placeholder) .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label,algoseek-select .algoseek-select--small .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label.mdc-floating-label--float-above{top:25px!important}algoseek-select .algoseek-select--small .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label:not(.mdc-floating-label--float-above){top:20px!important}algoseek-select .algoseek-select--medium .mat-mdc-text-field-wrapper{padding:16px}algoseek-select .algoseek-select--medium .mat-mdc-form-field-infix{padding:0;min-height:24px}algoseek-select .algoseek-select--medium.mat-focused:not(.mat-form-field-hide-placeholder) .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label,algoseek-select .algoseek-select--medium .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label.mdc-floating-label--float-above,algoseek-select .algoseek-select--medium .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label:not(.mdc-floating-label--float-above){top:26px!important}.search-option{background-color:var(--mat-select-panel-background-color, var(--mat-sys-surface-container))!important}\n"], dependencies: [{ kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i4.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i4.MatLabel, selector: "mat-label" }, { kind: "ngmodule", type: MatSelectModule }, { kind: "component", type: i2$2.MatSelect, selector: "mat-select", inputs: ["aria-describedby", "panelClass", "disabled", "disableRipple", "tabIndex", "hideSingleSelectionIndicator", "placeholder", "required", "multiple", "disableOptionCentering", "compareWith", "value", "aria-label", "aria-labelledby", "errorStateMatcher", "typeaheadDebounceInterval", "sortComparator", "id", "panelWidth", "canSelectNullableOptions"], outputs: ["openedChange", "opened", "closed", "selectionChange", "valueChange"], exportAs: ["matSelect"] }, { kind: "component", type: i3$1.MatOption, selector: "mat-option", inputs: ["value", "id", "disabled"], outputs: ["onSelectionChange"], exportAs: ["matOption"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3$2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: NgxMatSelectSearchModule }, { kind: "component", type: i5.MatSelectSearchComponent, selector: "ngx-mat-select-search", inputs: ["placeholderLabel", "type", "closeIcon", "closeSvgIcon", "noEntriesFoundLabel", "clearSearchInput", "searching", "disableInitialFocus", "enableClearOnEscapePressed", "preventHomeEndKeyPropagation", "disableScrollToActiveOnOptionsChanged", "ariaLabel", "showToggleAllCheckbox", "toggleAllCheckboxChecked", "toggleAllCheckboxIndeterminate", "toggleAllCheckboxTooltipMessage", "toggleAllCheckboxTooltipPosition", "hideClearSearchButton", "alwaysRestoreSelectedOptionsMulti", "recreateValuesArray"], outputs: ["toggleAll"] }, { kind: "pipe", type: AsyncPipe, name: "async" }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-select', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => AlgoseekSelectComponent),
                            multi: true,
                        },
                    ], encapsulation: ViewEncapsulation.None, imports: [
                        MatFormFieldModule,
                        MatSelectModule,
                        ReactiveFormsModule,
                        NgxMatSelectSearchModule,
                        AsyncPipe
                    ], template: "<mat-form-field appearance=\"outline\" class=\"algoseek-select--{{size}}\">\r\n  <mat-label>{{ label }}</mat-label>\r\n  <mat-select [multiple]=\"isMultiple\" [value]=\"value\" (selectionChange)=\"change($event)\" [disabled]=\"disabled()\">\r\n    @if (search) {\r\n      <mat-option class=\"search-option\">\r\n        <ngx-mat-select-search\r\n          [formControl]=\"searchCtrl\"\r\n          placeholderLabel=\"Search\"\r\n          noEntriesFoundLabel=\"No matching data found\"\r\n        ></ngx-mat-select-search>\r\n      </mat-option>\r\n    }\r\n    @for (item of filteredItems | async; track $index) {\r\n      <mat-option [value]=\"valueKey ? item[valueKey] : item\">{{displayName ? item[displayName] : item}}</mat-option>\r\n    }\r\n  </mat-select>\r\n</mat-form-field>", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}algoseek-select{display:block}algoseek-select mat-form-field{width:100%}algoseek-select .mdc-text-field{background-color:#fff}algoseek-select .mat-mdc-form-field.mat-focused .mat-mdc-select-arrow{color:#11111180}algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline .mdc-notched-outline__leading,algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline .mdc-notched-outline__notch,algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#64b05c!important;border-width:1px!important}algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-floating-label,algoseek-select .mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-floating-label--float-above{color:#64b05c!important}algoseek-select .mat-mdc-select-value{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0;color:#292524}algoseek-select .mdc-notched-outline__leading,algoseek-select .mdc-notched-outline__notch,algoseek-select .mdc-notched-outline__trailing{border-color:#e0d4c3!important}algoseek-select .mdc-notched-outline__leading{border-bottom-left-radius:6px!important;border-top-left-radius:6px!important}algoseek-select .mdc-notched-outline__trailing{border-bottom-right-radius:6px!important;border-top-right-radius:6px!important}algoseek-select .mat-mdc-form-field:not(.mat-form-field-disabled) .mat-mdc-floating-label.mdc-floating-label{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0;color:#514d4c80}algoseek-select .mat-mdc-select-arrow{color:#11111180}algoseek-select .algoseek-select--small .mat-mdc-text-field-wrapper{padding:0 16px}algoseek-select .algoseek-select--small .mat-mdc-form-field-infix{padding:8px 0;min-height:24px}algoseek-select .algoseek-select--small.mat-focused:not(.mat-form-field-hide-placeholder) .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label,algoseek-select .algoseek-select--small .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label.mdc-floating-label--float-above{top:25px!important}algoseek-select .algoseek-select--small .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label:not(.mdc-floating-label--float-above){top:20px!important}algoseek-select .algoseek-select--medium .mat-mdc-text-field-wrapper{padding:16px}algoseek-select .algoseek-select--medium .mat-mdc-form-field-infix{padding:0;min-height:24px}algoseek-select .algoseek-select--medium.mat-focused:not(.mat-form-field-hide-placeholder) .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label,algoseek-select .algoseek-select--medium .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label.mdc-floating-label--float-above,algoseek-select .algoseek-select--medium .mat-mdc-text-field-wrapper .mat-mdc-form-field-flex .mat-mdc-floating-label:not(.mdc-floating-label--float-above){top:26px!important}.search-option{background-color:var(--mat-select-panel-background-color, var(--mat-sys-surface-container))!important}\n"] }]
        }], ctorParameters: () => [], propDecorators: { items: [{
                type: Input
            }], label: [{
                type: Input
            }], size: [{
                type: Input
            }], isMultiple: [{
                type: Input
            }], displayName: [{
                type: Input
            }], valueKey: [{
                type: Input
            }], search: [{
                type: Input
            }] } });

class DatasetComponent {
    constructor() {
        this.dataset = input();
        this.routerUrl = input();
        this.disableNavigation = input(false);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: DatasetComponent, isStandalone: true, selector: "algoseek-dataset", inputs: { dataset: { classPropertyName: "dataset", publicName: "dataset", isSignal: true, isRequired: false, transformFunction: null }, routerUrl: { classPropertyName: "routerUrl", publicName: "routerUrl", isSignal: true, isRequired: false, transformFunction: null }, disableNavigation: { classPropertyName: "disableNavigation", publicName: "disableNavigation", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "@let datasetUI = dataset();\r\n\r\n@if (disableNavigation()) {\r\n  <div class=\"wrapper\">\r\n    <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n  </div>\r\n} @else {\r\n  <a [routerLink]=\"routerUrl() || [datasetUI.text_id]\" class=\"wrapper\">\r\n    <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n  </a>\r\n}\r\n\r\n<ng-template #content>\r\n  <div class=\"title\">\r\n    <img [src]=\"datasetUI.vendor_icon\" width=\"80\" height=\"80\">\r\n    <div class=\"info\">\r\n      <a data-test-id=\"datasets-param-display-name\" class=\"dispaly-name\" [class.default-pointer]=\"disableNavigation()\"\r\n         [routerLink]=\"routerUrl() || [datasetUI.text_id]\">\r\n        {{ datasetUI.display_name }}\r\n      </a>\r\n      <div class=\"info__status p-3\" [class.info__status--demo]=\"datasetUI.status === 'Beta'\">\r\n        {{ datasetUI.status }}\r\n        <div class=\"info__status--dot\">&#183;</div>\r\n        <span class=\"text-secondary\">{{ datasetUI.version }} {{ datasetUI.vendor_name }}</span>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"details\">\r\n    @if (datasetUI.dataset_class) {\r\n      <div class=\"param\" data-test-id=\"datasets-param-data-class\">{{ datasetUI.dataset_class }}</div>\r\n    }\r\n    @if (datasetUI.time_granularity) {\r\n      <div class=\"param\" data-test-id=\"datasets-param-data-type\">{{ datasetUI.time_granularity }}</div>\r\n    }\r\n    @if (datasetUI.region) {\r\n      <div class=\"param\" data-test-id=\"datasets-param-region\">{{ datasetUI.region }}</div>\r\n    }\r\n\r\n    <div class=\"details__divider\"></div>\r\n\r\n    @if (datasetUI.delivery_methods) {\r\n      @for (delivery_method of datasetUI.delivery_methods; track $index) {\r\n        <div class=\"param\" data-test-id=\"datasets-param-dm\">{{ delivery_method }}</div>\r\n      }\r\n    }\r\n  </div>\r\n\r\n  <p class=\"body-regular-1\" data-test-id=\"datasets-param-description\">\r\n    {{ datasetUI.short_description }}\r\n  </p>\r\n\r\n  <div class=\"action\">\r\n    <ng-content select=\"[action]\"></ng-content>\r\n  </div>\r\n</ng-template>\r\n", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}:host{width:100%;background-color:#faf4ec;position:relative}:host:hover{opacity:.85;transition:all .2s}.wrapper{padding:32px 24px;color:unset;text-decoration:unset;height:100%;display:flex;flex-direction:column}.title{display:flex;gap:16px}.title .info{display:flex;flex-direction:column}.title .info__status{display:flex;align-items:center;color:#64b05c;gap:4px}.title .info__status--demo{color:#ffb400}.title .info__status--dot{font-size:40px}.title .info .dispaly-name{cursor:pointer;font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0;text-decoration:none;color:#292524}.title .info .dispaly-name.default-pointer{cursor:default}.details{display:flex;padding:17px 0;margin:24px 0;justify-content:space-between;border-top:1px solid #E0D4C3;border-bottom:1px solid #E0D4C3}.details__divider{margin:0 24px}.details .param{padding:4px 12px;font-size:13px;font-style:normal;font-weight:500;line-height:18px;letter-spacing:.16px;background-color:#f5f96b66;border-radius:16px;white-space:nowrap}.action{width:100%;display:flex;justify-content:flex-end;margin-top:auto}\n"], dependencies: [{ kind: "ngmodule", type: RouterModule }, { kind: "directive", type: i1$4.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-dataset', imports: [RouterModule, NgTemplateOutlet], template: "@let datasetUI = dataset();\r\n\r\n@if (disableNavigation()) {\r\n  <div class=\"wrapper\">\r\n    <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n  </div>\r\n} @else {\r\n  <a [routerLink]=\"routerUrl() || [datasetUI.text_id]\" class=\"wrapper\">\r\n    <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n  </a>\r\n}\r\n\r\n<ng-template #content>\r\n  <div class=\"title\">\r\n    <img [src]=\"datasetUI.vendor_icon\" width=\"80\" height=\"80\">\r\n    <div class=\"info\">\r\n      <a data-test-id=\"datasets-param-display-name\" class=\"dispaly-name\" [class.default-pointer]=\"disableNavigation()\"\r\n         [routerLink]=\"routerUrl() || [datasetUI.text_id]\">\r\n        {{ datasetUI.display_name }}\r\n      </a>\r\n      <div class=\"info__status p-3\" [class.info__status--demo]=\"datasetUI.status === 'Beta'\">\r\n        {{ datasetUI.status }}\r\n        <div class=\"info__status--dot\">&#183;</div>\r\n        <span class=\"text-secondary\">{{ datasetUI.version }} {{ datasetUI.vendor_name }}</span>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"details\">\r\n    @if (datasetUI.dataset_class) {\r\n      <div class=\"param\" data-test-id=\"datasets-param-data-class\">{{ datasetUI.dataset_class }}</div>\r\n    }\r\n    @if (datasetUI.time_granularity) {\r\n      <div class=\"param\" data-test-id=\"datasets-param-data-type\">{{ datasetUI.time_granularity }}</div>\r\n    }\r\n    @if (datasetUI.region) {\r\n      <div class=\"param\" data-test-id=\"datasets-param-region\">{{ datasetUI.region }}</div>\r\n    }\r\n\r\n    <div class=\"details__divider\"></div>\r\n\r\n    @if (datasetUI.delivery_methods) {\r\n      @for (delivery_method of datasetUI.delivery_methods; track $index) {\r\n        <div class=\"param\" data-test-id=\"datasets-param-dm\">{{ delivery_method }}</div>\r\n      }\r\n    }\r\n  </div>\r\n\r\n  <p class=\"body-regular-1\" data-test-id=\"datasets-param-description\">\r\n    {{ datasetUI.short_description }}\r\n  </p>\r\n\r\n  <div class=\"action\">\r\n    <ng-content select=\"[action]\"></ng-content>\r\n  </div>\r\n</ng-template>\r\n", styles: ["* a{color:#64b05c;text-decoration:underline;cursor:pointer}* a:visited{color:#509c48}.text-primary{color:#64b05c}.text-primary-60{color:#29252499}.text-primary-50{color:#29252480}.text--color-primary{color:#292524}.text-secondary{color:#514d4c80}.text-centered{text-align:center}h3{font-family:Roboto;font-size:45px;font-weight:500;line-height:53px;letter-spacing:0px;margin:0}h4{font-family:Roboto;font-size:34px;font-weight:500;line-height:42px;letter-spacing:.25px;margin:0}h5{font-family:Roboto;font-size:24px;font-weight:500;line-height:32px;letter-spacing:0px;margin:0}h6{font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0}.p-3{font-family:Roboto;font-size:15px;font-weight:400;line-height:24px;letter-spacing:0em;margin:0}.body-1-medium{font-family:Roboto;font-size:16px;font-weight:500;line-height:24px;letter-spacing:.15px;margin:0}.input-text{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;margin:0}.chip{font-family:Roboto;font-size:13px;font-weight:500;line-height:18px;letter-spacing:.18px;text-align:left;margin:0}.button-regular{font-family:Roboto;font-size:14px;font-weight:400;line-height:24px;letter-spacing:.4px;text-align:left;margin:0}.body-regular-1{font-family:Roboto;font-size:16px;font-weight:400;line-height:24px;letter-spacing:.15px;text-align:left;margin:0}.body-semibold-1{font-size:16px;font-weight:600;line-height:24px;letter-spacing:.15;text-align:left}.body-regular-2{font-family:Roboto;font-size:14px;font-style:normal;font-weight:400;line-height:20px;letter-spacing:.15px;margin:0}.body-medium-2{font-family:Roboto;font-size:14px;font-weight:500;line-height:20px;letter-spacing:.15px;text-align:left;margin:0}.component-input-label{font-family:Roboto;font-size:12px;font-weight:400;line-height:12px;letter-spacing:.15px;text-align:left;margin:0}.helper-text{font-family:Roboto;font-size:12px;font-weight:400;line-height:20px;letter-spacing:.4px;text-align:left;margin:0}.overline{font-family:Roboto;font-size:12px;font-weight:400;line-height:32px;letter-spacing:1px;text-align:left;margin:0}:host{width:100%;background-color:#faf4ec;position:relative}:host:hover{opacity:.85;transition:all .2s}.wrapper{padding:32px 24px;color:unset;text-decoration:unset;height:100%;display:flex;flex-direction:column}.title{display:flex;gap:16px}.title .info{display:flex;flex-direction:column}.title .info__status{display:flex;align-items:center;color:#64b05c;gap:4px}.title .info__status--demo{color:#ffb400}.title .info__status--dot{font-size:40px}.title .info .dispaly-name{cursor:pointer;font-size:20px;font-weight:500;line-height:32px;letter-spacing:.15px;margin:0;text-decoration:none;color:#292524}.title .info .dispaly-name.default-pointer{cursor:default}.details{display:flex;padding:17px 0;margin:24px 0;justify-content:space-between;border-top:1px solid #E0D4C3;border-bottom:1px solid #E0D4C3}.details__divider{margin:0 24px}.details .param{padding:4px 12px;font-size:13px;font-style:normal;font-weight:500;line-height:18px;letter-spacing:.16px;background-color:#f5f96b66;border-radius:16px;white-space:nowrap}.action{width:100%;display:flex;justify-content:flex-end;margin-top:auto}\n"] }]
        }] });

class FooterComponent {
    constructor() {
        this.supportEmail = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: FooterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.0.6", type: FooterComponent, isStandalone: true, selector: "algoseek-footer", inputs: { supportEmail: { classPropertyName: "supportEmail", publicName: "supportEmail", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "<div class=\"section\">\r\n  <img src=\"assets/images/logo-min.svg\" alt=\"AlgoSeek\" width=\"48\" height=\"48\" />\r\n  <a href=\"https://www.algoseek.com\">Website</a>\r\n  <a href=\"https://www.algoseek.com/terms.html\">Terms of Service</a>\r\n  <a href=\"https://www.algoseek.com/privacy.html\">Privacy Policy</a>\r\n</div>\r\n<div class=\"section\">\r\n  <a href=\"mailto:sales@algoseek.com\">sales&#64;algoseek.com</a><br>\r\n  <a href=\"mailto:{{ supportEmail() ?? 'support@algoseek.com' }}\">{{ supportEmail() ?? 'support@algoseek.com' }}</a><br>\r\n  <a href=\"tel:+16465831832\">+1 646 583 1832</a>\r\n</div>\r\n<div class=\"section--100 text-secondary\">\r\n  Algoseek 2025. All rights reserved.\r\n</div>", styles: [":host{display:flex;padding:16px;align-items:center;justify-content:space-between;flex-wrap:wrap;margin-top:16px}.section{display:flex;align-items:center;gap:8px}.section--100{width:100%;display:flex;justify-content:center}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: FooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-footer', imports: [], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"section\">\r\n  <img src=\"assets/images/logo-min.svg\" alt=\"AlgoSeek\" width=\"48\" height=\"48\" />\r\n  <a href=\"https://www.algoseek.com\">Website</a>\r\n  <a href=\"https://www.algoseek.com/terms.html\">Terms of Service</a>\r\n  <a href=\"https://www.algoseek.com/privacy.html\">Privacy Policy</a>\r\n</div>\r\n<div class=\"section\">\r\n  <a href=\"mailto:sales@algoseek.com\">sales&#64;algoseek.com</a><br>\r\n  <a href=\"mailto:{{ supportEmail() ?? 'support@algoseek.com' }}\">{{ supportEmail() ?? 'support@algoseek.com' }}</a><br>\r\n  <a href=\"tel:+16465831832\">+1 646 583 1832</a>\r\n</div>\r\n<div class=\"section--100 text-secondary\">\r\n  Algoseek 2025. All rights reserved.\r\n</div>", styles: [":host{display:flex;padding:16px;align-items:center;justify-content:space-between;flex-wrap:wrap;margin-top:16px}.section{display:flex;align-items:center;gap:8px}.section--100{width:100%;display:flex;justify-content:center}\n"] }]
        }] });

class FilterByPipe {
    transform(value, ...args) {
        const [filterProp, filterKey] = args;
        if (filterKey === undefined || filterKey === null || !value || !filterProp || filterKey?.length === 0) {
            return value;
        }
        const propsDepth = filterProp.split('.');
        return value.filter(val => {
            const propValue = propsDepth
                .reduce((nextObj, prop) => {
                nextObj = nextObj ? nextObj[prop] : val[prop];
                return nextObj;
            }, null);
            if (Array.isArray(filterKey)) {
                return filterKey
                    .map(key => key?.toString())
                    .indexOf(propValue?.toString()) !== -1;
            }
            else {
                return propValue?.toString() === filterKey?.toString();
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: FilterByPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.6", ngImport: i0, type: FilterByPipe, isStandalone: true, name: "filterBy" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: FilterByPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'filterBy',
                    standalone: true
                }]
        }] });

function sortAtoZ(array) {
    return array.sort((a, b) => {
        const nameA = a.toUpperCase();
        const nameB = b.toUpperCase();
        if (nameA < nameB) {
            return -1;
        }
        if (nameA > nameB) {
            return 1;
        }
        return 0;
    });
}

class DatasetsListComponent {
    constructor() {
        this.#router = inject(Router);
        this.#activatedRoute = inject(ActivatedRoute);
        this.assetClassFC = new FormControl(null);
        this.granularityFC = new FormControl(null);
        this.updateFrequencyFC = new FormControl(null);
        this.vendorFC = new FormControl(null);
        this.regionFC = new FormControl(null);
        this.searchFC = new FormControl('');
        this.updateFrequency = input([]);
    }
    #router;
    #activatedRoute;
    set datasets(datasets) {
        if (!datasets) {
            return;
        }
        const allGranularities = datasets.map(d => d.time_granularity).filter(dt => !!dt);
        this.uniqueGranularities = sortAtoZ([...new Set(allGranularities)]);
        const allAssetClasses = datasets.map(d => d.dataset_class).filter(dt => !!dt);
        this.uniqueAssetClasses = sortAtoZ([...new Set(allAssetClasses)]);
        const allVendors = datasets.map(d => d.vendor_name).filter(dt => !!dt);
        this.uniqueVendors = sortAtoZ([...new Set(allVendors)]);
        const allRegions = datasets.map(d => d.region).filter(dt => !!dt);
        this.uniqueRegions = sortAtoZ([...new Set(allRegions)]);
        this._originalDatasets = datasets.map(d => ({ ...d }));
        this.viewDatasets = this._originalDatasets.slice();
    }
    ngOnInit() {
        this.searchFC.valueChanges.subscribe((value) => this.filterByKeyword(value));
        this.#activatedRoute.queryParams.pipe(take(1)).subscribe(params => {
            if (params['dataset_class']) {
                this.assetClassFC.setValue(Array.isArray(params['dataset_class']) ? params['dataset_class'] : [params['dataset_class']]);
            }
            if (params['time_granularity']) {
                this.granularityFC.setValue(Array.isArray(params['time_granularity']) ? params['time_granularity'] : [params['time_granularity']]);
            }
            if (params['vendor_name']) {
                this.granularityFC.setValue(Array.isArray(params['vendor_name']) ? params['vendor_name'] : [params['vendor_name']]);
            }
            if (params['region']) {
                this.granularityFC.setValue(Array.isArray(params['region']) ? params['region'] : [params['region']]);
            }
        });
        this.assetClassFC.valueChanges.subscribe(value => {
            this.#router.navigate([], {
                relativeTo: this.#activatedRoute,
                queryParams: {
                    dataset_class: value
                },
                queryParamsHandling: 'merge'
            });
        });
        this.granularityFC.valueChanges.subscribe(value => {
            this.#router.navigate([], {
                relativeTo: this.#activatedRoute,
                queryParams: {
                    time_granularity: value
                },
                queryParamsHandling: 'merge'
            });
        });
        this.vendorFC.valueChanges.subscribe(value => {
            this.#router.navigate([], {
                relativeTo: this.#activatedRoute,
                queryParams: {
                    vendor_name: value
                },
                queryParamsHandling: 'merge'
            });
        });
        this.regionFC.valueChanges.subscribe(value => {
            this.#router.navigate([], {
                relativeTo: this.#activatedRoute,
                queryParams: {
                    region: value
                },
                queryParamsHandling: 'merge'
            });
        });
    }
    clearFilters() {
        this.assetClassFC.setValue(null);
        this.granularityFC.setValue(null);
        this.vendorFC.setValue(null);
        this.regionFC.setValue(null);
        this.updateFrequencyFC.setValue(null);
        this.#router.navigate([], {
            relativeTo: this.#activatedRoute,
            queryParams: {}
        });
        this.resetKeywordsSearch();
    }
    filterByKeyword(value) {
        this.viewDatasets = this._originalDatasets.filter(dataset => dataset.display_name?.toUpperCase().includes(value?.toUpperCase()) ||
            dataset.dataset_class?.toUpperCase().includes(value?.toUpperCase()) ||
            dataset.dataset_type?.toUpperCase().includes(value?.toUpperCase()) ||
            dataset.short_description?.toUpperCase().includes(value?.toUpperCase()));
    }
    resetKeywordsSearch() {
        this.searchFC.setValue('');
        this.viewDatasets = this._originalDatasets.slice();
    }
    filterChanges({ value }, field) {
        this.#router.navigate([], {
            relativeTo: this.#activatedRoute,
            queryParams: {
                [field]: value
            },
            queryParamsHandling: 'merge'
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetsListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: DatasetsListComponent, isStandalone: true, selector: "algoseek-datasets-list", inputs: { datasets: { classPropertyName: "datasets", publicName: "datasets", isSignal: false, isRequired: false, transformFunction: null }, updateFrequency: { classPropertyName: "updateFrequency", publicName: "updateFrequency", isSignal: true, isRequired: false, transformFunction: null } }, viewQueries: [{ propertyName: "filterInput", first: true, predicate: ["filterInput"], descendants: true }], ngImport: i0, template: "\r\n<div class=\"filters\">\r\n  <div class=\"filters__selectors\">\r\n    <algoseek-select data-test-id=\"datasets-field-asset-class\"\r\n      label=\"Data Class:\"\r\n      size=\"small\"\r\n      [items]=\"uniqueAssetClasses\"\r\n      [isMultiple]=\"true\"\r\n      [formControl]=\"assetClassFC\"\r\n    />\r\n\r\n    @if (updateFrequency().length === 0) {\r\n      <algoseek-select data-test-id=\"datasets-field-datatype\"\r\n        label=\"Granularity:\"\r\n        size=\"small\"\r\n        [items]=\"uniqueGranularities\"\r\n        [isMultiple]=\"true\"\r\n        [formControl]=\"granularityFC\"\r\n      />\r\n    }\r\n\r\n    @if (updateFrequency().length > 0) {\r\n      <algoseek-select data-test-id=\"datasets-field-datatype\"\r\n        label=\"Update Frequency:\"\r\n        size=\"small\"\r\n        [items]=\"updateFrequency()\"\r\n        [isMultiple]=\"true\"\r\n        [displayName]=\"'display_name'\"\r\n        [valueKey]=\"'internal_name'\"\r\n        [formControl]=\"updateFrequencyFC\"\r\n      />\r\n    }\r\n\r\n    <algoseek-select data-test-id=\"datasets-field-vendor\"\r\n      label=\"Vendor:\"\r\n      size=\"small\"\r\n      [items]=\"uniqueVendors\"\r\n      [isMultiple]=\"true\"\r\n      [formControl]=\"vendorFC\"\r\n    />\r\n\r\n    <algoseek-select data-test-id=\"datasets-field-vendor\"\r\n      label=\"Region:\"\r\n      size=\"small\"\r\n      [items]=\"uniqueRegions\"\r\n      [isMultiple]=\"true\"\r\n      [formControl]=\"regionFC\"\r\n    />\r\n\r\n    <algoseek-input-field class=\"search-input\" data-test-id=\"datasets-input-search\"\r\n      label=\"Search by Dataset Name\"\r\n      type=\"text\"\r\n      size=\"small\"\r\n      prefix=\"search\"\r\n      [formControl]=\"searchFC\"\r\n    />\r\n  </div>\r\n\r\n  <button mat-button class=\"clear\" color=\"warn\" (click)=\"clearFilters()\" data-test-id=\"datasets-button-clear-filters\">Clear all</button>\r\n</div>\r\n\r\n<div class=\"datasets\">\r\n  @for (dataset of viewDatasets\r\n    | filterBy:'time_granularity': granularityFC.value\r\n    | filterBy:'vendor_name': vendorFC.value\r\n    | filterBy:'region': regionFC.value\r\n    | filterBy:'update_frequency_options': updateFrequencyFC.value\r\n    | filterBy:'dataset_class': assetClassFC.value; track dataset) {\r\n    <algoseek-dataset\r\n      [dataset]=\"dataset\"\r\n    ></algoseek-dataset>\r\n  }\r\n</div>\r\n", styles: [":host{display:flex;flex-direction:column;gap:32px}.algoseek-tab-group{width:60%}.filters{display:flex;align-items:center;gap:24px;padding:20px;background-color:#faf4ec}.filters__selectors{display:flex;flex:1;flex-wrap:wrap;gap:8px;justify-content:space-between}.filters .search-input{width:30%}.filters algoseek-select{width:16%}.filters .clear{width:100px}.filters ::ng-deep .mat-mdc-form-field-bottom-align{display:none}.selectors{display:flex;gap:8px}.datasets{display:grid;grid-template-columns:repeat(3,1fr);grid-gap:32px;overflow-y:auto;height:100%}@media (max-width: 1499px){.datasets{display:grid;grid-template-columns:repeat(2,1fr);grid-gap:32px}}@media (max-width: 1000px){.algoseek-form-field{width:40%;flex:auto!important}.datasets{display:grid;grid-template-columns:repeat(1,1fr);grid-gap:24px}}\n"], dependencies: [{ kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3$2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "ngmodule", type: MatSelectModule }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i2.MatButton, selector: "    button[mat-button], button[mat-raised-button], button[mat-flat-button],    button[mat-stroked-button]  ", exportAs: ["matButton"] }, { kind: "pipe", type: FilterByPipe, name: "filterBy" }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: DatasetComponent, selector: "algoseek-dataset", inputs: ["dataset", "routerUrl", "disableNavigation"] }, { kind: "ngmodule", type: RouterModule }, { kind: "ngmodule", type: MatInputModule }, { kind: "component", type: AlgoseekSelectComponent, selector: "algoseek-select", inputs: ["items", "label", "size", "isMultiple", "displayName", "valueKey", "search", "disabled"] }, { kind: "component", type: AlgoseekInputFieldComponent, selector: "algoseek-input-field", inputs: ["label", "disabled", "prefix", "suffix", "size", "type", "helperText", "min", "autocomplete"], outputs: ["suffixClicked"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetsListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-datasets-list', imports: [
                        ReactiveFormsModule,
                        MatFormFieldModule,
                        MatSelectModule,
                        MatButtonModule,
                        FilterByPipe,
                        MatIconModule,
                        DatasetComponent,
                        RouterModule,
                        MatInputModule,
                        AlgoseekSelectComponent,
                        AlgoseekInputFieldComponent
                    ], changeDetection: ChangeDetectionStrategy.OnPush, template: "\r\n<div class=\"filters\">\r\n  <div class=\"filters__selectors\">\r\n    <algoseek-select data-test-id=\"datasets-field-asset-class\"\r\n      label=\"Data Class:\"\r\n      size=\"small\"\r\n      [items]=\"uniqueAssetClasses\"\r\n      [isMultiple]=\"true\"\r\n      [formControl]=\"assetClassFC\"\r\n    />\r\n\r\n    @if (updateFrequency().length === 0) {\r\n      <algoseek-select data-test-id=\"datasets-field-datatype\"\r\n        label=\"Granularity:\"\r\n        size=\"small\"\r\n        [items]=\"uniqueGranularities\"\r\n        [isMultiple]=\"true\"\r\n        [formControl]=\"granularityFC\"\r\n      />\r\n    }\r\n\r\n    @if (updateFrequency().length > 0) {\r\n      <algoseek-select data-test-id=\"datasets-field-datatype\"\r\n        label=\"Update Frequency:\"\r\n        size=\"small\"\r\n        [items]=\"updateFrequency()\"\r\n        [isMultiple]=\"true\"\r\n        [displayName]=\"'display_name'\"\r\n        [valueKey]=\"'internal_name'\"\r\n        [formControl]=\"updateFrequencyFC\"\r\n      />\r\n    }\r\n\r\n    <algoseek-select data-test-id=\"datasets-field-vendor\"\r\n      label=\"Vendor:\"\r\n      size=\"small\"\r\n      [items]=\"uniqueVendors\"\r\n      [isMultiple]=\"true\"\r\n      [formControl]=\"vendorFC\"\r\n    />\r\n\r\n    <algoseek-select data-test-id=\"datasets-field-vendor\"\r\n      label=\"Region:\"\r\n      size=\"small\"\r\n      [items]=\"uniqueRegions\"\r\n      [isMultiple]=\"true\"\r\n      [formControl]=\"regionFC\"\r\n    />\r\n\r\n    <algoseek-input-field class=\"search-input\" data-test-id=\"datasets-input-search\"\r\n      label=\"Search by Dataset Name\"\r\n      type=\"text\"\r\n      size=\"small\"\r\n      prefix=\"search\"\r\n      [formControl]=\"searchFC\"\r\n    />\r\n  </div>\r\n\r\n  <button mat-button class=\"clear\" color=\"warn\" (click)=\"clearFilters()\" data-test-id=\"datasets-button-clear-filters\">Clear all</button>\r\n</div>\r\n\r\n<div class=\"datasets\">\r\n  @for (dataset of viewDatasets\r\n    | filterBy:'time_granularity': granularityFC.value\r\n    | filterBy:'vendor_name': vendorFC.value\r\n    | filterBy:'region': regionFC.value\r\n    | filterBy:'update_frequency_options': updateFrequencyFC.value\r\n    | filterBy:'dataset_class': assetClassFC.value; track dataset) {\r\n    <algoseek-dataset\r\n      [dataset]=\"dataset\"\r\n    ></algoseek-dataset>\r\n  }\r\n</div>\r\n", styles: [":host{display:flex;flex-direction:column;gap:32px}.algoseek-tab-group{width:60%}.filters{display:flex;align-items:center;gap:24px;padding:20px;background-color:#faf4ec}.filters__selectors{display:flex;flex:1;flex-wrap:wrap;gap:8px;justify-content:space-between}.filters .search-input{width:30%}.filters algoseek-select{width:16%}.filters .clear{width:100px}.filters ::ng-deep .mat-mdc-form-field-bottom-align{display:none}.selectors{display:flex;gap:8px}.datasets{display:grid;grid-template-columns:repeat(3,1fr);grid-gap:32px;overflow-y:auto;height:100%}@media (max-width: 1499px){.datasets{display:grid;grid-template-columns:repeat(2,1fr);grid-gap:32px}}@media (max-width: 1000px){.algoseek-form-field{width:40%;flex:auto!important}.datasets{display:grid;grid-template-columns:repeat(1,1fr);grid-gap:24px}}\n"] }]
        }], propDecorators: { datasets: [{
                type: Input
            }], filterInput: [{
                type: ViewChild,
                args: ['filterInput', { static: false }]
            }] } });

class LoginService {
    constructor(_httpClient) {
        this._httpClient = _httpClient;
    }
    login(email, password, url) {
        return this._httpClient.post(url, { email, password });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: LoginService, deps: [{ token: i1$5.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: LoginService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: LoginService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$5.HttpClient }] });

class AlgoseekLoginComponent {
    get emailControl() {
        return this.form.get('email');
    }
    get passwordControl() {
        return this.form.get('password');
    }
    handleKeyboardEvent(event) {
        if (event.key === 'Enter' && this.form.valid) {
            this.onSubmit(this.form.value);
            event.preventDefault();
            event.stopPropagation();
        }
    }
    constructor(_loginService, _cdr) {
        this._loginService = _loginService;
        this._cdr = _cdr;
        this.loginError = null;
        this.passwordVisible = false;
        this.passwordIcon = 'visibility_off';
        this.loading = false;
        this.enableSignUp = input(true);
        this.showResend = input(false);
        this.url = input();
        this.subtitle = input('Please Sign In to your account and start the adventure');
        this.supportEmail = input();
        this.succesfullLogin = new EventEmitter();
        this.failedLogin = new EventEmitter();
        this.forgotPassword = new EventEmitter();
        this.signUp = new EventEmitter();
        this.resendEmail = new EventEmitter();
        this.form = new FormGroup({
            email: new FormControl(null, Validators.compose([Validators.required, Validators.email])),
            password: new FormControl(null, Validators.compose([Validators.required, Validators.minLength(8)]))
        });
    }
    onSubmit({ email, password }) {
        this.loginError = null;
        this.loading = true;
        this._loginService.login(email, password, this.url()).subscribe({
            next: (res) => {
                this.succesfullLogin.emit(res);
                this.loading = false;
            },
            error: ({ error }) => {
                this.failedLogin.emit({
                    error: error.detail,
                    email
                });
                this.loginError = error.detail;
                this.loading = false;
                this._cdr.detectChanges();
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekLoginComponent, deps: [{ token: LoginService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: AlgoseekLoginComponent, isStandalone: true, selector: "algoseek-login", inputs: { enableSignUp: { classPropertyName: "enableSignUp", publicName: "enableSignUp", isSignal: true, isRequired: false, transformFunction: null }, showResend: { classPropertyName: "showResend", publicName: "showResend", isSignal: true, isRequired: false, transformFunction: null }, url: { classPropertyName: "url", publicName: "url", isSignal: true, isRequired: false, transformFunction: null }, subtitle: { classPropertyName: "subtitle", publicName: "subtitle", isSignal: true, isRequired: false, transformFunction: null }, supportEmail: { classPropertyName: "supportEmail", publicName: "supportEmail", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { succesfullLogin: "succesfullLogin", failedLogin: "failedLogin", forgotPassword: "forgotPassword", signUp: "signUp", resendEmail: "resendEmail" }, host: { listeners: { "window:keydown": "handleKeyboardEvent($event)" } }, providers: [
            LoginService
        ], ngImport: i0, template: "<div class=\"container\">\r\n  <div class=\"title\">\r\n    <ng-content select=\"[logo]\"></ng-content>\r\n  </div>\r\n  <form [formGroup]=\"form\" class=\"login-form\">\r\n    <div class=\"heading\">Sign In your Account</div>\r\n    <div class=\"sub-heading\">{{ subtitle() }}</div>\r\n\r\n    @if(loginError !== null) {\r\n      <algoseek-alert severity=\"error\">\r\n        {{ loginError }}\r\n      </algoseek-alert>\r\n    }\r\n\r\n    <algoseek-input-field\r\n      label=\"Email*\"\r\n      size=\"medium\"\r\n      [formControl]=\"emailControl\"\r\n      data-test-id=\"auth-input-login-email\"\r\n    >\r\n      <mat-error *ngIf=\"emailControl.hasError('required') && (emailControl.dirty || emailControl.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"emailControl.hasError('email') && (emailControl.dirty || emailControl.touched)\">Incorrect email format</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-input-field\r\n      label=\"Password*\"\r\n      size=\"medium\"\r\n      [type]=\"passwordVisible ? 'text' : 'password'\"\r\n      [formControl]=\"passwordControl\"\r\n      [suffix]=\"passwordVisible ? 'visibility_on' : 'visibility_off'\"\r\n      (suffixClicked)=\"passwordVisible = !passwordVisible\"\r\n      data-test-id=\"auth-input-login-password\"\r\n    >\r\n      <mat-error *ngIf=\"passwordControl.hasError('required') && (passwordControl.dirty || passwordControl.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"passwordControl.hasError('minlength') && (passwordControl.dirty || passwordControl.touched)\">Password should have minimum 8 symbols</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <div class=\"confirmation\">\r\n      @if (showResend()) {\r\n        <a class=\"body-regular-1\" (click)=\"resendEmail.emit()\" data-test-id=\"auth-link-login-resend-email\">Resend Email</a>\r\n      } @else {\r\n        <div></div>\r\n      }\r\n      <a class=\"body-regular-1\" (click)=\"forgotPassword.emit()\" data-test-id=\"auth-link-login-forgot-password\">Forgot Password</a>\r\n    </div>\r\n\r\n    <div class=\"actions\">\r\n      @if (enableSignUp()) {\r\n        <algoseek-button class=\"submit-button\"\r\n          [type]=\"(form.invalid || loading) ? 'raised' : 'stroked'\"\r\n          color=\"primary\"\r\n          size=\"large\"\r\n          (click)=\"signUp.emit(form.value)\"\r\n          data-test-id=\"auth-button-create-account\"\r\n        >Create an Account</algoseek-button>\r\n      }\r\n\r\n      <algoseek-button class=\"submit-button\"\r\n        type=\"raised\"\r\n        color=\"primary\"\r\n        size=\"large\"\r\n        [disabled]=\"form.invalid || loading\"\r\n        (onClick)=\"onSubmit(form.value)\"\r\n        data-test-id=\"auth-button-login-signin\"\r\n      >{{ loading ? 'Signing in ...' : 'Sign In' }}</algoseek-button>\r\n    </div>\r\n  </form>\r\n\r\n  <div class=\"footer-wrapper\">\r\n    @if(enableSignUp()) {\r\n      <div class=\"have-account\">\r\n        Don't have an Account?\r\n        <a class=\"body-regular-1\" (click)=\"signUp.emit(form.value)\" data-test-id=\"auth-link-login-signup\">Sign Up</a>\r\n      </div>\r\n    }\r\n\r\n    @if(supportEmail()) {\r\n      <div>\r\n        Please email <a href=\"{{ supportEmail() }}\">{{ supportEmail() }}</a> with any questions or issues. <br />\r\n      </div>\r\n    }\r\n  </div>\r\n\r\n</div>\r\n", styles: [".container{display:flex;align-items:center;justify-content:center;flex-direction:column;gap:40px}.container .title{display:flex;gap:16px;font-weight:600;font-size:18px;line-height:32px;align-items:center}.container .login-form{padding:56px 34px;background-color:#faf4ec;box-shadow:0 1px 1px #0000001a;border-radius:8px;text-align:center;width:576px}.container .login-form .heading{font-weight:500;font-size:28px;line-height:33px;margin-bottom:16px}.container .login-form .sub-heading{font-weight:400;font-size:15px;line-height:19px;margin-bottom:40px;text-align:center;padding:0 60px;color:#29252499}.container .submit-button{width:100%;height:48px;margin-top:24px;font-size:15px;font-weight:500;line-height:26px;letter-spacing:.46px}.container .have-account{display:flex;gap:8px;align-items:center}algoseek-alert{margin-bottom:16px}:host{width:100%}.confirmation{display:flex;align-items:center;justify-content:space-between;width:100%}.actions{display:flex;align-items:center;gap:24px}.footer-wrapper{display:flex;flex-direction:column;gap:8px;align-items:center}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3$2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i3$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3$2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3$2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3$2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: AlgoseekInputFieldComponent, selector: "algoseek-input-field", inputs: ["label", "disabled", "prefix", "suffix", "size", "type", "helperText", "min", "autocomplete"], outputs: ["suffixClicked"] }, { kind: "component", type: AlgoseekButtonComponent, selector: "algoseek-button", inputs: ["disabled", "size", "color", "type"], outputs: ["onClick"] }, { kind: "component", type: AlgoseekAlertComponent, selector: "algoseek-alert", inputs: ["severity"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "ngmodule", type: MatIconModule }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "directive", type: i4.MatError, selector: "mat-error, [matError]", inputs: ["id"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekLoginComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-login', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        AlgoseekInputFieldComponent,
                        AlgoseekButtonComponent,
                        AlgoseekAlertComponent,
                        MatButtonModule,
                        MatIconModule,
                        MatFormFieldModule
                    ], providers: [
                        LoginService
                    ], template: "<div class=\"container\">\r\n  <div class=\"title\">\r\n    <ng-content select=\"[logo]\"></ng-content>\r\n  </div>\r\n  <form [formGroup]=\"form\" class=\"login-form\">\r\n    <div class=\"heading\">Sign In your Account</div>\r\n    <div class=\"sub-heading\">{{ subtitle() }}</div>\r\n\r\n    @if(loginError !== null) {\r\n      <algoseek-alert severity=\"error\">\r\n        {{ loginError }}\r\n      </algoseek-alert>\r\n    }\r\n\r\n    <algoseek-input-field\r\n      label=\"Email*\"\r\n      size=\"medium\"\r\n      [formControl]=\"emailControl\"\r\n      data-test-id=\"auth-input-login-email\"\r\n    >\r\n      <mat-error *ngIf=\"emailControl.hasError('required') && (emailControl.dirty || emailControl.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"emailControl.hasError('email') && (emailControl.dirty || emailControl.touched)\">Incorrect email format</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-input-field\r\n      label=\"Password*\"\r\n      size=\"medium\"\r\n      [type]=\"passwordVisible ? 'text' : 'password'\"\r\n      [formControl]=\"passwordControl\"\r\n      [suffix]=\"passwordVisible ? 'visibility_on' : 'visibility_off'\"\r\n      (suffixClicked)=\"passwordVisible = !passwordVisible\"\r\n      data-test-id=\"auth-input-login-password\"\r\n    >\r\n      <mat-error *ngIf=\"passwordControl.hasError('required') && (passwordControl.dirty || passwordControl.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"passwordControl.hasError('minlength') && (passwordControl.dirty || passwordControl.touched)\">Password should have minimum 8 symbols</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <div class=\"confirmation\">\r\n      @if (showResend()) {\r\n        <a class=\"body-regular-1\" (click)=\"resendEmail.emit()\" data-test-id=\"auth-link-login-resend-email\">Resend Email</a>\r\n      } @else {\r\n        <div></div>\r\n      }\r\n      <a class=\"body-regular-1\" (click)=\"forgotPassword.emit()\" data-test-id=\"auth-link-login-forgot-password\">Forgot Password</a>\r\n    </div>\r\n\r\n    <div class=\"actions\">\r\n      @if (enableSignUp()) {\r\n        <algoseek-button class=\"submit-button\"\r\n          [type]=\"(form.invalid || loading) ? 'raised' : 'stroked'\"\r\n          color=\"primary\"\r\n          size=\"large\"\r\n          (click)=\"signUp.emit(form.value)\"\r\n          data-test-id=\"auth-button-create-account\"\r\n        >Create an Account</algoseek-button>\r\n      }\r\n\r\n      <algoseek-button class=\"submit-button\"\r\n        type=\"raised\"\r\n        color=\"primary\"\r\n        size=\"large\"\r\n        [disabled]=\"form.invalid || loading\"\r\n        (onClick)=\"onSubmit(form.value)\"\r\n        data-test-id=\"auth-button-login-signin\"\r\n      >{{ loading ? 'Signing in ...' : 'Sign In' }}</algoseek-button>\r\n    </div>\r\n  </form>\r\n\r\n  <div class=\"footer-wrapper\">\r\n    @if(enableSignUp()) {\r\n      <div class=\"have-account\">\r\n        Don't have an Account?\r\n        <a class=\"body-regular-1\" (click)=\"signUp.emit(form.value)\" data-test-id=\"auth-link-login-signup\">Sign Up</a>\r\n      </div>\r\n    }\r\n\r\n    @if(supportEmail()) {\r\n      <div>\r\n        Please email <a href=\"{{ supportEmail() }}\">{{ supportEmail() }}</a> with any questions or issues. <br />\r\n      </div>\r\n    }\r\n  </div>\r\n\r\n</div>\r\n", styles: [".container{display:flex;align-items:center;justify-content:center;flex-direction:column;gap:40px}.container .title{display:flex;gap:16px;font-weight:600;font-size:18px;line-height:32px;align-items:center}.container .login-form{padding:56px 34px;background-color:#faf4ec;box-shadow:0 1px 1px #0000001a;border-radius:8px;text-align:center;width:576px}.container .login-form .heading{font-weight:500;font-size:28px;line-height:33px;margin-bottom:16px}.container .login-form .sub-heading{font-weight:400;font-size:15px;line-height:19px;margin-bottom:40px;text-align:center;padding:0 60px;color:#29252499}.container .submit-button{width:100%;height:48px;margin-top:24px;font-size:15px;font-weight:500;line-height:26px;letter-spacing:.46px}.container .have-account{display:flex;gap:8px;align-items:center}algoseek-alert{margin-bottom:16px}:host{width:100%}.confirmation{display:flex;align-items:center;justify-content:space-between;width:100%}.actions{display:flex;align-items:center;gap:24px}.footer-wrapper{display:flex;flex-direction:column;gap:8px;align-items:center}\n"] }]
        }], ctorParameters: () => [{ type: LoginService }, { type: i0.ChangeDetectorRef }], propDecorators: { succesfullLogin: [{
                type: Output
            }], failedLogin: [{
                type: Output
            }], forgotPassword: [{
                type: Output
            }], signUp: [{
                type: Output
            }], resendEmail: [{
                type: Output
            }], handleKeyboardEvent: [{
                type: HostListener,
                args: ['window:keydown', ['$event']]
            }] } });

class ForgotPasswordService {
    constructor(_httpClient) {
        this._httpClient = _httpClient;
    }
    resetPassword(email, url) {
        return this._httpClient.post(url, { email });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: ForgotPasswordService, deps: [{ token: i1$5.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: ForgotPasswordService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: ForgotPasswordService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$5.HttpClient }] });

class AlgoseekForgotPasswordComponent {
    constructor(_forgotPasswordService, _cdr) {
        this._forgotPasswordService = _forgotPasswordService;
        this._cdr = _cdr;
        this.forgotError = null;
        this.step = 1;
        this.email = new FormControl(null, Validators.compose([Validators.required, Validators.email]));
        this.enableSignUp = true;
        this.signUp = new EventEmitter();
    }
    onSubmit(email) {
        this.forgotError = null;
        this._forgotPasswordService.resetPassword(email, this.url).subscribe({
            next: () => this.step = 2,
            error: ({ error }) => {
                this.forgotError = error.detail;
                this._cdr.detectChanges();
            },
            complete: () => this._cdr.detectChanges()
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekForgotPasswordComponent, deps: [{ token: ForgotPasswordService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: AlgoseekForgotPasswordComponent, isStandalone: true, selector: "algoseek-forgot-password", inputs: { url: "url", enableSignUp: "enableSignUp" }, outputs: { signUp: "signUp" }, ngImport: i0, template: "<div class=\"container container--forgot-password\" *ngIf=\"step === 1\">\r\n  <div class=\"title\">\r\n    <img src=\"assets/images/logo.png\" alt=\"logo\" width=\"210\" height=\"70\">\r\n  </div>\r\n  <div class=\"login-form\">\r\n    <div class=\"heading\">Forgot Password</div>\r\n    <div class=\"sub-heading\">Please enter your Email to reset your Password</div>\r\n\r\n    @if(forgotError !== null) {\r\n      <algoseek-alert severity=\"error\">\r\n        {{ forgotError }}\r\n      </algoseek-alert>\r\n    }\r\n\r\n    <algoseek-input-field\r\n      label=\"Email*\"\r\n      size=\"medium\"\r\n      [formControl]=\"email\"\r\n      data-test-id=\"auth-input-forgot-password-email\"\r\n    >\r\n      <mat-error *ngIf=\"email.hasError('required') && (email.dirty || email.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"email.hasError('email') && (email.dirty || email.touched)\">Incorrect email format</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-button class=\"submit-button\"\r\n      type=\"raised\"\r\n      color=\"primary\"\r\n      label=\"Sign In\"\r\n      size=\"large\"\r\n      [disabled]=\"email.invalid\"\r\n      (onClick)=\"onSubmit(email.value)\"\r\n      data-test-id=\"auth-button-forgot-password-send-link\"\r\n    >Send link to Email</algoseek-button>\r\n  </div>\r\n\r\n  @if(enableSignUp) {\r\n    <div class=\"have-account\">\r\n      Don't have an Account?\r\n      <a class=\"algoseek-link\" (click)=\"signUp.emit()\" data-test-id=\"auth-link-login-signup\">Sign Up</a>\r\n    </div>\r\n  }\r\n</div>\r\n\r\n<div class=\"container container--confirmation\" *ngIf=\"step === 2\">\r\n  <div class=\"title\">\r\n    <img src=\"assets/images/logo.png\" alt=\"logo\" width=\"210\" height=\"70\">\r\n  </div>\r\n  <div class=\"login-form\">\r\n    <div class=\"heading\">Email Sent</div>\r\n\r\n    <algoseek-alert severity=\"success\">\r\n      We've sent you an email with a link to reset your password\r\n    </algoseek-alert>\r\n\r\n    <div class=\"sub-heading\">Check your spam and promotions folder if it doesn't appear in your main mailbox</div>\r\n  </div>\r\n</div>\r\n", styles: [".container{display:flex;align-items:center;justify-content:center;flex-direction:column;gap:40px}.container .title{display:flex;gap:16px;font-weight:600;font-size:18px;line-height:32px;align-items:center}.container .login-form{padding:56px 34px;background-color:#faf4ec;box-shadow:0 1px 1px #0000001a;border-radius:8px;text-align:center;width:576px}.container .login-form .heading{font-weight:500;font-size:28px;line-height:33px;margin-bottom:16px}.container .login-form .sub-heading{font-weight:400;font-size:15px;line-height:19px;margin-bottom:40px;text-align:center;padding:0 60px;color:#29252499}.container .submit-button{width:100%;height:48px;margin-top:24px;font-size:15px;font-weight:500;line-height:26px;letter-spacing:.46px}.container .have-account{display:flex;gap:8px;align-items:center}algoseek-alert{margin-bottom:16px}:host{width:100%}.container--forgot-password .sub-heading{padding:0 90px!important}.container--confirmation .login-form .heading{margin-bottom:40px}.container--confirmation .login-form algoseek-alert{margin-bottom:24px}.container--confirmation .login-form .sub-heading{padding:0 120px;margin:0;line-height:24px}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3$2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "component", type: AlgoseekInputFieldComponent, selector: "algoseek-input-field", inputs: ["label", "disabled", "prefix", "suffix", "size", "type", "helperText", "min", "autocomplete"], outputs: ["suffixClicked"] }, { kind: "component", type: AlgoseekButtonComponent, selector: "algoseek-button", inputs: ["disabled", "size", "color", "type"], outputs: ["onClick"] }, { kind: "component", type: AlgoseekAlertComponent, selector: "algoseek-alert", inputs: ["severity"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "directive", type: i4.MatError, selector: "mat-error, [matError]", inputs: ["id"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekForgotPasswordComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-forgot-password', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        AlgoseekInputFieldComponent,
                        AlgoseekButtonComponent,
                        AlgoseekAlertComponent,
                        MatIconModule,
                        MatFormFieldModule
                    ], template: "<div class=\"container container--forgot-password\" *ngIf=\"step === 1\">\r\n  <div class=\"title\">\r\n    <img src=\"assets/images/logo.png\" alt=\"logo\" width=\"210\" height=\"70\">\r\n  </div>\r\n  <div class=\"login-form\">\r\n    <div class=\"heading\">Forgot Password</div>\r\n    <div class=\"sub-heading\">Please enter your Email to reset your Password</div>\r\n\r\n    @if(forgotError !== null) {\r\n      <algoseek-alert severity=\"error\">\r\n        {{ forgotError }}\r\n      </algoseek-alert>\r\n    }\r\n\r\n    <algoseek-input-field\r\n      label=\"Email*\"\r\n      size=\"medium\"\r\n      [formControl]=\"email\"\r\n      data-test-id=\"auth-input-forgot-password-email\"\r\n    >\r\n      <mat-error *ngIf=\"email.hasError('required') && (email.dirty || email.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"email.hasError('email') && (email.dirty || email.touched)\">Incorrect email format</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-button class=\"submit-button\"\r\n      type=\"raised\"\r\n      color=\"primary\"\r\n      label=\"Sign In\"\r\n      size=\"large\"\r\n      [disabled]=\"email.invalid\"\r\n      (onClick)=\"onSubmit(email.value)\"\r\n      data-test-id=\"auth-button-forgot-password-send-link\"\r\n    >Send link to Email</algoseek-button>\r\n  </div>\r\n\r\n  @if(enableSignUp) {\r\n    <div class=\"have-account\">\r\n      Don't have an Account?\r\n      <a class=\"algoseek-link\" (click)=\"signUp.emit()\" data-test-id=\"auth-link-login-signup\">Sign Up</a>\r\n    </div>\r\n  }\r\n</div>\r\n\r\n<div class=\"container container--confirmation\" *ngIf=\"step === 2\">\r\n  <div class=\"title\">\r\n    <img src=\"assets/images/logo.png\" alt=\"logo\" width=\"210\" height=\"70\">\r\n  </div>\r\n  <div class=\"login-form\">\r\n    <div class=\"heading\">Email Sent</div>\r\n\r\n    <algoseek-alert severity=\"success\">\r\n      We've sent you an email with a link to reset your password\r\n    </algoseek-alert>\r\n\r\n    <div class=\"sub-heading\">Check your spam and promotions folder if it doesn't appear in your main mailbox</div>\r\n  </div>\r\n</div>\r\n", styles: [".container{display:flex;align-items:center;justify-content:center;flex-direction:column;gap:40px}.container .title{display:flex;gap:16px;font-weight:600;font-size:18px;line-height:32px;align-items:center}.container .login-form{padding:56px 34px;background-color:#faf4ec;box-shadow:0 1px 1px #0000001a;border-radius:8px;text-align:center;width:576px}.container .login-form .heading{font-weight:500;font-size:28px;line-height:33px;margin-bottom:16px}.container .login-form .sub-heading{font-weight:400;font-size:15px;line-height:19px;margin-bottom:40px;text-align:center;padding:0 60px;color:#29252499}.container .submit-button{width:100%;height:48px;margin-top:24px;font-size:15px;font-weight:500;line-height:26px;letter-spacing:.46px}.container .have-account{display:flex;gap:8px;align-items:center}algoseek-alert{margin-bottom:16px}:host{width:100%}.container--forgot-password .sub-heading{padding:0 90px!important}.container--confirmation .login-form .heading{margin-bottom:40px}.container--confirmation .login-form algoseek-alert{margin-bottom:24px}.container--confirmation .login-form .sub-heading{padding:0 120px;margin:0;line-height:24px}\n"] }]
        }], ctorParameters: () => [{ type: ForgotPasswordService }, { type: i0.ChangeDetectorRef }], propDecorators: { url: [{
                type: Input
            }], enableSignUp: [{
                type: Input
            }], signUp: [{
                type: Output
            }] } });

function MustMatch(controlName, matchingControlName) {
    return (control) => {
        const formGroup = control;
        const mainControl = formGroup.controls[controlName];
        const matchingControl = formGroup.controls[matchingControlName];
        if (!control || !matchingControl) {
            return null;
        }
        if (matchingControl.errors && !matchingControl.errors['mustMatch']) {
            // return if another validator has already found an error on the matchingControl
            return null;
        }
        // set error on matchingControl if validation fails
        if (mainControl.value !== matchingControl.value) {
            matchingControl.setErrors({ mustMatch: true });
            return { mustMatch: true };
        }
        else {
            matchingControl.setErrors(null);
            return null;
        }
    };
}

function noWhitespaceValidator() {
    return (control) => {
        const isWhitespace = (control.value || '').trim().length === 0;
        const isValid = !isWhitespace;
        return isValid ? null : { 'whitespace': true };
    };
}

class ResetPasswordService {
    constructor(_httpClient) {
        this._httpClient = _httpClient;
    }
    resetPassword(token, new_password, url, method = 'post') {
        const body = token ? { token, new_password } : { new_password };
        return this._httpClient[method](url, body);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: ResetPasswordService, deps: [{ token: i1$5.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: ResetPasswordService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: ResetPasswordService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$5.HttpClient }] });

class AlgoseekResetPasswordComponent {
    get passwordControl() {
        return this.form.get('password');
    }
    get confirmPassword() {
        return this.form.get('confirmPassword');
    }
    constructor(_resetPasswordService, _cdr) {
        this._resetPasswordService = _resetPasswordService;
        this._cdr = _cdr;
        this.resetError = null;
        this.actionName = 'Reset';
        this.succesfullReset = new EventEmitter();
        this.form = new FormGroup({
            password: new FormControl(null, Validators.compose([Validators.required, Validators.minLength(8), noWhitespaceValidator()])),
            confirmPassword: new FormControl(null, Validators.compose([Validators.required, Validators.minLength(8), noWhitespaceValidator()]))
        }, { validators: MustMatch('password', 'confirmPassword') });
    }
    onSubmit({ password }) {
        this.resetError = null;
        this._resetPasswordService.resetPassword(this.token, password, this.url, this.method).subscribe({
            next: () => {
                this.succesfullReset.emit();
            },
            error: ({ error }) => {
                this.resetError = error.detail;
                this._cdr.detectChanges();
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekResetPasswordComponent, deps: [{ token: ResetPasswordService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: AlgoseekResetPasswordComponent, isStandalone: true, selector: "algoseek-reset-password", inputs: { url: "url", token: "token", method: "method", actionName: "actionName" }, outputs: { succesfullReset: "succesfullReset" }, ngImport: i0, template: "<div class=\"container\">\r\n  <div class=\"title\">\r\n    <img src=\"assets/images/logo.png\" alt=\"logo\" width=\"210\" height=\"70\">\r\n  </div>\r\n  <form [formGroup]=\"form\" class=\"login-form\">\r\n    <div class=\"heading\">{{ actionName }} Password</div>\r\n    <div class=\"sub-heading\">Your new password must be different from previously used passwords</div>\r\n\r\n    @if(resetError !== null) {\r\n      <algoseek-alert severity=\"error\">\r\n        {{ resetError }}\r\n      </algoseek-alert>\r\n    }\r\n\r\n    <algoseek-input-field\r\n      label=\"Password*\"\r\n      type=\"password\"\r\n      size=\"medium\"\r\n      [formControl]=\"passwordControl\"\r\n      data-test-id=\"auth-input-reset-password-password\"\r\n    >\r\n      <mat-error *ngIf=\"passwordControl.hasError('required') && (passwordControl.dirty || passwordControl.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"passwordControl.hasError('minlength') && (passwordControl.dirty || passwordControl.touched)\">Password should have minimum 8 symbols</mat-error>\r\n      <mat-error *ngIf=\"passwordControl.hasError('whitespace') && (passwordControl.dirty || passwordControl.touched)\">Only white spaces are now allowed</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-input-field\r\n      label=\"Repeat Password*\"\r\n      type=\"password\"\r\n      size=\"medium\"\r\n      [formControl]=\"confirmPassword\"\r\n      data-test-id=\"auth-input-reset-password-password-confirm\"\r\n    >\r\n      <mat-error *ngIf=\"confirmPassword.hasError('required') && (confirmPassword.dirty || confirmPassword.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"confirmPassword.hasError('minlength') && (confirmPassword.dirty || confirmPassword.touched)\">Password should have minimum 8 symbols</mat-error>\r\n      <mat-error *ngIf=\"confirmPassword.hasError('whitespace') && (confirmPassword.dirty || confirmPassword.touched)\">Only white spaces are now allowed</mat-error>\r\n      <mat-error *ngIf=\"form.errors?.['mustMatch']\">Passwords do not match.</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-button class=\"submit-button\"\r\n      type=\"raised\"\r\n      color=\"primary\"\r\n      size=\"large\"\r\n      [disabled]=\"form.invalid\"\r\n      (onClick)=\"onSubmit(form.value)\"\r\n      data-test-id=\"auth-button-reset-password-submit\"\r\n    >{{ actionName }}</algoseek-button>\r\n  </form>\r\n</div>\r\n", styles: [".container{display:flex;align-items:center;justify-content:center;flex-direction:column;gap:40px}.container .title{display:flex;gap:16px;font-weight:600;font-size:18px;line-height:32px;align-items:center}.container .login-form{padding:56px 34px;background-color:#faf4ec;box-shadow:0 1px 1px #0000001a;border-radius:8px;text-align:center;width:576px}.container .login-form .heading{font-weight:500;font-size:28px;line-height:33px;margin-bottom:16px}.container .login-form .sub-heading{font-weight:400;font-size:15px;line-height:19px;margin-bottom:40px;text-align:center;padding:0 60px;color:#29252499}.container .submit-button{width:100%;height:48px;margin-top:24px;font-size:15px;font-weight:500;line-height:26px;letter-spacing:.46px}.container .have-account{display:flex;gap:8px;align-items:center}algoseek-alert{margin-bottom:16px}:host{width:100%}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i2$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3$2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i3$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3$2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3$2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3$2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: AlgoseekInputFieldComponent, selector: "algoseek-input-field", inputs: ["label", "disabled", "prefix", "suffix", "size", "type", "helperText", "min", "autocomplete"], outputs: ["suffixClicked"] }, { kind: "component", type: AlgoseekButtonComponent, selector: "algoseek-button", inputs: ["disabled", "size", "color", "type"], outputs: ["onClick"] }, { kind: "component", type: AlgoseekAlertComponent, selector: "algoseek-alert", inputs: ["severity"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "directive", type: i4.MatError, selector: "mat-error, [matError]", inputs: ["id"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekResetPasswordComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-reset-password', changeDetection: ChangeDetectionStrategy.OnPush, imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        AlgoseekInputFieldComponent,
                        AlgoseekButtonComponent,
                        AlgoseekAlertComponent,
                        MatIconModule,
                        MatFormFieldModule
                    ], template: "<div class=\"container\">\r\n  <div class=\"title\">\r\n    <img src=\"assets/images/logo.png\" alt=\"logo\" width=\"210\" height=\"70\">\r\n  </div>\r\n  <form [formGroup]=\"form\" class=\"login-form\">\r\n    <div class=\"heading\">{{ actionName }} Password</div>\r\n    <div class=\"sub-heading\">Your new password must be different from previously used passwords</div>\r\n\r\n    @if(resetError !== null) {\r\n      <algoseek-alert severity=\"error\">\r\n        {{ resetError }}\r\n      </algoseek-alert>\r\n    }\r\n\r\n    <algoseek-input-field\r\n      label=\"Password*\"\r\n      type=\"password\"\r\n      size=\"medium\"\r\n      [formControl]=\"passwordControl\"\r\n      data-test-id=\"auth-input-reset-password-password\"\r\n    >\r\n      <mat-error *ngIf=\"passwordControl.hasError('required') && (passwordControl.dirty || passwordControl.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"passwordControl.hasError('minlength') && (passwordControl.dirty || passwordControl.touched)\">Password should have minimum 8 symbols</mat-error>\r\n      <mat-error *ngIf=\"passwordControl.hasError('whitespace') && (passwordControl.dirty || passwordControl.touched)\">Only white spaces are now allowed</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-input-field\r\n      label=\"Repeat Password*\"\r\n      type=\"password\"\r\n      size=\"medium\"\r\n      [formControl]=\"confirmPassword\"\r\n      data-test-id=\"auth-input-reset-password-password-confirm\"\r\n    >\r\n      <mat-error *ngIf=\"confirmPassword.hasError('required') && (confirmPassword.dirty || confirmPassword.touched)\">Required</mat-error>\r\n      <mat-error *ngIf=\"confirmPassword.hasError('minlength') && (confirmPassword.dirty || confirmPassword.touched)\">Password should have minimum 8 symbols</mat-error>\r\n      <mat-error *ngIf=\"confirmPassword.hasError('whitespace') && (confirmPassword.dirty || confirmPassword.touched)\">Only white spaces are now allowed</mat-error>\r\n      <mat-error *ngIf=\"form.errors?.['mustMatch']\">Passwords do not match.</mat-error>\r\n    </algoseek-input-field>\r\n\r\n    <algoseek-button class=\"submit-button\"\r\n      type=\"raised\"\r\n      color=\"primary\"\r\n      size=\"large\"\r\n      [disabled]=\"form.invalid\"\r\n      (onClick)=\"onSubmit(form.value)\"\r\n      data-test-id=\"auth-button-reset-password-submit\"\r\n    >{{ actionName }}</algoseek-button>\r\n  </form>\r\n</div>\r\n", styles: [".container{display:flex;align-items:center;justify-content:center;flex-direction:column;gap:40px}.container .title{display:flex;gap:16px;font-weight:600;font-size:18px;line-height:32px;align-items:center}.container .login-form{padding:56px 34px;background-color:#faf4ec;box-shadow:0 1px 1px #0000001a;border-radius:8px;text-align:center;width:576px}.container .login-form .heading{font-weight:500;font-size:28px;line-height:33px;margin-bottom:16px}.container .login-form .sub-heading{font-weight:400;font-size:15px;line-height:19px;margin-bottom:40px;text-align:center;padding:0 60px;color:#29252499}.container .submit-button{width:100%;height:48px;margin-top:24px;font-size:15px;font-weight:500;line-height:26px;letter-spacing:.46px}.container .have-account{display:flex;gap:8px;align-items:center}algoseek-alert{margin-bottom:16px}:host{width:100%}\n"] }]
        }], ctorParameters: () => [{ type: ResetPasswordService }, { type: i0.ChangeDetectorRef }], propDecorators: { url: [{
                type: Input
            }], token: [{
                type: Input
            }], method: [{
                type: Input
            }], actionName: [{
                type: Input
            }], succesfullReset: [{
                type: Output
            }] } });

class AlgoseekDatePipe {
    transform(value, format) {
        const datePipe = new DatePipe("en-US");
        value = datePipe.transform(value, format ?? 'MM/dd/yyyy');
        return value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekDatePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekDatePipe, isStandalone: true, name: "algoseekDate" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekDatePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'algoseekDate',
                }]
        }] });

class DatasetSummaryComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetSummaryComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: DatasetSummaryComponent, isStandalone: true, selector: "algoseek-dataset-summary", inputs: { hass3: "hass3", hasdb: "hasdb", dataset: "dataset", deliveryMethods: "deliveryMethods" }, ngImport: i0, template: "<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel expanded>\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Dataset Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">Dataset Name ID</div>\r\n        <div class=\"value\">{{ dataset.text_id }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Algoseek Dataset ID</div>\r\n        <div class=\"value\">{{ dataset.internal_id }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Format</div>\r\n        <div class=\"value\">{{ dataset.dataset_format }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Class</div>\r\n        <div class=\"value\">{{ dataset.dataset_class }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Type</div>\r\n        <div class=\"value\">{{ dataset.dataset_type }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Time Granularity</div>\r\n        <div class=\"value\">{{ dataset.time_granularity }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Region</div>\r\n        <div class=\"value\">{{ dataset.region }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Universe</div>\r\n        <div class=\"value\">{{ dataset.universe_description }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Version</div>\r\n        <div class=\"value\">{{ dataset.version }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Frequency Options</div>\r\n        <div class=\"value\">{{ dataset.update_frequency_options.join() }}</div>\r\n      </div>\r\n    </div>\r\n  </mat-expansion-panel>\r\n</mat-accordion>\r\n\r\n@if (dataset.is_demo_available) {\r\n  <mat-accordion class=\"algoseek-accordion\">\r\n    <mat-expansion-panel expanded>\r\n      <mat-expansion-panel-header>\r\n        <mat-panel-title>\r\n          Demo Info\r\n        </mat-panel-title>\r\n      </mat-expansion-panel-header>\r\n      <div class=\"records\">\r\n        <div class=\"record\">\r\n          <div class=\"key\">Start Date</div>\r\n          <div class=\"value\">{{ dataset.demo_data.start_date | algoseekDate }}</div>\r\n        </div>\r\n        <div class=\"record\">\r\n          <div class=\"key\">End Date</div>\r\n          <div class=\"value\">{{ dataset.demo_data.end_date | algoseekDate }}</div>\r\n        </div>\r\n        <div class=\"record\">\r\n          <div class=\"key\">Access Methods</div>\r\n          <div class=\"value\">{{ dataset.demo_data.access_methods }}</div>\r\n        </div>\r\n        <div class=\"record\">\r\n          <div class=\"key\">Description</div>\r\n          <div class=\"value\">{{ dataset.demo_data.description }}</div>\r\n        </div>\r\n      </div>\r\n    </mat-expansion-panel>\r\n  </mat-accordion>\r\n}\r\n\r\n<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel expanded>\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Historical Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Size</div>\r\n        <div class=\"value\">{{ dataset.annual_size_human || dataset.total_size_human }} / year</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Size</div>\r\n        <div class=\"value\">{{ dataset.update_size_human }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Frequency</div>\r\n        <div class=\"value\">{{ dataset.interval_value }} {{ dataset.interval_type }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Time</div>\r\n        <div class=\"value\">{{ dataset.public_time }} {{ dataset.public_time_timezone_name }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Start Date</div>\r\n        <div class=\"value\">{{ dataset.start_date }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">End Date</div>\r\n        <div class=\"value\">{{ dataset.end_date || 'Ongoing' }} </div>\r\n      </div>\r\n    </div>\r\n  </mat-expansion-panel>\r\n\r\n</mat-accordion>\r\n\r\n", styles: [":host{display:flex;margin-top:24px;gap:32px;flex-direction:column}.secondary-heading{margin-left:150px;color:#8f8886}\n"], dependencies: [{ kind: "ngmodule", type: MatExpansionModule }, { kind: "directive", type: i2$3.MatAccordion, selector: "mat-accordion", inputs: ["hideToggle", "displayMode", "togglePosition"], exportAs: ["matAccordion"] }, { kind: "component", type: i2$3.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["hideToggle", "togglePosition"], outputs: ["afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }, { kind: "component", type: i2$3.MatExpansionPanelHeader, selector: "mat-expansion-panel-header", inputs: ["expandedHeight", "collapsedHeight", "tabIndex"] }, { kind: "directive", type: i2$3.MatExpansionPanelTitle, selector: "mat-panel-title" }, { kind: "pipe", type: AlgoseekDatePipe, name: "algoseekDate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetSummaryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-dataset-summary', imports: [MatExpansionModule, AlgoseekDatePipe], template: "<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel expanded>\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Dataset Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">Dataset Name ID</div>\r\n        <div class=\"value\">{{ dataset.text_id }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Algoseek Dataset ID</div>\r\n        <div class=\"value\">{{ dataset.internal_id }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Format</div>\r\n        <div class=\"value\">{{ dataset.dataset_format }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Class</div>\r\n        <div class=\"value\">{{ dataset.dataset_class }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Type</div>\r\n        <div class=\"value\">{{ dataset.dataset_type }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Time Granularity</div>\r\n        <div class=\"value\">{{ dataset.time_granularity }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Region</div>\r\n        <div class=\"value\">{{ dataset.region }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Universe</div>\r\n        <div class=\"value\">{{ dataset.universe_description }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Version</div>\r\n        <div class=\"value\">{{ dataset.version }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Frequency Options</div>\r\n        <div class=\"value\">{{ dataset.update_frequency_options.join() }}</div>\r\n      </div>\r\n    </div>\r\n  </mat-expansion-panel>\r\n</mat-accordion>\r\n\r\n@if (dataset.is_demo_available) {\r\n  <mat-accordion class=\"algoseek-accordion\">\r\n    <mat-expansion-panel expanded>\r\n      <mat-expansion-panel-header>\r\n        <mat-panel-title>\r\n          Demo Info\r\n        </mat-panel-title>\r\n      </mat-expansion-panel-header>\r\n      <div class=\"records\">\r\n        <div class=\"record\">\r\n          <div class=\"key\">Start Date</div>\r\n          <div class=\"value\">{{ dataset.demo_data.start_date | algoseekDate }}</div>\r\n        </div>\r\n        <div class=\"record\">\r\n          <div class=\"key\">End Date</div>\r\n          <div class=\"value\">{{ dataset.demo_data.end_date | algoseekDate }}</div>\r\n        </div>\r\n        <div class=\"record\">\r\n          <div class=\"key\">Access Methods</div>\r\n          <div class=\"value\">{{ dataset.demo_data.access_methods }}</div>\r\n        </div>\r\n        <div class=\"record\">\r\n          <div class=\"key\">Description</div>\r\n          <div class=\"value\">{{ dataset.demo_data.description }}</div>\r\n        </div>\r\n      </div>\r\n    </mat-expansion-panel>\r\n  </mat-accordion>\r\n}\r\n\r\n<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel expanded>\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Historical Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">Data Size</div>\r\n        <div class=\"value\">{{ dataset.annual_size_human || dataset.total_size_human }} / year</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Size</div>\r\n        <div class=\"value\">{{ dataset.update_size_human }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Frequency</div>\r\n        <div class=\"value\">{{ dataset.interval_value }} {{ dataset.interval_type }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Update Time</div>\r\n        <div class=\"value\">{{ dataset.public_time }} {{ dataset.public_time_timezone_name }}</div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Start Date</div>\r\n        <div class=\"value\">{{ dataset.start_date }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">End Date</div>\r\n        <div class=\"value\">{{ dataset.end_date || 'Ongoing' }} </div>\r\n      </div>\r\n    </div>\r\n  </mat-expansion-panel>\r\n\r\n</mat-accordion>\r\n\r\n", styles: [":host{display:flex;margin-top:24px;gap:32px;flex-direction:column}.secondary-heading{margin-left:150px;color:#8f8886}\n"] }]
        }], propDecorators: { hass3: [{
                type: Input
            }], hasdb: [{
                type: Input
            }], dataset: [{
                type: Input
            }], deliveryMethods: [{
                type: Input
            }] } });

class UnderscoreToWordsPipe {
    transform(value) {
        return value.replace(/_/g, ' ');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: UnderscoreToWordsPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.6", ngImport: i0, type: UnderscoreToWordsPipe, isStandalone: true, name: "underscoreToWords" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: UnderscoreToWordsPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'underscoreToWords',
                    standalone: true
                }]
        }] });

class LoadAndReadCsvService {
    constructor(_httpClient) {
        this._httpClient = _httpClient;
    }
    getSampleData(url) {
        return this._httpClient.get(url, {
            responseType: 'text'
        });
    }
    readCsv(url) {
        return this._httpClient.get(url, { responseType: 'blob', headers: { Accept: '*/*' } }).pipe(switchMap((csvText) => {
            return from(new Promise((resolve, reject) => {
                Papa.parse(csvText, {
                    header: true,
                    complete: (results) => {
                        resolve(results.data);
                    },
                    error: (error) => {
                        reject(error);
                    }
                });
            }));
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: LoadAndReadCsvService, deps: [{ token: i1$5.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: LoadAndReadCsvService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: LoadAndReadCsvService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$5.HttpClient }] });

class DatabaseComponent {
    set dataset(value) {
        this._dataset = value;
        this._dataSource = value?.destinations['SQL']?.data_columns.map((column, index) => ({ '#': index + 1, ...column }));
        const dataUrl = value?.destinations['SQL']?.data_preview_url;
        if (dataUrl) {
            this.loadSampleData(dataUrl);
        }
    }
    get dataset() {
        return this._dataset;
    }
    get dataSource() {
        return this._dataSource;
    }
    constructor(_loadAndReadCsvService) {
        this._loadAndReadCsvService = _loadAndReadCsvService;
        this.columns = ['#', 'name', 'data_type', 'description'];
        this.view = 'fields';
        this.sampleDataColumns = [];
        this.sampleData = [];
        this._dataSource = [];
    }
    loadSampleData(url) {
        this._loadAndReadCsvService.readCsv(url)
            .subscribe({
            next: (data) => {
                this.sampleDataColumns = Object.keys(data[0]);
                this.sampleData = data;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatabaseComponent, deps: [{ token: LoadAndReadCsvService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: DatabaseComponent, isStandalone: true, selector: "algoseek-database", inputs: { dataset: "dataset" }, ngImport: i0, template: "<span class=\"body-semibold-1\">Easily connect to your data using SQL with a database connection. No complex setup, just instant access to your data - run queries, retrieve insights, and manage data effortlessly. Secure, fast, and built for developers, analysts, and teams who need reliable access without the hassle.</span>\r\n\r\n<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel [expanded]=\"true\">\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Delivery Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">Database Table</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].table_name ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Database Schema</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].schema_name ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Object Type</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].object_type ?? '--'}} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Primary Date Column</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].primary_date_column ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Timestamp Column</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].timestamp_column ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Internal ID Column</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].internal_id_column ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Identifier Column</div>\r\n        <div class=\"value\"> {{ dataset.destinations['SQL'].universe_identifier_column ?? '--' }} </div>\r\n      </div>\r\n    </div>\r\n  </mat-expansion-panel>\r\n</mat-accordion>\r\n\r\n<div class=\"view-selection\">\r\n  <div class=\"view\" [class.view--active]=\"view === 'fields'\" (click)=\"view = 'fields'\">Data Fields</div>\r\n  <div class=\"view\" [class.view--active]=\"view === 'sample'\" (click)=\"view = 'sample'\">Preview Data</div>\r\n</div>\r\n\r\n@if (view === 'fields') {\r\n  <table mat-table [dataSource]=\"dataSource\" class=\"algoseek-table\">\r\n    @for (displayedColumn of columns; track displayedColumn) {\r\n      <ng-container [matColumnDef]=\"displayedColumn\">\r\n        <th mat-header-cell *matHeaderCellDef>\r\n          {{ displayedColumn | underscoreToWords }}\r\n        </th>\r\n        <td mat-cell *matCellDef=\"let element\"> {{element[displayedColumn]}} </td>\r\n      </ng-container>\r\n    }\r\n    <tr mat-header-row *matHeaderRowDef=\"columns; sticky: true\"></tr>\r\n    <tr mat-row *matRowDef=\"let row; columns: columns;\"></tr>\r\n  </table>\r\n}\r\n\r\n@if (view === 'sample') {\r\n  <div class=\"table-wrapper\">\r\n    <table mat-table [dataSource]=\"sampleData\" class=\"algoseek-table\">\r\n      @for (field of sampleDataColumns; track field) {\r\n        <ng-container [matColumnDef]=\"field\">\r\n          <th mat-header-cell *matHeaderCellDef> {{ field }} </th>\r\n          <td mat-cell *matCellDef=\"let element\"> {{element[field]}} </td>\r\n        </ng-container>\r\n      }\r\n\r\n      <tr mat-header-row *matHeaderRowDef=\"sampleDataColumns; sticky: true\"></tr>\r\n      <tr mat-row *matRowDef=\"let row; columns: sampleDataColumns;\"></tr>\r\n    </table>\r\n  </div>\r\n}\r\n", styles: [":host{display:flex;flex-direction:column;gap:24px;padding-top:24px}.view-selection{display:flex;gap:4px}.view{font-size:14px;font-weight:500;line-height:24px;letter-spacing:.4px;padding:12px 24px;color:#29252480;cursor:pointer;transition:box-shadow .3s ease,color .3s ease;border-radius:8px}.view:hover{box-shadow:0 1px 1px #0000001a;color:#64b05c}.view--active{color:#64b05c;box-shadow:0 1px 1px #0000001a;background-color:#fffbf5}.table-wrapper{display:flex;max-height:80vh;overflow:auto}::ng-deep .algoseek-table td{white-space:nowrap}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: MatTabsModule }, { kind: "ngmodule", type: MatExpansionModule }, { kind: "directive", type: i2$3.MatAccordion, selector: "mat-accordion", inputs: ["hideToggle", "displayMode", "togglePosition"], exportAs: ["matAccordion"] }, { kind: "component", type: i2$3.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["hideToggle", "togglePosition"], outputs: ["afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }, { kind: "component", type: i2$3.MatExpansionPanelHeader, selector: "mat-expansion-panel-header", inputs: ["expandedHeight", "collapsedHeight", "tabIndex"] }, { kind: "directive", type: i2$3.MatExpansionPanelTitle, selector: "mat-panel-title" }, { kind: "ngmodule", type: MatTableModule }, { kind: "component", type: i3$3.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i3$3.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i3$3.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i3$3.MatColumnDef, selector: "[matColumnDef]", inputs: ["matColumnDef"] }, { kind: "directive", type: i3$3.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i3$3.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i3$3.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i3$3.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i3$3.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i3$3.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "pipe", type: UnderscoreToWordsPipe, name: "underscoreToWords" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatabaseComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-database', imports: [
                        CommonModule,
                        MatTabsModule,
                        MatExpansionModule,
                        MatTableModule,
                        UnderscoreToWordsPipe
                    ], template: "<span class=\"body-semibold-1\">Easily connect to your data using SQL with a database connection. No complex setup, just instant access to your data - run queries, retrieve insights, and manage data effortlessly. Secure, fast, and built for developers, analysts, and teams who need reliable access without the hassle.</span>\r\n\r\n<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel [expanded]=\"true\">\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Delivery Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">Database Table</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].table_name ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Database Schema</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].schema_name ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Object Type</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].object_type ?? '--'}} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Primary Date Column</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].primary_date_column ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Timestamp Column</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].timestamp_column ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Internal ID Column</div>\r\n        <div class=\"value\">{{ dataset.destinations['SQL'].internal_id_column ?? '--' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">Identifier Column</div>\r\n        <div class=\"value\"> {{ dataset.destinations['SQL'].universe_identifier_column ?? '--' }} </div>\r\n      </div>\r\n    </div>\r\n  </mat-expansion-panel>\r\n</mat-accordion>\r\n\r\n<div class=\"view-selection\">\r\n  <div class=\"view\" [class.view--active]=\"view === 'fields'\" (click)=\"view = 'fields'\">Data Fields</div>\r\n  <div class=\"view\" [class.view--active]=\"view === 'sample'\" (click)=\"view = 'sample'\">Preview Data</div>\r\n</div>\r\n\r\n@if (view === 'fields') {\r\n  <table mat-table [dataSource]=\"dataSource\" class=\"algoseek-table\">\r\n    @for (displayedColumn of columns; track displayedColumn) {\r\n      <ng-container [matColumnDef]=\"displayedColumn\">\r\n        <th mat-header-cell *matHeaderCellDef>\r\n          {{ displayedColumn | underscoreToWords }}\r\n        </th>\r\n        <td mat-cell *matCellDef=\"let element\"> {{element[displayedColumn]}} </td>\r\n      </ng-container>\r\n    }\r\n    <tr mat-header-row *matHeaderRowDef=\"columns; sticky: true\"></tr>\r\n    <tr mat-row *matRowDef=\"let row; columns: columns;\"></tr>\r\n  </table>\r\n}\r\n\r\n@if (view === 'sample') {\r\n  <div class=\"table-wrapper\">\r\n    <table mat-table [dataSource]=\"sampleData\" class=\"algoseek-table\">\r\n      @for (field of sampleDataColumns; track field) {\r\n        <ng-container [matColumnDef]=\"field\">\r\n          <th mat-header-cell *matHeaderCellDef> {{ field }} </th>\r\n          <td mat-cell *matCellDef=\"let element\"> {{element[field]}} </td>\r\n        </ng-container>\r\n      }\r\n\r\n      <tr mat-header-row *matHeaderRowDef=\"sampleDataColumns; sticky: true\"></tr>\r\n      <tr mat-row *matRowDef=\"let row; columns: sampleDataColumns;\"></tr>\r\n    </table>\r\n  </div>\r\n}\r\n", styles: [":host{display:flex;flex-direction:column;gap:24px;padding-top:24px}.view-selection{display:flex;gap:4px}.view{font-size:14px;font-weight:500;line-height:24px;letter-spacing:.4px;padding:12px 24px;color:#29252480;cursor:pointer;transition:box-shadow .3s ease,color .3s ease;border-radius:8px}.view:hover{box-shadow:0 1px 1px #0000001a;color:#64b05c}.view--active{color:#64b05c;box-shadow:0 1px 1px #0000001a;background-color:#fffbf5}.table-wrapper{display:flex;max-height:80vh;overflow:auto}::ng-deep .algoseek-table td{white-space:nowrap}\n"] }]
        }], ctorParameters: () => [{ type: LoadAndReadCsvService }], propDecorators: { dataset: [{
                type: Input
            }] } });

class S3BucketComponent {
    set dataset(value) {
        this._dataset = value;
        this._dataSource = this.s3Info?.data_columns.map((column, index) => ({ '#': index + 1, ...column }));
        const dataUrl = this.s3Info?.data_preview_url;
        if (dataUrl) {
            this.loadSampleData(dataUrl);
        }
    }
    get dataset() {
        return this._dataset;
    }
    get dataSource() {
        return this._dataSource;
    }
    get s3Info() {
        return this.dataset?.destinations['CSV'];
    }
    constructor(_loadAndReadCsvService) {
        this._loadAndReadCsvService = _loadAndReadCsvService;
        this.columns = ['#', 'name', 'data_type', 'description'];
        this.view = 'fields';
        this.sampleDataColumns = [];
        this.sampleData = [];
        this._dataSource = [];
    }
    loadSampleData(url) {
        this._loadAndReadCsvService.readCsv(url)
            .subscribe({
            next: (data) => {
                this.sampleDataColumns = Object.keys(data[0]);
                this.sampleData = data;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: S3BucketComponent, deps: [{ token: LoadAndReadCsvService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: S3BucketComponent, isStandalone: true, selector: "algoseek-s3-bucket", inputs: { dataset: "dataset" }, ngImport: i0, template: "<span class=\"body-semibold-1\">Easily connect to your data stored in S3 and access CSV files without hassle. Streamline data retrieval with fast, secure, and scalable access, whether for analytics, processing, or integration.</span>\r\n\r\n<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel [expanded]=\"true\">\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Delivery Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Bucket Path</div>\r\n        <div class=\"value\">{{ s3Info?.bucket_path_format || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Bucket Path Description</div>\r\n        <div class=\"value\">{{ s3Info?.bucket_path_description || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Start Year</div>\r\n        <div class=\"value\">{{ s3Info?.start_year || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 End Year</div>\r\n        <div class=\"value\">{{ s3Info?.end_year || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Bucket Size</div>\r\n        <div class=\"value\">{{ s3Info?.bucket_size_human }} </div>\r\n      </div>\r\n      @if (s3Info?.sample_data[0]) {\r\n        <div class=\"record\">\r\n          <div class=\"key\">Sample Data File</div>\r\n          <div class=\"value\">\r\n            <a href=\"{{ s3Info?.sample_data[0].sample_data_url }}\" target=\"_blank\">{{ s3Info?.sample_data[0].sample_data_description }}</a>\r\n          </div>\r\n        </div>\r\n      }\r\n    </div>\r\n  </mat-expansion-panel>\r\n</mat-accordion>\r\n\r\n<div class=\"view-selection\">\r\n  <div class=\"view\" [class.view--active]=\"view === 'fields'\" (click)=\"view = 'fields'\">Data Fields</div>\r\n\r\n  <div class=\"view\"\r\n    [class.view--active]=\"view === 'sample'\"\r\n    [class.disabled]=\"!s3Info?.data_preview_url\"\r\n    (click)=\"view = s3Info?.data_preview_url ? 'sample' : 'fields'\"\r\n  >Preview Data</div>\r\n</div>\r\n\r\n@if (view === 'fields') {\r\n  <div class=\"table-wrapper\">\r\n    <table mat-table [dataSource]=\"dataSource\" class=\"algoseek-table\">\r\n      @for (displayedColumn of columns; track displayedColumn) {\r\n        <ng-container [matColumnDef]=\"displayedColumn\">\r\n          <th mat-header-cell *matHeaderCellDef>\r\n            {{ displayedColumn | underscoreToWords }}\r\n          </th>\r\n          <td mat-cell *matCellDef=\"let element\"> {{element[displayedColumn]}} </td>\r\n        </ng-container>\r\n      }\r\n      <tr mat-header-row *matHeaderRowDef=\"columns; sticky: true\"></tr>\r\n      <tr mat-row *matRowDef=\"let row; columns: columns;\"></tr>\r\n    </table>\r\n  </div>\r\n}\r\n\r\n@if (view === 'sample') {\r\n  <div class=\"table-wrapper\">\r\n    <table mat-table [dataSource]=\"sampleData\" class=\"algoseek-table\">\r\n      @for (field of sampleDataColumns; track field) {\r\n        <ng-container [matColumnDef]=\"field\">\r\n          <th mat-header-cell *matHeaderCellDef> {{ field }} </th>\r\n          <td mat-cell *matCellDef=\"let element\"> {{element[field]}} </td>\r\n        </ng-container>\r\n      }\r\n\r\n      <tr mat-header-row *matHeaderRowDef=\"sampleDataColumns; sticky: true\"></tr>\r\n      <tr mat-row *matRowDef=\"let row; columns: sampleDataColumns;\"></tr>\r\n    </table>\r\n  </div>\r\n}\r\n", styles: [":host{display:flex;flex-direction:column;gap:24px;padding-top:24px}.view-selection{display:flex;gap:4px}.view{font-size:14px;font-weight:500;line-height:24px;letter-spacing:.4px;padding:12px 24px;color:#29252480;cursor:pointer;transition:box-shadow .3s ease,color .3s ease;border-radius:8px}.view:hover{box-shadow:0 1px 1px #0000001a;color:#64b05c}.view--active{color:#64b05c;box-shadow:0 1px 1px #0000001a;background-color:#fffbf5}.view.disabled{cursor:not-allowed}.view.disabled:hover{box-shadow:none;color:#29252480}.table-wrapper{display:flex;max-height:80vh;overflow:auto}::ng-deep .algoseek-table td{white-space:nowrap}::ng-deep .algoseek-table tr{height:52px}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: MatTabsModule }, { kind: "ngmodule", type: MatExpansionModule }, { kind: "directive", type: i2$3.MatAccordion, selector: "mat-accordion", inputs: ["hideToggle", "displayMode", "togglePosition"], exportAs: ["matAccordion"] }, { kind: "component", type: i2$3.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["hideToggle", "togglePosition"], outputs: ["afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }, { kind: "component", type: i2$3.MatExpansionPanelHeader, selector: "mat-expansion-panel-header", inputs: ["expandedHeight", "collapsedHeight", "tabIndex"] }, { kind: "directive", type: i2$3.MatExpansionPanelTitle, selector: "mat-panel-title" }, { kind: "ngmodule", type: MatTableModule }, { kind: "component", type: i3$3.MatTable, selector: "mat-table, table[mat-table]", exportAs: ["matTable"] }, { kind: "directive", type: i3$3.MatHeaderCellDef, selector: "[matHeaderCellDef]" }, { kind: "directive", type: i3$3.MatHeaderRowDef, selector: "[matHeaderRowDef]", inputs: ["matHeaderRowDef", "matHeaderRowDefSticky"] }, { kind: "directive", type: i3$3.MatColumnDef, selector: "[matColumnDef]", inputs: ["matColumnDef"] }, { kind: "directive", type: i3$3.MatCellDef, selector: "[matCellDef]" }, { kind: "directive", type: i3$3.MatRowDef, selector: "[matRowDef]", inputs: ["matRowDefColumns", "matRowDefWhen"] }, { kind: "directive", type: i3$3.MatHeaderCell, selector: "mat-header-cell, th[mat-header-cell]" }, { kind: "directive", type: i3$3.MatCell, selector: "mat-cell, td[mat-cell]" }, { kind: "component", type: i3$3.MatHeaderRow, selector: "mat-header-row, tr[mat-header-row]", exportAs: ["matHeaderRow"] }, { kind: "component", type: i3$3.MatRow, selector: "mat-row, tr[mat-row]", exportAs: ["matRow"] }, { kind: "pipe", type: UnderscoreToWordsPipe, name: "underscoreToWords" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: S3BucketComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-s3-bucket', imports: [
                        CommonModule,
                        MatTabsModule,
                        MatExpansionModule,
                        MatTableModule,
                        UnderscoreToWordsPipe,
                    ], template: "<span class=\"body-semibold-1\">Easily connect to your data stored in S3 and access CSV files without hassle. Streamline data retrieval with fast, secure, and scalable access, whether for analytics, processing, or integration.</span>\r\n\r\n<mat-accordion class=\"algoseek-accordion\">\r\n  <mat-expansion-panel [expanded]=\"true\">\r\n    <mat-expansion-panel-header>\r\n      <mat-panel-title>\r\n        Delivery Info\r\n      </mat-panel-title>\r\n    </mat-expansion-panel-header>\r\n    <div class=\"records\">\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Bucket Path</div>\r\n        <div class=\"value\">{{ s3Info?.bucket_path_format || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Bucket Path Description</div>\r\n        <div class=\"value\">{{ s3Info?.bucket_path_description || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Start Year</div>\r\n        <div class=\"value\">{{ s3Info?.start_year || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 End Year</div>\r\n        <div class=\"value\">{{ s3Info?.end_year || 'N/A' }} </div>\r\n      </div>\r\n      <div class=\"record\">\r\n        <div class=\"key\">S3 Bucket Size</div>\r\n        <div class=\"value\">{{ s3Info?.bucket_size_human }} </div>\r\n      </div>\r\n      @if (s3Info?.sample_data[0]) {\r\n        <div class=\"record\">\r\n          <div class=\"key\">Sample Data File</div>\r\n          <div class=\"value\">\r\n            <a href=\"{{ s3Info?.sample_data[0].sample_data_url }}\" target=\"_blank\">{{ s3Info?.sample_data[0].sample_data_description }}</a>\r\n          </div>\r\n        </div>\r\n      }\r\n    </div>\r\n  </mat-expansion-panel>\r\n</mat-accordion>\r\n\r\n<div class=\"view-selection\">\r\n  <div class=\"view\" [class.view--active]=\"view === 'fields'\" (click)=\"view = 'fields'\">Data Fields</div>\r\n\r\n  <div class=\"view\"\r\n    [class.view--active]=\"view === 'sample'\"\r\n    [class.disabled]=\"!s3Info?.data_preview_url\"\r\n    (click)=\"view = s3Info?.data_preview_url ? 'sample' : 'fields'\"\r\n  >Preview Data</div>\r\n</div>\r\n\r\n@if (view === 'fields') {\r\n  <div class=\"table-wrapper\">\r\n    <table mat-table [dataSource]=\"dataSource\" class=\"algoseek-table\">\r\n      @for (displayedColumn of columns; track displayedColumn) {\r\n        <ng-container [matColumnDef]=\"displayedColumn\">\r\n          <th mat-header-cell *matHeaderCellDef>\r\n            {{ displayedColumn | underscoreToWords }}\r\n          </th>\r\n          <td mat-cell *matCellDef=\"let element\"> {{element[displayedColumn]}} </td>\r\n        </ng-container>\r\n      }\r\n      <tr mat-header-row *matHeaderRowDef=\"columns; sticky: true\"></tr>\r\n      <tr mat-row *matRowDef=\"let row; columns: columns;\"></tr>\r\n    </table>\r\n  </div>\r\n}\r\n\r\n@if (view === 'sample') {\r\n  <div class=\"table-wrapper\">\r\n    <table mat-table [dataSource]=\"sampleData\" class=\"algoseek-table\">\r\n      @for (field of sampleDataColumns; track field) {\r\n        <ng-container [matColumnDef]=\"field\">\r\n          <th mat-header-cell *matHeaderCellDef> {{ field }} </th>\r\n          <td mat-cell *matCellDef=\"let element\"> {{element[field]}} </td>\r\n        </ng-container>\r\n      }\r\n\r\n      <tr mat-header-row *matHeaderRowDef=\"sampleDataColumns; sticky: true\"></tr>\r\n      <tr mat-row *matRowDef=\"let row; columns: sampleDataColumns;\"></tr>\r\n    </table>\r\n  </div>\r\n}\r\n", styles: [":host{display:flex;flex-direction:column;gap:24px;padding-top:24px}.view-selection{display:flex;gap:4px}.view{font-size:14px;font-weight:500;line-height:24px;letter-spacing:.4px;padding:12px 24px;color:#29252480;cursor:pointer;transition:box-shadow .3s ease,color .3s ease;border-radius:8px}.view:hover{box-shadow:0 1px 1px #0000001a;color:#64b05c}.view--active{color:#64b05c;box-shadow:0 1px 1px #0000001a;background-color:#fffbf5}.view.disabled{cursor:not-allowed}.view.disabled:hover{box-shadow:none;color:#29252480}.table-wrapper{display:flex;max-height:80vh;overflow:auto}::ng-deep .algoseek-table td{white-space:nowrap}::ng-deep .algoseek-table tr{height:52px}\n"] }]
        }], ctorParameters: () => [{ type: LoadAndReadCsvService }], propDecorators: { dataset: [{
                type: Input
            }] } });

class AlgoseekSegmentedButtonComponent {
    constructor() {
        this.segmentButtonLabel = input('');
        this.isSegmentChecked = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekSegmentedButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.0.6", type: AlgoseekSegmentedButtonComponent, isStandalone: true, selector: "algoseek-segmented-button", inputs: { segmentButtonLabel: { classPropertyName: "segmentButtonLabel", publicName: "segmentButtonLabel", isSignal: true, isRequired: false, transformFunction: null }, isSegmentChecked: { classPropertyName: "isSegmentChecked", publicName: "isSegmentChecked", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "    <mat-button-toggle [checked]=\"isSegmentChecked()\" [value]=\"segmentButtonLabel()\" class=\"segment-buttons\">{{ segmentButtonLabel() }}</mat-button-toggle>", styles: [".segment-buttons{background:#faf4ec;height:100%;display:block;border-radius:8px}.segment-buttons.mat-button-toggle-appearance-standard.mat-button-toggle-checked{background-color:#fffbf5!important;box-shadow:0 1px 1px #0000001a}.segment-buttons.mat-button-toggle-appearance-standard.mat-button-toggle-checked .mat-button-toggle-label-content{color:#64b05c!important}.segment-buttons .mat-button-toggle-label-content{color:#29252480!important;padding:12px!important;line-height:22px!important;font-size:14px;font-weight:500}.segment-buttons .mat-ripple{display:none!important}\n"], dependencies: [{ kind: "ngmodule", type: MatButtonToggleModule }, { kind: "component", type: i1$6.MatButtonToggle, selector: "mat-button-toggle", inputs: ["aria-label", "aria-labelledby", "id", "name", "value", "tabIndex", "disableRipple", "appearance", "checked", "disabled", "disabledInteractive"], outputs: ["change"], exportAs: ["matButtonToggle"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: AlgoseekSegmentedButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: "algoseek-segmented-button", imports: [MatButtonToggleModule], encapsulation: ViewEncapsulation.None, template: "    <mat-button-toggle [checked]=\"isSegmentChecked()\" [value]=\"segmentButtonLabel()\" class=\"segment-buttons\">{{ segmentButtonLabel() }}</mat-button-toggle>", styles: [".segment-buttons{background:#faf4ec;height:100%;display:block;border-radius:8px}.segment-buttons.mat-button-toggle-appearance-standard.mat-button-toggle-checked{background-color:#fffbf5!important;box-shadow:0 1px 1px #0000001a}.segment-buttons.mat-button-toggle-appearance-standard.mat-button-toggle-checked .mat-button-toggle-label-content{color:#64b05c!important}.segment-buttons .mat-button-toggle-label-content{color:#29252480!important;padding:12px!important;line-height:22px!important;font-size:14px;font-weight:500}.segment-buttons .mat-ripple{display:none!important}\n"] }]
        }] });

const historicalYearOptions = [
    { label: "Last 5 years", minYear: 5 },
    { label: "Last 4 years", minYear: 4 },
    { label: "Last 3 years", minYear: 3 },
    { label: "Last 2 years", minYear: 2 },
    { label: "Last year", minYear: 1 },
    { label: "Custom", minYear: 0 },
];

class OrderDatasetFormComponent {
    #dialogRef;
    #dateFormat;
    getFormControl(name) {
        return this.orderDatasetForm.controls[name];
    }
    constructor() {
        this.#dialogRef = inject((MatDialogRef));
        this.#dateFormat = inject(AlgoseekDatePipe);
        this.dataset = inject(MAT_DIALOG_DATA);
        this.symbolOptions = signal([]);
        this.currentDate = new Date();
        this.streamData = signal(['Real-time', 'Delayed']);
        this.symbolData = signal(['Full Universe', 'Subset']);
        this.communicationMethod = signal(['Email', 'Phone']);
        this.isHistoricalDataActive = signal(true);
        this.isStreamingDataActive = signal(true);
        this.historicalPeriodsYear = signal([]);
        this.orderDatasetForm = new FormGroup({
            historical_period_years: new FormControl(5),
            subscription_period_years: new FormControl(),
            notes: new FormControl(''),
            historical_start_date: new FormControl(null),
            historical_end_date: new FormControl(null),
            symbols_count: new FormControl(null),
            is_full_universe: new FormControl('Full Universe', Validators.required),
            contact_method: new FormControl('Email'),
            update_type: new FormControl([]),
        });
        if (this.dataset.delivery_methods.includes('Streaming')) {
            this.getFormControl('update_type').setValidators(Validators.required);
            this.getFormControl('update_type').updateValueAndValidity();
            this.getFormControl('update_type').setValue('Real-time');
        }
        this.historicalDateRange();
    }
    historicalDateRange() {
        const historicalYear = new Date(this.dataset.start_date);
        const pastYears = new Date().getFullYear() - historicalYear.getFullYear();
        const historicalDateOptions = historicalYearOptions;
        this.historicalPeriodsYear.set(historicalDateOptions.filter((year) => pastYears >= year.minYear));
        this.getFormControl('subscription_period_years').valueChanges.subscribe((year) => {
            if (year === 0) {
                this.getFormControl('historical_start_date').setValidators(Validators.required);
                this.getFormControl('historical_start_date').updateValueAndValidity();
                this.getFormControl('historical_end_date').setValidators(Validators.required);
                this.getFormControl('historical_end_date').updateValueAndValidity();
            }
        });
    }
    historicalDataChange(event) {
        this.isHistoricalDataActive.set(event);
    }
    streamingDataChange(event) {
        this.isStreamingDataActive.set(event);
    }
    orderDatasetSubmit() {
        if (this.orderDatasetForm.invalid) {
            this.orderDatasetForm.markAllAsTouched();
            return;
        }
        const formValue = this.orderDatasetForm.getRawValue();
        const orderDataset = {
            ...this.orderDatasetForm.value,
            historical_period_years: formValue.historical_period_years === 0 ? null : formValue.historical_period_years,
            dataset_text_id: this.dataset.text_id,
            historical_start_date: this.#dateFormat.transform(formValue.historical_start_date, 'yyyy-MM-dd'),
            historical_end_date: this.#dateFormat.transform(formValue.historical_end_date, 'yyyy-MM-dd'),
            is_full_universe: formValue.is_full_universe === 'Full Universe',
            purchase_option: 'Lease',
            subscription_period_years: formValue.subscription_period_years ? 1 : null,
            streaming_data: this.isStreamingDataActive(),
            symbols_count: formValue.symbols_count ? Number(formValue.symbols_count) : null,
        };
        this.#dialogRef.close(orderDataset);
        this.orderDatasetForm.reset();
    }
    goBack() {
        this.#dialogRef.close();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: OrderDatasetFormComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: OrderDatasetFormComponent, isStandalone: true, selector: "lib-order-dataset-form", providers: [provideNativeDateAdapter(), AlgoseekDatePipe], ngImport: i0, template: "<div class=\"order-dataset\">\r\n  <div class=\"header-container\">\r\n    <h5>Order Dataset</h5>\r\n    <p class=\"p-3\">{{ dataset.display_name }}</p>\r\n  </div>\r\n\r\n  <form [formGroup]=\"orderDatasetForm\" class=\"order-dataset-form\">\r\n    @if (dataset.delivery_methods.includes(\"CSV\") ||\r\n      dataset.delivery_methods.includes(\"SQL\")) {\r\n      <div class=\"details historical-data-wrapper\">\r\n        <div class=\"title-wrapper\">\r\n          <p class=\"body-1-medium\">Historical Data</p>\r\n          <algoseek-switch\r\n            color=\"primary\"\r\n            size=\"medium\"\r\n            (onChange)=\"historicalDataChange($event)\"\r\n            [checked]=\"isHistoricalDataActive()\"\r\n          ></algoseek-switch>\r\n        </div>\r\n\r\n        @if (isHistoricalDataActive()) {\r\n          <algoseek-select\r\n            valueKey=\"minYear\"\r\n            displayName=\"label\"\r\n            data-test-id=\"datasets-field-asset-class\"\r\n            label=\"range\"\r\n            size=\"medium\"\r\n            [items]=\"historicalPeriodsYear()\"\r\n            [formControl]=\"getFormControl('historical_period_years')\"\r\n          />\r\n\r\n        @if (getFormControl('historical_period_years').value === 0) {\r\n          <div class=\"dates\">\r\n            <mat-form-field appearance=\"outline\" class=\"date-picker\">\r\n              <mat-label>From</mat-label>\r\n              <input\r\n                matInput\r\n                [matDatepicker]=\"pickerFrom\"\r\n                [formControl]=\"getFormControl('historical_start_date')\"\r\n                [max]=\"currentDate\"\r\n              />\r\n              @if (getFormControl('historical_start_date').value) {\r\n                <button\r\n                  matSuffix\r\n                  mat-icon-button\r\n                  aria-label=\"Clear\"\r\n                  (click)=\"getFormControl('historical_start_date').setValue(null)\"\r\n                >\r\n                  <mat-icon>close</mat-icon>\r\n                </button>\r\n              } @else {\r\n                <mat-datepicker-toggle\r\n                  matIconSuffix\r\n                  [for]=\"pickerFrom\"\r\n                ></mat-datepicker-toggle>\r\n              }\r\n              <mat-datepicker #pickerFrom></mat-datepicker>\r\n            </mat-form-field>\r\n            @if (getFormControl('historical_start_date').hasError('required') && getFormControl('historical_start_date').dirty && getFormControl('historical_start_date').touched) {\r\n              <mat-error>From date is required</mat-error>\r\n            }\r\n\r\n            <mat-form-field appearance=\"outline\" class=\"date-picker\">\r\n              <mat-label>To</mat-label>\r\n              <input\r\n                matInput\r\n                [matDatepicker]=\"pickerTo\"\r\n                [formControl]=\"getFormControl('historical_end_date')\"\r\n                [max]=\"currentDate\"\r\n              />\r\n              @if (getFormControl('historical_end_date').value) {\r\n                <button\r\n                  matSuffix\r\n                  mat-icon-button\r\n                  aria-label=\"Clear\"\r\n                  (click)=\"getFormControl('historical_end_date').setValue(null)\"\r\n                >\r\n                  <mat-icon>close</mat-icon>\r\n                </button>\r\n              } @else {\r\n                <mat-datepicker-toggle\r\n                  matIconSuffix\r\n                  [for]=\"pickerTo\"\r\n                ></mat-datepicker-toggle>\r\n              }\r\n              <mat-datepicker #pickerTo></mat-datepicker>\r\n            </mat-form-field>\r\n            @if (getFormControl('historical_end_date').hasError('required') && getFormControl('historical_end_date').dirty && getFormControl('historical_end_date').touched) {\r\n              <mat-error>To date is required</mat-error>\r\n            }\r\n          </div>\r\n        }\r\n        <algoseek-checkbox\r\n          label=\"Subscribe to daily updates (at least 1 year)\"\r\n          [formControl]=\"getFormControl('subscription_period_years')\"\r\n        ></algoseek-checkbox>\r\n        }\r\n      </div>\r\n    }\r\n    @if (dataset.delivery_methods.includes(\"Streaming\")) {\r\n      <div class=\"details\">\r\n        <div class=\"title-wrapper\">\r\n          <p class=\"body-1-medium\">Streaming data</p>\r\n          <algoseek-switch\r\n            color=\"primary\"\r\n            size=\"small\"\r\n            (onChange)=\"streamingDataChange($event)\"\r\n            [checked]=\"isStreamingDataActive()\"\r\n          ></algoseek-switch>\r\n        </div>\r\n        @if (isStreamingDataActive()) {\r\n          <div>\r\n            <mat-button-toggle-group\r\n              [hideSingleSelectionIndicator]=\"true\"\r\n              name=\"streaming_data\"\r\n              aria-label=\"Font Style\"\r\n              class=\"segmented-button-group\"\r\n              [formControl]=\"getFormControl('update_type')\"\r\n            >\r\n              @for (item of streamData(); track $index) {\r\n                <algoseek-segmented-button\r\n                  [segmentButtonLabel]=\"item\"\r\n                  [isSegmentChecked]=\"item === 'Real-time'\"\r\n                ></algoseek-segmented-button>\r\n              }\r\n            </mat-button-toggle-group>\r\n          </div>\r\n        }\r\n      </div>\r\n    }\r\n    <div class=\"toggle-group\">\r\n      <label class=\"form-label helper-text\">Symbol Universe</label>\r\n      <div>\r\n        <mat-button-toggle-group\r\n          [hideSingleSelectionIndicator]=\"true\"\r\n          name=\"streaming\"\r\n          aria-label=\"Font Style\"\r\n          class=\"segmented-button-group\"\r\n          [formControl]=\"getFormControl('is_full_universe')\"\r\n        >\r\n          @for (item of symbolData(); track $index) {\r\n            <algoseek-segmented-button\r\n              [segmentButtonLabel]=\"item\"\r\n              [isSegmentChecked]=\"item === 'Full Universe'\"\r\n            ></algoseek-segmented-button>\r\n          }\r\n        </mat-button-toggle-group>\r\n      </div>\r\n    </div>\r\n\r\n    @if (getFormControl('is_full_universe').value === 'Subset') {\r\n      <algoseek-input-field\r\n        size=\"medium\"\r\n        label=\"Number of symbols\"\r\n        type=\"number\"\r\n        [formControl]=\"getFormControl('symbols_count')\"\r\n      >\r\n      </algoseek-input-field>\r\n    }\r\n\r\n    <div class=\"toggle-group\">\r\n      <label class=\"form-label helper-text\">Communication Method</label>\r\n      <div>\r\n        <mat-button-toggle-group\r\n          [hideSingleSelectionIndicator]=\"true\"\r\n          name=\"streaming\"\r\n          aria-label=\"Font Style\"\r\n          class=\"segmented-button-group\"\r\n          [formControl]=\"getFormControl('contact_method')\"\r\n        >\r\n          @for (item of communicationMethod(); track $index) {\r\n            <algoseek-segmented-button\r\n              [segmentButtonLabel]=\"item\"\r\n              [isSegmentChecked]=\"item === 'Email'\"\r\n            ></algoseek-segmented-button>\r\n          }\r\n        </mat-button-toggle-group>\r\n      </div>\r\n    </div>\r\n\r\n    <div class=\"description\">\r\n      <p class=\"body-regular-2\">\r\n        By default the Lease License is assumed. Please contact sales if you are\r\n        interested in the Buy License\r\n      </p>\r\n    </div>\r\n\r\n    <algoseek-input-field\r\n      size=\"medium\"\r\n      label=\"Additional details (Optional)\"\r\n      type=\"textarea\"\r\n      [helperText]=\"getFormControl('notes').value?.length + '/300'\"\r\n      [formControl]=\"getFormControl('notes')\"\r\n    >\r\n    </algoseek-input-field>\r\n\r\n    <div class=\"actions\">\r\n      <algoseek-button\r\n        color=\"primary\"\r\n        size=\"large\"\r\n        type=\"stroked\"\r\n        (onClick)=\"goBack()\"\r\n      >\r\n        Go Back\r\n      </algoseek-button>\r\n      <algoseek-button\r\n        color=\"primary\"\r\n        size=\"large\"\r\n        type=\"raised\"\r\n        (onClick)=\"orderDatasetSubmit()\"\r\n        [disabled]=\"orderDatasetForm.invalid\"\r\n      >\r\n        Submit Order\r\n      </algoseek-button>\r\n    </div>\r\n  </form>\r\n</div>\r\n", styles: [".order-dataset{background:#fffbf5}.header-container{text-align:center;padding:32px}.header-container h5{margin-bottom:16px}.header-container p{text-align:center;color:#29252499}.order-dataset-form{max-height:calc(100vh - 270px);overflow:auto;padding:0 10px 0 32px;margin-bottom:32px;margin-right:10px}.order-dataset-form::-webkit-scrollbar{width:12px;background-color:#f9f9f9}.order-dataset-form::-webkit-scrollbar-track{border-radius:10px}.order-dataset-form::-webkit-scrollbar-thumb{background:#514d4c80;border-radius:10px}.details{border:1px solid #E0D4C3;padding:16px;margin-bottom:24px;border-radius:8px}.title-wrapper{display:flex;justify-content:space-between;align-items:center;margin-bottom:8px}.title-wrapper p{color:#292524;margin:7px 0}algoseek-select{margin-bottom:16px}.dates{display:flex;gap:16px;width:100%;margin-bottom:16px}.mat-mdc-form-field-subscript-wrapper{display:none!important}.button-container{display:flex;justify-content:space-between;align-items:center;gap:16px}.form-label{color:#29252499}.toggle-group{margin-bottom:24px}.toggle-group label{display:block;margin-bottom:4px}.description{margin:24px 0}.description p{color:#29252499}.actions{display:flex;gap:20px;justify-content:stretch;padding-top:20px;position:sticky;bottom:0;background:#fffbf5}.actions algoseek-button{flex:1}.symbols{margin-top:24px}.segmented-button-group{background-color:#faf4ec;border-radius:8px;padding:4px;border-color:transparent}::ng-deep .historical-data-wrapper .mat-mdc-form-field-subscript-wrapper{display:none!important}::ng-deep .dialogue-wrapper .mat-mdc-dialog-surface{border-radius:8px!important}:host ::ng-deep .actions .mat-mdc-outlined-button,:host ::ng-deep .actions .mat-mdc-raised-button{border-radius:4px!important}\n"], dependencies: [{ kind: "component", type: AlgoseekSwitchComponent, selector: "algoseek-switch", inputs: ["checked", "disabled", "size", "color"], outputs: ["onChange"] }, { kind: "ngmodule", type: ReactiveFormsModule }, { kind: "directive", type: i3$2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i3$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3$2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3$2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }, { kind: "directive", type: i3$2.FormGroupDirective, selector: "[formGroup]", inputs: ["formGroup"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: AlgoseekInputFieldComponent, selector: "algoseek-input-field", inputs: ["label", "disabled", "prefix", "suffix", "size", "type", "helperText", "min", "autocomplete"], outputs: ["suffixClicked"] }, { kind: "ngmodule", type: MatButtonToggleModule }, { kind: "directive", type: i1$6.MatButtonToggleGroup, selector: "mat-button-toggle-group", inputs: ["appearance", "name", "vertical", "value", "multiple", "disabled", "disabledInteractive", "hideSingleSelectionIndicator", "hideMultipleSelectionIndicator"], outputs: ["valueChange", "change"], exportAs: ["matButtonToggleGroup"] }, { kind: "component", type: AlgoseekCheckboxComponent, selector: "algoseek-checkbox", inputs: ["label", "disabled", "color", "size"] }, { kind: "component", type: AlgoseekButtonComponent, selector: "algoseek-button", inputs: ["disabled", "size", "color", "type"], outputs: ["onClick"] }, { kind: "component", type: AlgoseekSelectComponent, selector: "algoseek-select", inputs: ["items", "label", "size", "isMultiple", "displayName", "valueKey", "search", "disabled"] }, { kind: "ngmodule", type: MatDatepickerModule }, { kind: "component", type: i3$4.MatDatepicker, selector: "mat-datepicker", exportAs: ["matDatepicker"] }, { kind: "directive", type: i3$4.MatDatepickerInput, selector: "input[matDatepicker]", inputs: ["matDatepicker", "min", "max", "matDatepickerFilter"], exportAs: ["matDatepickerInput"] }, { kind: "component", type: i3$4.MatDatepickerToggle, selector: "mat-datepicker-toggle", inputs: ["for", "tabIndex", "aria-label", "disabled", "disableRipple"], exportAs: ["matDatepickerToggle"] }, { kind: "ngmodule", type: MatFormFieldModule }, { kind: "component", type: i4.MatFormField, selector: "mat-form-field", inputs: ["hideRequiredMarker", "color", "floatLabel", "appearance", "subscriptSizing", "hintLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i4.MatLabel, selector: "mat-label" }, { kind: "directive", type: i4.MatError, selector: "mat-error, [matError]", inputs: ["id"] }, { kind: "directive", type: i4.MatSuffix, selector: "[matSuffix], [matIconSuffix], [matTextSuffix]", inputs: ["matTextSuffix"] }, { kind: "ngmodule", type: FormsModule }, { kind: "ngmodule", type: MatInputModule }, { kind: "directive", type: i1$1.MatInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", inputs: ["disabled", "id", "placeholder", "name", "required", "type", "errorStateMatcher", "aria-describedby", "value", "readonly", "disabledInteractive"], exportAs: ["matInput"] }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i2.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "component", type: AlgoseekSegmentedButtonComponent, selector: "algoseek-segmented-button", inputs: ["segmentButtonLabel", "isSegmentChecked"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: OrderDatasetFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-order-dataset-form', imports: [
                        AlgoseekSwitchComponent,
                        ReactiveFormsModule,
                        AlgoseekInputFieldComponent,
                        MatButtonToggleModule,
                        AlgoseekCheckboxComponent,
                        AlgoseekButtonComponent,
                        AlgoseekSelectComponent,
                        MatDatepickerModule,
                        MatFormFieldModule,
                        FormsModule,
                        MatInputModule,
                        MatIconModule,
                        MatButtonModule,
                        AlgoseekSegmentedButtonComponent,
                        MatButtonToggleModule,
                    ], providers: [provideNativeDateAdapter(), AlgoseekDatePipe], template: "<div class=\"order-dataset\">\r\n  <div class=\"header-container\">\r\n    <h5>Order Dataset</h5>\r\n    <p class=\"p-3\">{{ dataset.display_name }}</p>\r\n  </div>\r\n\r\n  <form [formGroup]=\"orderDatasetForm\" class=\"order-dataset-form\">\r\n    @if (dataset.delivery_methods.includes(\"CSV\") ||\r\n      dataset.delivery_methods.includes(\"SQL\")) {\r\n      <div class=\"details historical-data-wrapper\">\r\n        <div class=\"title-wrapper\">\r\n          <p class=\"body-1-medium\">Historical Data</p>\r\n          <algoseek-switch\r\n            color=\"primary\"\r\n            size=\"medium\"\r\n            (onChange)=\"historicalDataChange($event)\"\r\n            [checked]=\"isHistoricalDataActive()\"\r\n          ></algoseek-switch>\r\n        </div>\r\n\r\n        @if (isHistoricalDataActive()) {\r\n          <algoseek-select\r\n            valueKey=\"minYear\"\r\n            displayName=\"label\"\r\n            data-test-id=\"datasets-field-asset-class\"\r\n            label=\"range\"\r\n            size=\"medium\"\r\n            [items]=\"historicalPeriodsYear()\"\r\n            [formControl]=\"getFormControl('historical_period_years')\"\r\n          />\r\n\r\n        @if (getFormControl('historical_period_years').value === 0) {\r\n          <div class=\"dates\">\r\n            <mat-form-field appearance=\"outline\" class=\"date-picker\">\r\n              <mat-label>From</mat-label>\r\n              <input\r\n                matInput\r\n                [matDatepicker]=\"pickerFrom\"\r\n                [formControl]=\"getFormControl('historical_start_date')\"\r\n                [max]=\"currentDate\"\r\n              />\r\n              @if (getFormControl('historical_start_date').value) {\r\n                <button\r\n                  matSuffix\r\n                  mat-icon-button\r\n                  aria-label=\"Clear\"\r\n                  (click)=\"getFormControl('historical_start_date').setValue(null)\"\r\n                >\r\n                  <mat-icon>close</mat-icon>\r\n                </button>\r\n              } @else {\r\n                <mat-datepicker-toggle\r\n                  matIconSuffix\r\n                  [for]=\"pickerFrom\"\r\n                ></mat-datepicker-toggle>\r\n              }\r\n              <mat-datepicker #pickerFrom></mat-datepicker>\r\n            </mat-form-field>\r\n            @if (getFormControl('historical_start_date').hasError('required') && getFormControl('historical_start_date').dirty && getFormControl('historical_start_date').touched) {\r\n              <mat-error>From date is required</mat-error>\r\n            }\r\n\r\n            <mat-form-field appearance=\"outline\" class=\"date-picker\">\r\n              <mat-label>To</mat-label>\r\n              <input\r\n                matInput\r\n                [matDatepicker]=\"pickerTo\"\r\n                [formControl]=\"getFormControl('historical_end_date')\"\r\n                [max]=\"currentDate\"\r\n              />\r\n              @if (getFormControl('historical_end_date').value) {\r\n                <button\r\n                  matSuffix\r\n                  mat-icon-button\r\n                  aria-label=\"Clear\"\r\n                  (click)=\"getFormControl('historical_end_date').setValue(null)\"\r\n                >\r\n                  <mat-icon>close</mat-icon>\r\n                </button>\r\n              } @else {\r\n                <mat-datepicker-toggle\r\n                  matIconSuffix\r\n                  [for]=\"pickerTo\"\r\n                ></mat-datepicker-toggle>\r\n              }\r\n              <mat-datepicker #pickerTo></mat-datepicker>\r\n            </mat-form-field>\r\n            @if (getFormControl('historical_end_date').hasError('required') && getFormControl('historical_end_date').dirty && getFormControl('historical_end_date').touched) {\r\n              <mat-error>To date is required</mat-error>\r\n            }\r\n          </div>\r\n        }\r\n        <algoseek-checkbox\r\n          label=\"Subscribe to daily updates (at least 1 year)\"\r\n          [formControl]=\"getFormControl('subscription_period_years')\"\r\n        ></algoseek-checkbox>\r\n        }\r\n      </div>\r\n    }\r\n    @if (dataset.delivery_methods.includes(\"Streaming\")) {\r\n      <div class=\"details\">\r\n        <div class=\"title-wrapper\">\r\n          <p class=\"body-1-medium\">Streaming data</p>\r\n          <algoseek-switch\r\n            color=\"primary\"\r\n            size=\"small\"\r\n            (onChange)=\"streamingDataChange($event)\"\r\n            [checked]=\"isStreamingDataActive()\"\r\n          ></algoseek-switch>\r\n        </div>\r\n        @if (isStreamingDataActive()) {\r\n          <div>\r\n            <mat-button-toggle-group\r\n              [hideSingleSelectionIndicator]=\"true\"\r\n              name=\"streaming_data\"\r\n              aria-label=\"Font Style\"\r\n              class=\"segmented-button-group\"\r\n              [formControl]=\"getFormControl('update_type')\"\r\n            >\r\n              @for (item of streamData(); track $index) {\r\n                <algoseek-segmented-button\r\n                  [segmentButtonLabel]=\"item\"\r\n                  [isSegmentChecked]=\"item === 'Real-time'\"\r\n                ></algoseek-segmented-button>\r\n              }\r\n            </mat-button-toggle-group>\r\n          </div>\r\n        }\r\n      </div>\r\n    }\r\n    <div class=\"toggle-group\">\r\n      <label class=\"form-label helper-text\">Symbol Universe</label>\r\n      <div>\r\n        <mat-button-toggle-group\r\n          [hideSingleSelectionIndicator]=\"true\"\r\n          name=\"streaming\"\r\n          aria-label=\"Font Style\"\r\n          class=\"segmented-button-group\"\r\n          [formControl]=\"getFormControl('is_full_universe')\"\r\n        >\r\n          @for (item of symbolData(); track $index) {\r\n            <algoseek-segmented-button\r\n              [segmentButtonLabel]=\"item\"\r\n              [isSegmentChecked]=\"item === 'Full Universe'\"\r\n            ></algoseek-segmented-button>\r\n          }\r\n        </mat-button-toggle-group>\r\n      </div>\r\n    </div>\r\n\r\n    @if (getFormControl('is_full_universe').value === 'Subset') {\r\n      <algoseek-input-field\r\n        size=\"medium\"\r\n        label=\"Number of symbols\"\r\n        type=\"number\"\r\n        [formControl]=\"getFormControl('symbols_count')\"\r\n      >\r\n      </algoseek-input-field>\r\n    }\r\n\r\n    <div class=\"toggle-group\">\r\n      <label class=\"form-label helper-text\">Communication Method</label>\r\n      <div>\r\n        <mat-button-toggle-group\r\n          [hideSingleSelectionIndicator]=\"true\"\r\n          name=\"streaming\"\r\n          aria-label=\"Font Style\"\r\n          class=\"segmented-button-group\"\r\n          [formControl]=\"getFormControl('contact_method')\"\r\n        >\r\n          @for (item of communicationMethod(); track $index) {\r\n            <algoseek-segmented-button\r\n              [segmentButtonLabel]=\"item\"\r\n              [isSegmentChecked]=\"item === 'Email'\"\r\n            ></algoseek-segmented-button>\r\n          }\r\n        </mat-button-toggle-group>\r\n      </div>\r\n    </div>\r\n\r\n    <div class=\"description\">\r\n      <p class=\"body-regular-2\">\r\n        By default the Lease License is assumed. Please contact sales if you are\r\n        interested in the Buy License\r\n      </p>\r\n    </div>\r\n\r\n    <algoseek-input-field\r\n      size=\"medium\"\r\n      label=\"Additional details (Optional)\"\r\n      type=\"textarea\"\r\n      [helperText]=\"getFormControl('notes').value?.length + '/300'\"\r\n      [formControl]=\"getFormControl('notes')\"\r\n    >\r\n    </algoseek-input-field>\r\n\r\n    <div class=\"actions\">\r\n      <algoseek-button\r\n        color=\"primary\"\r\n        size=\"large\"\r\n        type=\"stroked\"\r\n        (onClick)=\"goBack()\"\r\n      >\r\n        Go Back\r\n      </algoseek-button>\r\n      <algoseek-button\r\n        color=\"primary\"\r\n        size=\"large\"\r\n        type=\"raised\"\r\n        (onClick)=\"orderDatasetSubmit()\"\r\n        [disabled]=\"orderDatasetForm.invalid\"\r\n      >\r\n        Submit Order\r\n      </algoseek-button>\r\n    </div>\r\n  </form>\r\n</div>\r\n", styles: [".order-dataset{background:#fffbf5}.header-container{text-align:center;padding:32px}.header-container h5{margin-bottom:16px}.header-container p{text-align:center;color:#29252499}.order-dataset-form{max-height:calc(100vh - 270px);overflow:auto;padding:0 10px 0 32px;margin-bottom:32px;margin-right:10px}.order-dataset-form::-webkit-scrollbar{width:12px;background-color:#f9f9f9}.order-dataset-form::-webkit-scrollbar-track{border-radius:10px}.order-dataset-form::-webkit-scrollbar-thumb{background:#514d4c80;border-radius:10px}.details{border:1px solid #E0D4C3;padding:16px;margin-bottom:24px;border-radius:8px}.title-wrapper{display:flex;justify-content:space-between;align-items:center;margin-bottom:8px}.title-wrapper p{color:#292524;margin:7px 0}algoseek-select{margin-bottom:16px}.dates{display:flex;gap:16px;width:100%;margin-bottom:16px}.mat-mdc-form-field-subscript-wrapper{display:none!important}.button-container{display:flex;justify-content:space-between;align-items:center;gap:16px}.form-label{color:#29252499}.toggle-group{margin-bottom:24px}.toggle-group label{display:block;margin-bottom:4px}.description{margin:24px 0}.description p{color:#29252499}.actions{display:flex;gap:20px;justify-content:stretch;padding-top:20px;position:sticky;bottom:0;background:#fffbf5}.actions algoseek-button{flex:1}.symbols{margin-top:24px}.segmented-button-group{background-color:#faf4ec;border-radius:8px;padding:4px;border-color:transparent}::ng-deep .historical-data-wrapper .mat-mdc-form-field-subscript-wrapper{display:none!important}::ng-deep .dialogue-wrapper .mat-mdc-dialog-surface{border-radius:8px!important}:host ::ng-deep .actions .mat-mdc-outlined-button,:host ::ng-deep .actions .mat-mdc-raised-button{border-radius:4px!important}\n"] }]
        }], ctorParameters: () => [] });

class SubmitOrderDatasetSuccessComponent {
    #dialogRef = inject((MatDialogRef));
    constructor(orderDataset) {
        this.orderDataset = orderDataset;
    }
    submittedOrderDataset() {
        this.#dialogRef.close();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: SubmitOrderDatasetSuccessComponent, deps: [{ token: MAT_DIALOG_DATA }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.0.6", type: SubmitOrderDatasetSuccessComponent, isStandalone: true, selector: "lib-submit-order-dataset-success", ngImport: i0, template: "<div>\r\n  <div class=\"success-image-wrapper\">\r\n      <img src=\"assets/images/success-illustration.png\" alt=\"success-illustration\" width=\"496\" height=\"202\" />\r\n  </div>\r\n\r\n  <div class=\"title-wrapper\">\r\n    <h5>Order Confirmed</h5>\r\n    <p class=\"p-3\">\r\n      Your dataset order has been successfully submitted. Our team will process\r\n      your order and send a detailed confirmation to your email.\r\n    </p>\r\n  </div>\r\n\r\n  <div class=\"order-details-wrapper\">\r\n    <div class=\"order-details\">\r\n      <p class=\"sub-title\">Order details</p>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Dataset name</p>\r\n        <p class=\"details\">{{ orderDataset.datasetName }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Historical Data Period</p>\r\n        <p class=\"details\">\r\n          {{\r\n            orderDataset.historical_period_years ? orderDataset.historical_period_years + \" \" + \"Years\"\r\n              : orderDataset.historical_start_date && orderDataset.historical_end_date\r\n              ? \"From \" +\r\n                (orderDataset.historical_start_date | algoseekDate) +\r\n                \" To \" +\r\n                (orderDataset.historical_end_date | algoseekDate)\r\n              : \"-\"\r\n          }}\r\n        </p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Subscription Period</p>\r\n        <p class=\"details\">\r\n          {{ orderDataset.subscription_period_years ? \"1 Year\" : \"-\" }}\r\n        </p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Universe</p>\r\n        <p class=\"details\">{{ orderDataset.is_full_universe }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">License type</p>\r\n        <p class=\"details\">{{ orderDataset.purchase_option }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Communication Method</p>\r\n        <p class=\"details\">{{ orderDataset.contact_method }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Additional details</p>\r\n        <p class=\"details\">{{ orderDataset.notes ? orderDataset.notes : \"-\" }}</p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"actions\">\r\n    <algoseek-button color=\"primary\" size=\"large\" type=\"raised\" (onClick)=\"submittedOrderDataset()\">\r\n        Ok\r\n    </algoseek-button>\r\n  </div>\r\n</div>", styles: [".success-image-wrapper{padding:32px}.success-image-wrapper img{height:100%;width:100%}.title-wrapper{padding:0 32px 32px;text-align:center}.title-wrapper h5{color:#292524;margin-bottom:16px;font-weight:500;font-size:24px;line-height:32.02px;margin-top:0}.title-wrapper p{color:#29252499;font-weight:400;font-size:15px;line-height:24px;margin:0}.order-details-wrapper{padding:0 10px 0 32px;max-height:360px;overflow-y:auto;margin-right:10px}.order-details-wrapper::-webkit-scrollbar{width:12px;background-color:#f9f9f9}.order-details-wrapper::-webkit-scrollbar-track{border-radius:10px}.order-details-wrapper::-webkit-scrollbar-thumb{background:#514d4c80;border-radius:10px}.order-details-wrapper .order-details{border:1px solid #E0D4C3;padding:16px;border-radius:8px}.order-details-wrapper .order-details .sub-title{font-weight:400;font-size:12px;line-height:19.5px;margin-bottom:16px;margin-top:0;color:#29252499}.order-details-wrapper .order-details .order-datasets{border-bottom:1px solid rgba(224,212,195,.4)}.order-details-wrapper .order-details .title{color:#292524;font-weight:500;font-size:14px;line-height:20px;margin-bottom:8px;margin-top:16px}.order-details-wrapper .order-details .details{font-weight:400;font-size:14px;line-height:20px;padding-bottom:8px;margin-bottom:0}.actions{padding:32px}:host ::ng-deep .actions .mat-mdc-outlined-button,:host ::ng-deep .actions .mat-mdc-raised-button{border-radius:4px!important}\n"], dependencies: [{ kind: "component", type: AlgoseekButtonComponent, selector: "algoseek-button", inputs: ["disabled", "size", "color", "type"], outputs: ["onClick"] }, { kind: "pipe", type: AlgoseekDatePipe, name: "algoseekDate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: SubmitOrderDatasetSuccessComponent, decorators: [{
            type: Component,
            args: [{ selector: "lib-submit-order-dataset-success", imports: [AlgoseekButtonComponent, AlgoseekDatePipe], template: "<div>\r\n  <div class=\"success-image-wrapper\">\r\n      <img src=\"assets/images/success-illustration.png\" alt=\"success-illustration\" width=\"496\" height=\"202\" />\r\n  </div>\r\n\r\n  <div class=\"title-wrapper\">\r\n    <h5>Order Confirmed</h5>\r\n    <p class=\"p-3\">\r\n      Your dataset order has been successfully submitted. Our team will process\r\n      your order and send a detailed confirmation to your email.\r\n    </p>\r\n  </div>\r\n\r\n  <div class=\"order-details-wrapper\">\r\n    <div class=\"order-details\">\r\n      <p class=\"sub-title\">Order details</p>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Dataset name</p>\r\n        <p class=\"details\">{{ orderDataset.datasetName }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Historical Data Period</p>\r\n        <p class=\"details\">\r\n          {{\r\n            orderDataset.historical_period_years ? orderDataset.historical_period_years + \" \" + \"Years\"\r\n              : orderDataset.historical_start_date && orderDataset.historical_end_date\r\n              ? \"From \" +\r\n                (orderDataset.historical_start_date | algoseekDate) +\r\n                \" To \" +\r\n                (orderDataset.historical_end_date | algoseekDate)\r\n              : \"-\"\r\n          }}\r\n        </p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Subscription Period</p>\r\n        <p class=\"details\">\r\n          {{ orderDataset.subscription_period_years ? \"1 Year\" : \"-\" }}\r\n        </p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Universe</p>\r\n        <p class=\"details\">{{ orderDataset.is_full_universe }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">License type</p>\r\n        <p class=\"details\">{{ orderDataset.purchase_option }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Communication Method</p>\r\n        <p class=\"details\">{{ orderDataset.contact_method }}</p>\r\n      </div>\r\n      <div class=\"order-datasets\">\r\n        <p class=\"title\">Additional details</p>\r\n        <p class=\"details\">{{ orderDataset.notes ? orderDataset.notes : \"-\" }}</p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class=\"actions\">\r\n    <algoseek-button color=\"primary\" size=\"large\" type=\"raised\" (onClick)=\"submittedOrderDataset()\">\r\n        Ok\r\n    </algoseek-button>\r\n  </div>\r\n</div>", styles: [".success-image-wrapper{padding:32px}.success-image-wrapper img{height:100%;width:100%}.title-wrapper{padding:0 32px 32px;text-align:center}.title-wrapper h5{color:#292524;margin-bottom:16px;font-weight:500;font-size:24px;line-height:32.02px;margin-top:0}.title-wrapper p{color:#29252499;font-weight:400;font-size:15px;line-height:24px;margin:0}.order-details-wrapper{padding:0 10px 0 32px;max-height:360px;overflow-y:auto;margin-right:10px}.order-details-wrapper::-webkit-scrollbar{width:12px;background-color:#f9f9f9}.order-details-wrapper::-webkit-scrollbar-track{border-radius:10px}.order-details-wrapper::-webkit-scrollbar-thumb{background:#514d4c80;border-radius:10px}.order-details-wrapper .order-details{border:1px solid #E0D4C3;padding:16px;border-radius:8px}.order-details-wrapper .order-details .sub-title{font-weight:400;font-size:12px;line-height:19.5px;margin-bottom:16px;margin-top:0;color:#29252499}.order-details-wrapper .order-details .order-datasets{border-bottom:1px solid rgba(224,212,195,.4)}.order-details-wrapper .order-details .title{color:#292524;font-weight:500;font-size:14px;line-height:20px;margin-bottom:8px;margin-top:16px}.order-details-wrapper .order-details .details{font-weight:400;font-size:14px;line-height:20px;padding-bottom:8px;margin-bottom:0}.actions{padding:32px}:host ::ng-deep .actions .mat-mdc-outlined-button,:host ::ng-deep .actions .mat-mdc-raised-button{border-radius:4px!important}\n"] }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [MAT_DIALOG_DATA]
                }] }] });

class CurrencyFormatterPipe {
    transform(value) {
        const formatter = new Intl.NumberFormat('en-US', {
            style: 'currency',
            currency: 'USD',
            minimumFractionDigits: 2,
        });
        return value ? formatter.format(value) : 'N/A';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: CurrencyFormatterPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.6", ngImport: i0, type: CurrencyFormatterPipe, isStandalone: true, name: "currencyFormatter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: CurrencyFormatterPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'currencyFormatter',
                    standalone: true
                }]
        }] });

class PricingComponent {
    constructor() {
        this.pricing = input();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: PricingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: PricingComponent, isStandalone: true, selector: "algoseek-pricing", inputs: { pricing: { classPropertyName: "pricing", publicName: "pricing", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: "@let pricingUI = pricing();\r\n\r\n@if (pricingUI) {\r\n  <mat-accordion class=\"algoseek-accordion\">\r\n    <mat-expansion-panel expanded>\r\n      <mat-expansion-panel-header>\r\n        <mat-panel-title>\r\n          Dataset Pricing Info\r\n        </mat-panel-title>\r\n      </mat-expansion-panel-header>\r\n      <div class=\"records\">\r\n        @for (historicalCost of pricingUI.historical_data_cost; track $index) {\r\n          <div class=\"record\">\r\n            <div class=\"key\">Historical Data cost ({{historicalCost.period_years}} year{{historicalCost.period_years > 1 ? 's' : ''}})</div>\r\n            <div class=\"value\">{{ historicalCost.data_cost | currencyFormatter }}</div>\r\n          </div>\r\n        }\r\n        @for (updateCost of pricingUI.updates_cost; track $index) {\r\n          <div class=\"record\">\r\n            <div class=\"key\">{{updateCost.update_frequency_option}} Updates cost (one year)</div>\r\n            <div class=\"value\">{{ updateCost.update_cost | currencyFormatter }}</div>\r\n          </div>\r\n        }\r\n      </div>\r\n    </mat-expansion-panel>\r\n  </mat-accordion>\r\n} @else {\r\n  <h4 class=\"contact-message body-semibold-1\">\r\n    <a href=\"mailto:sales@algoseek.com\">Contact Us</a> for Pricing &ndash; The price for this dataset isn&rsquo;t publicly available. Our sales team will be happy to assist you.\r\n  </h4>\r\n}\r\n\r\n\r\n", styles: [":host{display:flex;margin-top:24px;gap:32px;flex-direction:column}.contact-message{margin:50px;align-items:center;padding:0 100px;text-align:center}\n"], dependencies: [{ kind: "ngmodule", type: MatExpansionModule }, { kind: "directive", type: i2$3.MatAccordion, selector: "mat-accordion", inputs: ["hideToggle", "displayMode", "togglePosition"], exportAs: ["matAccordion"] }, { kind: "component", type: i2$3.MatExpansionPanel, selector: "mat-expansion-panel", inputs: ["hideToggle", "togglePosition"], outputs: ["afterExpand", "afterCollapse"], exportAs: ["matExpansionPanel"] }, { kind: "component", type: i2$3.MatExpansionPanelHeader, selector: "mat-expansion-panel-header", inputs: ["expandedHeight", "collapsedHeight", "tabIndex"] }, { kind: "directive", type: i2$3.MatExpansionPanelTitle, selector: "mat-panel-title" }, { kind: "pipe", type: CurrencyFormatterPipe, name: "currencyFormatter" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: PricingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-pricing', changeDetection: ChangeDetectionStrategy.OnPush, imports: [MatExpansionModule, CurrencyFormatterPipe], template: "@let pricingUI = pricing();\r\n\r\n@if (pricingUI) {\r\n  <mat-accordion class=\"algoseek-accordion\">\r\n    <mat-expansion-panel expanded>\r\n      <mat-expansion-panel-header>\r\n        <mat-panel-title>\r\n          Dataset Pricing Info\r\n        </mat-panel-title>\r\n      </mat-expansion-panel-header>\r\n      <div class=\"records\">\r\n        @for (historicalCost of pricingUI.historical_data_cost; track $index) {\r\n          <div class=\"record\">\r\n            <div class=\"key\">Historical Data cost ({{historicalCost.period_years}} year{{historicalCost.period_years > 1 ? 's' : ''}})</div>\r\n            <div class=\"value\">{{ historicalCost.data_cost | currencyFormatter }}</div>\r\n          </div>\r\n        }\r\n        @for (updateCost of pricingUI.updates_cost; track $index) {\r\n          <div class=\"record\">\r\n            <div class=\"key\">{{updateCost.update_frequency_option}} Updates cost (one year)</div>\r\n            <div class=\"value\">{{ updateCost.update_cost | currencyFormatter }}</div>\r\n          </div>\r\n        }\r\n      </div>\r\n    </mat-expansion-panel>\r\n  </mat-accordion>\r\n} @else {\r\n  <h4 class=\"contact-message body-semibold-1\">\r\n    <a href=\"mailto:sales@algoseek.com\">Contact Us</a> for Pricing &ndash; The price for this dataset isn&rsquo;t publicly available. Our sales team will be happy to assist you.\r\n  </h4>\r\n}\r\n\r\n\r\n", styles: [":host{display:flex;margin-top:24px;gap:32px;flex-direction:column}.contact-message{margin:50px;align-items:center;padding:0 100px;text-align:center}\n"] }]
        }] });

class DatasetDetailsComponent {
    #dialog;
    constructor(dialog) {
        this.dialog = dialog;
        this.#dialog = inject(MatDialog);
        this.dataset = input();
        this.isMarketplace = input(false);
        this.isOrderSubmissionSuccessful = input(false);
        this.orderDataset = output();
        this.hass3 = false;
        this.hasdb = false;
        this.orderDatasetData = {};
        effect(() => {
            if (this.isOrderSubmissionSuccessful()) {
                this.#dialog.open(SubmitOrderDatasetSuccessComponent, {
                    data: {
                        ...this.orderDatasetData,
                        datasetName: this.dataset().display_name,
                        purchase_option: 'Lease',
                    },
                    panelClass: 'dialogue-wrapper',
                });
            }
        });
    }
    ngOnInit() {
        this.hass3 = this.dataset().delivery_methods?.includes('S3');
        this.hasdb = this.dataset().delivery_methods?.includes('ArdaDB');
    }
    openOrderDatasetFormDialog() {
        this.dialog.open(OrderDatasetFormComponent, {
            data: this.dataset(),
            panelClass: 'dialogue-wrapper',
        }).afterClosed().subscribe((orderDatasetData) => {
            this.orderDatasetData = orderDatasetData;
            this.orderDataset.emit(orderDatasetData);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetDetailsComponent, deps: [{ token: i1$7.MatDialog }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.6", type: DatasetDetailsComponent, isStandalone: true, selector: "algoseek-dataset-details", inputs: { dataset: { classPropertyName: "dataset", publicName: "dataset", isSignal: true, isRequired: false, transformFunction: null }, isMarketplace: { classPropertyName: "isMarketplace", publicName: "isMarketplace", isSignal: true, isRequired: false, transformFunction: null }, isOrderSubmissionSuccessful: { classPropertyName: "isOrderSubmissionSuccessful", publicName: "isOrderSubmissionSuccessful", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { orderDataset: "orderDataset" }, ngImport: i0, template: "@if (dataset()) {\r\n  <div class=\"header\">\r\n    <button mat-icon-button routerLink=\"../\">\r\n      <mat-icon>arrow_back</mat-icon>\r\n    </button>\r\n    <h3>{{ dataset().display_name || \"N/A\"}}</h3>\r\n  </div>\r\n  <div class=\"container\">\r\n    <div class=\"title\">\r\n      <div style=\"display: flex; gap: 16px;\">\r\n        <img [src]=\"dataset().vendor_icon\" width=\"80\" height=\"80\">\r\n        <div class=\"info\">\r\n          <h6>{{ dataset().display_name || \"N/A\" }}</h6>\r\n          <div class=\"info__status p-3\">\r\n            {{ dataset().status }}\r\n            <div class=\"info__status--dot\">&#183;</div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      @if (isMarketplace()) {\r\n        <algoseek-button type=\"raised\" (onClick)=\"openOrderDatasetFormDialog()\">Order Dataset</algoseek-button>\r\n      }\r\n    </div>\r\n    <div class=\"details\">\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Data Class</p>\r\n        <p class=\"body-1-medium\">{{ dataset().dataset_class }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Data Type</p>\r\n        <p class=\"body-1-medium\">{{ dataset().dataset_type }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Delivery Method</p>\r\n        <p class=\"body-1-medium\">{{ dataset().delivery_methods.join(', ') }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Vendor</p>\r\n        <p class=\"body-1-medium\">{{ dataset().vendor_name }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Region</p>\r\n        <p class=\"body-1-medium\">{{ dataset().region }}</p>\r\n      </div>\r\n      <div class=\"detail detail--documentation\">\r\n        <mat-icon fontSet=\"outlined\">description</mat-icon>\r\n        <div class=\"detail\">\r\n          <p class=\"button-regular\">Documentation</p>\r\n          <p class=\"body-1-medium\" [class.disabled]=\"!dataset().documentation_link\">\r\n            <a href=\"{{ dataset().documentation_link }}\" target=\"_blank\">Open Link</a>\r\n          </p>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <pre class=\"body-regular-1 description\">{{ dataset().long_description }}</pre>\r\n    <mat-tab-group mat-stretch-tabs=\"false\" mat-align-tabs=\"start\" class=\"algoseek-tab-group\" animationDuration=\"0ms\">\r\n      <mat-tab label=\"Dataset Info\">\r\n        <algoseek-dataset-summary\r\n          [dataset]=\"dataset()\"\r\n          [deliveryMethods]=\"dataset().delivery_methods\"\r\n          [hass3]=\"hass3\"\r\n          [hasdb]=\"hasdb\"\r\n        />\r\n      </mat-tab>\r\n\r\n      <mat-tab label=\"Pricing & Licensing\">\r\n        <algoseek-pricing\r\n          [pricing]=\"dataset().pricing\"\r\n        />\r\n      </mat-tab>\r\n\r\n      @if (hasdb) {\r\n        <mat-tab label=\"ArdaDB\">\r\n          <algoseek-database [dataset]=\"dataset()\" />\r\n        </mat-tab>\r\n      }\r\n\r\n      @if (hass3) {\r\n        <mat-tab label=\"S3 Bucket\">\r\n          <algoseek-s3-bucket [dataset]=\"dataset()\" />\r\n        </mat-tab>\r\n      }\r\n    </mat-tab-group>\r\n  </div>\r\n}\r\n\r\n", styles: [".header{display:flex;align-items:center;gap:30px}.container{background-color:#faf4ec;padding:24px;margin:32px 0;display:flex;flex-direction:column}.description{white-space:pre-wrap;word-wrap:break-word}.title{display:flex;justify-content:space-between;align-items:center}.title .info{display:flex;flex-direction:column;height:80px;justify-content:space-around}.title .info__status{display:flex;align-items:center;color:#64b05c;gap:4px}.title .info__status--dot{font-size:40px}.details{display:flex;gap:32px;padding:17px 0;margin:24px 0;border-top:1px solid #E0D4C3;border-bottom:1px solid #E0D4C3}.details .detail{display:flex;flex-direction:column;gap:4px}.details .detail--documentation{flex-direction:row;gap:10px;align-items:center}.details .detail--documentation mat-icon{font-size:42px;height:38px;width:38px;color:#11111180}.details .button-regular{color:#29252480}mat-tab-group{margin-top:24px}.disabled{cursor:not-allowed}.disabled a{color:#29252480;text-decoration:none;pointer-events:none}::ng-deep .dialogue-wrapper .mat-mdc-dialog-surface{border-radius:8px!important}\n"], dependencies: [{ kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i3.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "ngmodule", type: MatButtonModule }, { kind: "component", type: i2.MatIconButton, selector: "button[mat-icon-button]", exportAs: ["matButton"] }, { kind: "ngmodule", type: RouterModule }, { kind: "directive", type: i1$4.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "ngmodule", type: MatTabsModule }, { kind: "component", type: i5$1.MatTab, selector: "mat-tab", inputs: ["disabled", "label", "aria-label", "aria-labelledby", "labelClass", "bodyClass"], exportAs: ["matTab"] }, { kind: "component", type: i5$1.MatTabGroup, selector: "mat-tab-group", inputs: ["color", "fitInkBarToContent", "mat-stretch-tabs", "mat-align-tabs", "dynamicHeight", "selectedIndex", "headerPosition", "animationDuration", "contentTabIndex", "disablePagination", "disableRipple", "preserveContent", "backgroundColor", "aria-label", "aria-labelledby"], outputs: ["selectedIndexChange", "focusChange", "animationDone", "selectedTabChange"], exportAs: ["matTabGroup"] }, { kind: "component", type: DatasetSummaryComponent, selector: "algoseek-dataset-summary", inputs: ["hass3", "hasdb", "dataset", "deliveryMethods"] }, { kind: "component", type: DatabaseComponent, selector: "algoseek-database", inputs: ["dataset"] }, { kind: "component", type: S3BucketComponent, selector: "algoseek-s3-bucket", inputs: ["dataset"] }, { kind: "component", type: AlgoseekButtonComponent, selector: "algoseek-button", inputs: ["disabled", "size", "color", "type"], outputs: ["onClick"] }, { kind: "component", type: PricingComponent, selector: "algoseek-pricing", inputs: ["pricing"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DatasetDetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'algoseek-dataset-details', imports: [
                        MatIconModule,
                        MatButtonModule,
                        RouterModule,
                        MatTabsModule,
                        DatasetSummaryComponent,
                        DatabaseComponent,
                        S3BucketComponent,
                        AlgoseekButtonComponent,
                        PricingComponent
                    ], template: "@if (dataset()) {\r\n  <div class=\"header\">\r\n    <button mat-icon-button routerLink=\"../\">\r\n      <mat-icon>arrow_back</mat-icon>\r\n    </button>\r\n    <h3>{{ dataset().display_name || \"N/A\"}}</h3>\r\n  </div>\r\n  <div class=\"container\">\r\n    <div class=\"title\">\r\n      <div style=\"display: flex; gap: 16px;\">\r\n        <img [src]=\"dataset().vendor_icon\" width=\"80\" height=\"80\">\r\n        <div class=\"info\">\r\n          <h6>{{ dataset().display_name || \"N/A\" }}</h6>\r\n          <div class=\"info__status p-3\">\r\n            {{ dataset().status }}\r\n            <div class=\"info__status--dot\">&#183;</div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      @if (isMarketplace()) {\r\n        <algoseek-button type=\"raised\" (onClick)=\"openOrderDatasetFormDialog()\">Order Dataset</algoseek-button>\r\n      }\r\n    </div>\r\n    <div class=\"details\">\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Data Class</p>\r\n        <p class=\"body-1-medium\">{{ dataset().dataset_class }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Data Type</p>\r\n        <p class=\"body-1-medium\">{{ dataset().dataset_type }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Delivery Method</p>\r\n        <p class=\"body-1-medium\">{{ dataset().delivery_methods.join(', ') }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Vendor</p>\r\n        <p class=\"body-1-medium\">{{ dataset().vendor_name }}</p>\r\n      </div>\r\n      <div class=\"detail\">\r\n        <p class=\"button-regular\">Region</p>\r\n        <p class=\"body-1-medium\">{{ dataset().region }}</p>\r\n      </div>\r\n      <div class=\"detail detail--documentation\">\r\n        <mat-icon fontSet=\"outlined\">description</mat-icon>\r\n        <div class=\"detail\">\r\n          <p class=\"button-regular\">Documentation</p>\r\n          <p class=\"body-1-medium\" [class.disabled]=\"!dataset().documentation_link\">\r\n            <a href=\"{{ dataset().documentation_link }}\" target=\"_blank\">Open Link</a>\r\n          </p>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <pre class=\"body-regular-1 description\">{{ dataset().long_description }}</pre>\r\n    <mat-tab-group mat-stretch-tabs=\"false\" mat-align-tabs=\"start\" class=\"algoseek-tab-group\" animationDuration=\"0ms\">\r\n      <mat-tab label=\"Dataset Info\">\r\n        <algoseek-dataset-summary\r\n          [dataset]=\"dataset()\"\r\n          [deliveryMethods]=\"dataset().delivery_methods\"\r\n          [hass3]=\"hass3\"\r\n          [hasdb]=\"hasdb\"\r\n        />\r\n      </mat-tab>\r\n\r\n      <mat-tab label=\"Pricing & Licensing\">\r\n        <algoseek-pricing\r\n          [pricing]=\"dataset().pricing\"\r\n        />\r\n      </mat-tab>\r\n\r\n      @if (hasdb) {\r\n        <mat-tab label=\"ArdaDB\">\r\n          <algoseek-database [dataset]=\"dataset()\" />\r\n        </mat-tab>\r\n      }\r\n\r\n      @if (hass3) {\r\n        <mat-tab label=\"S3 Bucket\">\r\n          <algoseek-s3-bucket [dataset]=\"dataset()\" />\r\n        </mat-tab>\r\n      }\r\n    </mat-tab-group>\r\n  </div>\r\n}\r\n\r\n", styles: [".header{display:flex;align-items:center;gap:30px}.container{background-color:#faf4ec;padding:24px;margin:32px 0;display:flex;flex-direction:column}.description{white-space:pre-wrap;word-wrap:break-word}.title{display:flex;justify-content:space-between;align-items:center}.title .info{display:flex;flex-direction:column;height:80px;justify-content:space-around}.title .info__status{display:flex;align-items:center;color:#64b05c;gap:4px}.title .info__status--dot{font-size:40px}.details{display:flex;gap:32px;padding:17px 0;margin:24px 0;border-top:1px solid #E0D4C3;border-bottom:1px solid #E0D4C3}.details .detail{display:flex;flex-direction:column;gap:4px}.details .detail--documentation{flex-direction:row;gap:10px;align-items:center}.details .detail--documentation mat-icon{font-size:42px;height:38px;width:38px;color:#11111180}.details .button-regular{color:#29252480}mat-tab-group{margin-top:24px}.disabled{cursor:not-allowed}.disabled a{color:#29252480;text-decoration:none;pointer-events:none}::ng-deep .dialogue-wrapper .mat-mdc-dialog-surface{border-radius:8px!important}\n"] }]
        }], ctorParameters: () => [{ type: i1$7.MatDialog }] });

class CapitalizePipe {
    transform(value) {
        return value.charAt(0).toUpperCase() + value.slice(1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: CapitalizePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.6", ngImport: i0, type: CapitalizePipe, isStandalone: true, name: "capitalize" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: CapitalizePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'capitalize',
                    standalone: true
                }]
        }] });

class DisplayObjFieldPipe {
    transform(value, ...args) {
        const [field] = args;
        if (!value || !field || (!value[field] && !Array.isArray(value))) {
            return value;
        }
        if (Array.isArray(value)) {
            return value.map(v => v[field]).join(', ');
        }
        return value[field];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DisplayObjFieldPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.6", ngImport: i0, type: DisplayObjFieldPipe, isStandalone: true, name: "displayObjField" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: DisplayObjFieldPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'displayObjField',
                    standalone: true
                }]
        }] });

class MilTimeToEstPipe {
    transform(value) {
        const [hours, minutes] = value.split(':');
        const hourNumber = Number(hours);
        const meridiem = hourNumber < 12 ? 'AM' : 'PM';
        const formattedHour = hourNumber <= 12 ? hourNumber : hourNumber - 12;
        return `${formattedHour}:${minutes} ${meridiem} EST`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: MilTimeToEstPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.6", ngImport: i0, type: MilTimeToEstPipe, isStandalone: true, name: "milTimeToEst" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.6", ngImport: i0, type: MilTimeToEstPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'milTimeToEst',
                    standalone: true
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { AlgoseekAlertComponent, AlgoseekButtonComponent, AlgoseekCheckboxComponent, AlgoseekChipComponent, AlgoseekDatePipe, AlgoseekForgotPasswordComponent, AlgoseekInputFieldComponent, AlgoseekLoginComponent, AlgoseekResetPasswordComponent, AlgoseekSelectComponent, AlgoseekSwitchComponent, CapitalizePipe, CurrencyFormatterPipe, DatasetComponent, DatasetDetailsComponent, DatasetsListComponent, DisplayObjFieldPipe, FilterByPipe, FooterComponent, LoadAndReadCsvService, MilTimeToEstPipe, MustMatch, UnderscoreToWordsPipe, noWhitespaceValidator, sortAtoZ };
//# sourceMappingURL=algoseek-ui-design-system.mjs.map
